# Changelog

### This is a list detailing changes for all Jetpack releases.

## 15.4 - 2026-01-06
### Enhancements
- External media: Add replace flow support. [#45841]
- Forms: Add filter to hide integration icons. [#46188]
- Forms: Add integrations display filters. [#46156]
- Forms: add list view sidebar for easier field management. [#46403]
- Forms: support Math and Code blocks inside forms. [#46421]
- Forms: Use entire button area for selecting multi-select options. [#46263]
- Social: Improve social preview for LinkedIn and Tumblr. [#46364]
- Social: Reuse AI image generation in media section. [#46147]

### Bug fixes
- AI Assistant: disabled Write Brief functionality for non-English sites. [#46390]
- AI Assistant: Fix product page URL for Simple sites to use jetpack.com instead of My Jetpack. [#46358]
- Forms: Ensure submission summary is contained within 100% width. [#46264]
- Forms: Fix validation accessibility. [#46275]
- Forms: Remove the classic Admin initialization call. [#46254]
- Forms: Strip HTML from styled labels in error summary. [#46319]
- Jetpack settings: Avoid deprecation notices when loading Settings screen or Debugger screen. [#46283]
- Scan: Replace inline onclick handler with target="_blank" for CSP compliance in admin bar notice. [#46340]
- Social: Fix connections management modal not opening from pre-publish panel. [#46316]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add or remove features to plans for a future experiment. [#46285]
- Add the new media selection UI for Social. [#46085]
- Allow uploads without VideoPress enabled [#46425]
- Clean up the logic for admin page access for Social as the settings page is now widely available. [#46386]
- Development Mode: Remove references to previously removed code. [#46231]
- Ensure proper flags are used with `json_encode()`. [#46117]
- General: Replace uses of confusing `esc_js()` function with clearer code. [#46229]
- Hides some SEO features for WPCOM users without the correct plan [#46357]
- Janitorial: emptied out to-test.md. [#46221]
- JSON API: Add an error check in taxonomy update endpoint. [#46359]
- OG tags: use media-only Jetpack_Media_Summary::get [#46094]
- Tests: Check the publish post action exists, but is not necessarily the last action. [#46105]
- Tests: Update sync tests to allow for actions occurring after post publish. [#46236]
- Update package dependencies. [#46244]
- Update the @automattic/social-previews dependency source to the monorepo. [#46313]
- Update the URL for Instagram support article. [#46405]

## 15.3.1 - 2025-12-04

- Forms: Use the correct case on cipher names. [#46189]

## 15.3 - 2025-12-03
### Enhancements
- Forms: Add browser info to the form response email notification. [#45710]
- Forms: Add form response webhook support. [#46059]
- Forms: Add integrations to dashboard mobile menu. [#45744]
- Forms: Add keyboard navigation to go through reponses quickly. [#45811]
- Forms: Add WordPress Abilities API integration for form submissions management and integrations access. [#45998]
- Forms: Change integrations modal width. [#45855]
- Forms: Improve MailPoet subscriber handling. [#45905]
- Forms: Improve name variation handling. [#46054]
- Forms: Remove related-posts from API calls. [#45928]
- Forms: Update dashboard header buttons. [#45983]
- Forms: Use core WP colors for basic primitive components such as buttons at Forms dashboard. [#45845]
- Forms: Use first/last name for author. [#45944]
- Premium Content Block: Added email rendering callback. [#46006]
- Social: Improve auto-share UI in the editor by streamlining the notices and descriptions. [#45970]
- Social: Improve the sidebar by making titles more descriptive and combining sections. [#46007]
- Social: Update the connections list in the editor to a vertical toggle list with labels and icons. [#45939]

### Improved compatibility
- Replace icons removed from @wordpress/icons with alternatives. [#45760]

### Bug fixes
- Cookies & Consents Banner Widget: ensure form headings are properly displayed. [#46144]
- Fix a compatibility bug with the Gutenberg plugin. [#45967]
- Forms: Do not link to empty source link. [#46133]
- Forms: Ensure we show duplicate form field values on export. [#45809]
- Forms: Fix integrations modal flash. [#45775]
- Forms: Fix name variation isActive setting. [#46028]
- Forms: Fix the flickering between the sidebar loading on different browser widths.
- Forms: Reject form submissions when the parent post/page with the form has been deleted or is no longer published. [#46103]
- Forms: Remove clashing between meta dn field names on export. [#46130]
- GifBlock: Ensure url is not reset when publishing post. [#45900]
- Google Docs: Ensure that slides/sheets embeds render on the front-end. [#45776]
- GSheets embed: Give time for the iframe to finish before showing an error. [#46109]
- My Jetpack: Fix expiring renewal prompt to show all products. [#45995]
- Remove `getIconColor` functions for block icons. [#45992]
- Restrict inline file preview to only image formats and PDFs, force download for other file types for security.
- Social: Fix connection icon not reflecting the change when profile picture is updated. [#45937]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- About page: Remove Co-Authors Plus from and add ActivityPub to list of featured plugins. [#45792]
- Blocks: Add filter to disable Jetpack block collection in editor. [#46077]
- Editor assets endpoint: Filter returned assets with exclude query parameter. [#45715]
- Editor assets endpoint: Mitigate hook errors originating from plugins referencing conditionally defined functions via `is_admin()`, which is false for the REST API. [#45924]
- Editor assets endpoint: Refactor to reduce complexity. [#45714]
- Improve PHP 8.5 compatibility. [#45771]
- Jetpack AI: Remove tooltip for reading grade score. [#45847]
- Likes: Update filter docblock formatting. [#46009]
- Media Summary: Allow skipping excerpt and text counts. [#46091]
- Newsletters: Add skeleton for new settings screen. [#46049]
- Phan: Address PhanPossiblyUndeclaredVariable violations. [#45911]
- Podcasts block: Prevent warnings when podcast content is malformed. [#46083]
- Shortcodes: Extract the jmpress.js dependency into pnpm. [#45707]
- Tests: Ensure PHP 8.5 compatibility. [#45769]
- Updated Jetpack sidebar labels for post editor sidebar. [#46098]
- Update Jetpack notifications script tag to use wp_print_inline_script_tag. This allows for injection of a nonce attribute and CSP compatibility. [#45878]
- Update package dependencies. [#45737] [#45756] [#45758]
- Update package dependencies. [#45915] [#45958]
- Update package dependencies. [#45961]
- Update package dependencies. [#46072] [#46079] [#46143]
- Update Social preview to show title as well with the preview. [#45938]
- Update to-test.md file. [#46042]

## 15.2 - 2025-11-04
### Enhancements
- Forms: Add browser info to form responses exports. [#45709]
- Forms: Add emoji flag to the response email next to the IP address. [#45645]
- Forms: Add first and last name variations. [#45517]
- Forms: Add flag next to the IP Address. [#45643]
- Forms: Add integrations store. [#45372] [#45432]
- Forms: Add new integrations list component. [#45648]
- Forms: Add notification settings panel. [#45396]
- Forms: Add read and unread state for new form responses. [#45350]
- Forms: Add required indicator settings and make forms with a single input required by default. [#45300]
- Forms: Add shared ConsentToggle component. [#45556]
- Forms: Add the IP address as the default field in the responses dashboard. [#45704]
- Forms: Add time field. [#45665]
- Forms: Avoid typographic orphans in Forms panels in editor. [#45455]
- Forms: Disable Jetpack CRM integration by default. [#45667]
- Forms: Enable forms push notifications functionality. [#45682]
- Forms: Hide Google export card if disabled. [#45375]
- Forms: Improve the performance of loading the form responses. [#45565]
- Forms: Link IP to lookup service. [#45653]
- Forms: merged email and push notification settings panels. [#45548]
- Forms: Release Image Select Field to production. [#45577]
- Forms: Remove Inbox view action for desktop and leave it just for mobile. [#45444]
- Forms: Reorganize settings to a single panel for rating, slider and phone fields. [#45196]
- Forms: Start storing the country_code based on the IP with the form responses. [#45599]
- Forms: Update "Action after submit" sidebar section. [#45502]
- Forms: Update Inbox empty state notices. [#45421]
- Instant Search: Add global WooCommerce Product Attributes as filter options. [#45416]
- Instant Search: Fix issue where Safari's 'Use advanced tracking and fingerprinting protection' setting breaks Search. [#45588]
- Don't translate product names. [#43961]
- Sharing Buttons block: Update Reddit logo to match updated design. [#45484]
- Sitemaps: Use XMLWriter by default for more performant sitemap generation. [#45527]
- Subscription forms: Provide autocomplete attribute for email fields, to help with filling in email addresses. [#44929]

### Improved compatibility
- Custom post types: Ensure features remain available when theme support is added. [#45407]
- Forms: Remove Creative Mail promotion. [#45524]
- Tested up to WordPress 6.9. [#45571]

### Bug fixes
- Forms: Fix a bug where ther responsive modal is not able to be closed. [#45541] [#45557]
- Forms: Fix textarea submission on enter. [#45602]
- Forms: Fix where notices show up so they don't overlap the bottom action bar. [#45616]
- Forms: Prevent the required text from being removed from required fields when creating a form from a pattern. [#45495]
- Forms: Reset the selection on tab switch in dashboard. [#45543]
- Forms: Send emails to the author of the form only if they are able to edit it. [#45515]
- Forms: Simplify the selection on the responses dashboard so that it changes every time to only the valid set of items. [#45618]
- Forms: Stop preloading the integrations endpoint. [#45558]
- Forms: Store the feedback source info with more context. [#45231]
- Instant Search: Handle browser privacy settings stripping out the search query value. [#45533]
- Maps Block: Fix compatibility with MapKit JS version 5.80.0+. [#45476]
- My Jetpack page: Fix visual compatibility issue with Hello Dolly plugin. [#45474]
- Newsletter: Update wording to clarify how the reply-to settings can be used. [#45368]
- Podcast feed: Prevent fatals when content is empty. [#45498]
- Related Posts: Prevent PHP errors when settings are malformed. [#45538]
- Slideshow block: Ensure image size selection is correctly reflected in editor at all times. [#45500]
- Stats: Prevent fatal when chart response is invalid. [#45496]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- API: Ensure API root is set prior to usage. [#45708]
- Blaze: Hide module toggle on WordPress.com sites. [#45499]
- Calendar Reader: Remove debugging statement added to bypass caching. [#45671]
- Comment likes: Prevent PHP warnings if site URL is invalid. [#45420]
- Editor assets endpoint: Mock current screen to avoid fatal errors from plugins/themes. [#45617]
- External media: Prevent site editor performance issues by bringing back previous script enqueue approach. [#45546]
- Fix duplicate tracking event for carousel. [#45720]
- Flex sites: Return the `is_wpcom_flex` flag from the sites API for deleted sites. [#45719]
- Flex sites: Return the `is_wpcom_flex` flag from the sites API. [#45395]
- Forms: Add browser info to form responses detail view. [#45674]
- Forms: Fix plugin activation state. [#45471]
- Forms: Remove unused `hasAI` from config. [#45522]
- Forms: Remove unused `useFormsConfig` hook. [#45554]
- Forms: Strip period from Terms submission label on the post-submission page. [#45509]
- Phan: Address PhanRedundantCondition, PhanRedundantArrayValuesCall, and PhanPluginRedundantAssignment violations. [#45681]
- Post Images: Ensure type is WP_Post before treating it as a post. [#45623]
- Prevent PHP error when handling malformed style source. [#45621]
- Remove incorrect comment. [#45724]
- Shortcodes: Fix JS error in presentation shortcode. [#45701]
- Slideshow block: Fix sizing for lazy-loaded images. [#45164]
- Sync: Handle lazy-loading of `WP_User` object properties. [#45450]
- Tests: Update WooCommerce sync related tests to account for whitelisting order item meta. [#45684]
- Update package dependencies. [#45478] [#45652] [#45676] [#45677]

## 15.1.1 - 2025-10-10
### Bug fixes
- Asset CDN: avoid errors when we do not receive valid information about a plugin from WordPress.org. [#45387]

## 15.1 - 2025-10-08

- Testimonials: Prevent warning when custom post type is not registered.

### Enhancements
- Forms: Add hidden field. [#45104]
- Forms: Add hidden input field block. [#44079]
- Forms: Add integrations permissions check. [#45063]
- Forms: Add new block toggle to skip saving form submisions on WP Admin. [#45072]
- Forms: Add preloaded config endpoint. [#45091]
- Forms: Add scheduled deletion for submissions that skip the submission's inbox and are stored as temporary feedback. [#45178]
- Forms: Add setting to enable or disable email notifications for form submissions. [#45230]
- Forms: Allow enabling integration by default. [#45201]
- Forms: Improve preloading for endpoints. [#45362]
- Forms: Improve supported integrations filter. [#45123]
- Forms: Make rating and slider fields available to self-hosted users. [#45094]
- Forms: Phone field can now contain a country selector combobox. [#45120]
- Forms: Rename 'Manage responses' forms sidebar block panel to 'Responses storage'. [#45228]
- Forms: Return integration titles from endpoint. [#45151]
- Forms: Use localized number format for number of responses shown. [#45326]

### Improved compatibility
- Change the location of the Jetpack -> Stats submenu item to a new top-level admin menu item called "Stats". [#44524]
- Cookie Consent Block: Ensure we always have a default set of colors to style the block when theme colors are not available. [#45287]
- Forms: Add integrations feature flag. [#45037]
- Site Accelerator (Image CDN): Add support for images added via Breakdance blocks. [#45059]

### Bug fixes
- AI Assistant: Fix spacing on Forms block. [#45143]
- Cookie Consent Widget: Ensure the default widget text can be translated. [#45367]
- Forms: Don't override field labels on transforms. [#45281]
- Forms: Fix MailPoet string warning. [#45114]
- Forms: Fix missing REST attributes. [#45274]
- Forms: Fix slider min/max editing. [#45219]
- Forms: Fix slider value position. [#45218]
- Resolve conflict with WordPress 6.7.3. [#45320]
- Sharing: Fix Facebook sharing URL. [#45083]
- Widget Visibility: Prevent PHP error under specific block conditions. [#45087]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add MCP abilities title to site settings. [#45064]
- Admin Menu: Show `wp-admin` menu of self-hosted Jetpack sites in Calypso. [#45336]
- Block editor: Update allowed block types for the mobile editor. [#45039]
- Editor assets endpoint: Allow all `jetpack/contact-info` inner blocks. [#45252]
- Editor assets endpoint: Enforce absolute URLs to mitigate failed requests from client origins. [#45319]
- Editor assets endpoint: Optimize URL processing. [#45358]
- Forms: Track form submission failure. [#45090]
- Garden Sites: Exposes the `garden_is_provisioned` flag on the site endpoint. [#45321]
- Garden Sites: Expose the Garden flags and information on the site endpoint. [#45107]
- Integrate calls to add and remove the proxy speed module in Jetpack plugin initialization and deactivation processes. [#45243]
- Internal updates.
- Prevent a PHP error when fetching a non-existing menu in JSON API. [#45147]
- Sharing: Prevent PHP warnings when dealing with unexpected data. [#45165]
- Shortcodes: Load Recipe dependency via PNPM. [#45089] [#45134] [#45140]
- Show all sharing settings on WordPress.com Simple sites even when using a block theme so that the sharing buttons filter can be disabled. [#45176]
- Subscribe and Button blocks: Add email rendering for the WooCommerce Email Editor. [#45006]
- Subscriptions: Always link to WP Admin in Newsletter widget. [#45180]
- Tiled Gallery: Improve editor animation performance by removing loading animations when possible. [#45344]
- Update package dependencies. [#45027] [#45096] [#45097] [#45127] [#45128] [#45173] [#45200] [#45229] [#45298] [#45299] [#45334] [#45335]
- Widgets: Prevent PHP warnings. [#45327] [#45185]
- Wrap upgrade nudge with span due to an ongoing Gutenberg issue where link clicks are not captured unless wrapped. [#45288]
- Writing Settings: Add Mailchimp connection. [#44999]

## 15.0 - 2025-09-04
### Enhancements
- Add LaTeX block (Beta) to render mathematical formula. [#44895]
- Blocks: Update JavaScript to be non-render blocking. [#44791]
- Carousel: Fix crashes on large galleries and reduce server requests by preloading only adjacent images instead of all at once. [#44612]
- Disallow inserting Simple Payments block via inserter. [#44724]
- Enable Settings > Sharing WP Admin page and ensure all relevant links point to this page. [#44706]
- Forms: Add MailPoet integration. [#44831] [#44930]
- Forms: Add new Time field. [#44272]
- Forms: Add `has_field_type` method to Feedback. [#44759]
- Forms: Defer JavaScript loading for more responsive page loading. [#44752]
- Forms: Improve the checkbox style. [#44743]
- Forms: Preserve HTML IDs when processing feedback. [#44760]
- Forms: Save feedback entries in a new format. [#44821]
- Forms: Show trash action alongside view action in inbox. [#44882]
- Related Posts block: Update placeholder text for the site editor, and update the demo date. [#44937]
- Remove CRM installation nudge for Complete plan users. [#45026]
- Shortcodes: Update embed reversal code to only run when content is inserted in the admin. [#44741]
- Site Accelerator: Ignore images from openlibrary.org. [#44627]
- Sitemaps: Add filter to allow suspending object cache addition during generation. [#44732]
- Social: Add font option for Social Image Generator. [#44514]
- Subscription block: Defer JavaScript loading. [#44734]

### Improved compatibility
- Open Graph Meta tags: Add new filter allowing one to define a custom site representative image. [#44708]

### Bug fixes
- Carousel: Improve image size processing to return higher quality images in additional situations. [#44900]
- Crowdsignal: Improve escaping.
- Forms: Fix default checkboxes styles, and allow for "browser" styles as a choice. [#44408]
- Forms: Fix error wrapper when placing button inside a group block. [#44939]
- Forms: Fix phone validation for responses. [#44806]
- Forms: Improve checkbox validation for older checkboxes. [#44931]
- Forms: Show the form variation picker if you only have the submit button. [#42479]
- Image CDN: Prevent errors attempting to filter null. [#44874]
- Improve escaping for recurring payment buttons.
- Infinite Scroll: Prevent PHP warnings in various edge cases. [#44642]
- My Jetpack: Fix multisite availability check for restricted products and modules. [#44710]
- Prevent PHP fatals when handling unexpected data types. [#44765]
- Search: Ensure images are loaded efficiently when on https sites. [#44851]
- SEO settings: Update the default Open Graph image tag to match the one in use on the site. [#44800]
- Shortcodes: Improve embed detection.
- Sitemaps: Fix PHP warning during generation if there are no posts or pages on the website. [#44656]
- Social: Allow default image to be cleared. [#44994]
- Social: Fix image generator token reset on save resulting in font not being saved. [#44634]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add MCP settings to settings endpoint. [#44921]
- AI Assistant: Track generation time on suggestion request. [#44716]
- AI Excerpt: Add tracking event on generation request. [#44668]
- E2E: Add typecheck support. [#44788]
- E2E: Fix broken tests. [#44727]
- E2E: Fix onboarding tests. [#44745]
- Editor assets endpoint: Disallow the VideoPress block type. [#44848]
- Editor assets endpoint: Expand allowed block types. [#44616]
- Fix JavaScript in one-image Slideshow shortcodes. [#44643]
- Fix LaTeX Block selector. [#44920]
- I18n: Improve context hints in comments for translators. [#44686]
- Image CDN: Prevent PHP warnings when handling malformed data. [#45015]
- Memberships: Fix JSON parsing error. [#44812]
- My Jetpack: Prevent PHP error when using WP-CLI. [#45045]
- Open Help Center modal for WordPress.com sites and update the support link. [#44774]
- Podcast player block: Add email rendering. [#45003]
- Prevent PHP errors when directly accessing various files. [#44646]
- Prevent PHP error when checking for available Gutenberg extensions. [#45046]
- Prevent PHP warnings when constants are already defined. [#44957]
- Prevent PHP warnings when handling unexpected data types. [#44804]
- Related Posts: Prevent PHP warnings when handling malformed data. [#44946]
- Resolve `PhanImpossibleCondition` violations. [#44869]
- Send JSON with built-in WordPress functions. [#45002]
- Shortcodes: Move Slideshow dependencies into pnpm. [#44685]
- Slideshow block: Add additional sanitization and validation. [#44917]
- Slideshow block: Add email rendering. [#44835]
- Tiled Gallery: Add initial state tests. [#44591]
- Tiled gallery block: Add email rendering. [#44943]
- Update package dependencies. [#44677] [#44701] [#44725] [#44870] [#44894] [#44899] [#44948]
- Use `wp_rand()` instead of `rand()` and `mt_rand()`. [#44964]
- Writing Settings: Add Instagram connection. [#44936]

## 14.9.1 - 2025-08-06
### Bug fixes
- Open Graph Meta tags: Do not attempt to generate a fallback image when the site is not connected to WordPress.com. [#44661]

## 14.9 - 2025-08-05
### Enhancements
- Add new PayPal Payment block (beta). [#43932]
- Forms: Add "Empty trash" button. [#44225]
- Forms: Add Gravatars in form responses. [#44270]
- Forms: Add link to disconnect Google. [#44253]
- Forms: Add slider field block. [#44150]
- Forms: Add tip that spam will automatically be deleted after 15 days. [#44226]
- Forms: Improve email copy-to-clipboard visually and make it less hidden. [#44264]
- Forms: Make phone fields clickable [#44291]
- Forms: Refresh look of responses in dashboard. [#44262]
- Forms: Submit forms without page reload. [#44422]
- Forms: Update integration links. [#44255]
- Forms: Update the date picker to remove jQuery and add a more performant version with keyboard navigation. [#43939]
- Forms: Use sentence case in default consent text. [#44078]
- My Jetpack: Enable access to My Jetpack on WP Multisite. [#44260]
- My Jetpack: Unify the user connection flow with a unified screen. [#44469]
- Open Graph Meta tags: Add a new fallback image to display on the home page. [#44336]
- Open Graph meta tags: Support site logos when generating fallback Image Meta tags. [#44473]
- Performance: Improve processing of blocks with the Blogging Prompt feature. [#44519]
- Podcast player block: Improve page load performance by removing use of `lodash`. [#44319]
- Sitemap: Reduce memory usage when generating sitemaps. [#44453]
- Social: Improve performance when sanitizing OpenGraph tags. [#44569]
- Social: Improve performance when selecting images for OpenGraph tags. [#44567]
- Story block: Improve page load performance by removing use of `lodash`. [#44319]
- Subscriptions: Improve performance of the legacy Subscriptions widget. [#44546]
- Update PayPal Payment Buttons block to support rendering previews. [#44359]
- Use the `view_stats` cap for the Jetpack Stats menu item instead of `manage_options`. [#44194]
- Widget Conditions Module: Improve performance of block processing during conditional checking. [#44575]
- WooCommerce Analytics Module: Improve performance of block processing during Analytics gathering. [#44544]

### Improved compatibility
- Blocks: Prevent PHP errors when `jetpack_set_available_extensions` filter returns an unexpected data type. [#44166]
- Sync: Ignore the ActivityPub Outbox CPT. [#44222]

### Bug fixes
- Accessibility: Remove deprecated `clip` property from screen reader text with `clip-path`. [#44027]
- Blocks: Return an error when a filter returns a non-array. [#44144]
- Carousel: Fix disabling all photon args when opening an image in a lightbox. [#44396]
- Clear PayPal Payment button block parameters when changing block type. [#44388]
- Dashboard: Use UTC for Jetpack Stats chart. [#44380]
- Forms: Enqueue view script only when the form is rendered. [#44460]
- Forms: Fix padding on input and textarea fields. [#44401]
- Forms: Fix the way forms are submitted. [#44360]
- Forms: Fix the way forms are submitted. [#44399]
- JITM: Remove jQuery dependency. [#43783]
- Mailchimp block: Fix links to accommodate for a bug in Gutenberg. [#44474]
- My Jetpack: Fix footer alignment for disconnected accounts. [#44468]
- My Jetpack: Prevent expiration alerts for products covered by active bundles. [#44586]
- My Jetpack: Restore plan purchase link. [#44535]
- Newsletter: Fix bug in category settings. [#44537]
- Related Posts: Ensure results are available via REST API directly. [#44371]
- Sharing: Display correct Open Graph meta tags when a page uses a Query Loop block. [#44155]
- Social: Fix image validation when images sizes are customised. [#44368]
- Social Image Generator: Do not use the latest post's Social Image as Open Graph Image tag on the home page. [#44377]
- Subscriptions: Avoid enqueuing the legacy widget's stylesheet in block-based themes. [#44555]
- Subscriptions: Display floating subscription button on mobile devices as well when enabled. [#44415]
- VideoPress: Fix video row action button clickability by properly hiding stats on hover. [#44167]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add promotional sticker to `/sites` endpoint. [#44492]
- AI Assistant: Fix Jetpack AI links on block editor. [#44405]
- Autoupdate: Prevent warnings when data is malformed. [#44420]
- Block editor: Ensure editor assets endpoint excludes disallowed plugin assets. [#44093]
- Catch PHP warnings if theme font definitions are in non-standard format. [#44235]
- Code Modernization: Replace usage of certain `preg_match()` checks with `str_contains()`. [#44324]
- Comment Subscription Popup Modal: Fix PHP warning. [#44278]
- Compatibility: Remove utility and selector import fallbacks as we no longer need to ensure compatibility in those cases. [#44164]
- Connection: Remove hard-coded custom errors and added support for dynamic errors. [#44281]
- Dashboard: Prevent failure if stats endpoint returns an error. [#44417]
- Dashboard: Remove hosting information from initial state, as it is now retrieved via site utility functions. [#44133]
- E2E tests: Remove redundant logic in test fixture and converted the fixture to Typscript. [#44327]
- Editor assets endpoint: Reinstate missing Jetpack assets via handle-based exclusion logic. [#44274]
- Forms: Change test script and add component tests. [#44225]
- Forms: Enable Jetpack AI to generate multistep forms. [#44452]
- Forms: Update the way that the form id is being created for consistency and fix bugs. [#44501]
- Infinite Scroll: Prevent PHP warnings when settings are malformed. [#44525]
- Media: Prevent warnings in logs by checking for a directory before attempting to create a new file. [#44231]
- Memberships: Add validation for newsletter plan tiers. [#44436]
- Newsletter: Fix bug in settings. [#44152]
- Prevent PHP errors when directly accessing various files. [#44574]
- Remove Dashboard link from Jetpack admin menu. [#44565]
- Remove redundant setting of no-store directive on Cache-Control response header on Jetpack admin screen. [#44322]
- SAL: Ensure that we don't check for properties on null. [#44195]
- SEO tags: Do not use Open Graph utility function to strip query blocks when Open Graph functions are not availabe. [#44178]
- Simple Payments: Move Simple Payments block to PayPal Payments package. [#43413]
- Site Abstraction Layer: Prevent PHP warnings by ensuring we use variables in the correct format. [#44413]
- Slideshow block: Ensure image shows in editor when only one image is present. [#44457]
- Social: Hide Social admin page if the site is not connected. [#44168]
- Subscriptions: Disable option to add featured image to emails on private sites. [#44182]
- Subscriptions Widget: Add fallback values. [#44265]
- Support: Open the Jetpack Dashboard support link in the Help Center instead of redirecting to a new page. [#44172]
- Testing: Add instructions for Jetpack 14.9. [#44497]
- Top Post and Pages Block: Style fixes for block placeholder. [#44572]
- Update composer.lock [#44170]
- Update dependencies. [#44099]
- Update package dependencies. [#44148] [#44151]
- Update package dependencies. [#44206] [#44217]
- Update package dependencies. [#44356]
- Widgets: Prevent PHP warning on legacy Twitter Timeline widget. [#44317]
- WordAds: Remove usage of `is_singular_post` to highlight that current page is available for inline ads. [#44186]

## 14.8 - 2025-07-01
### Enhancements
- Add archives endpoint support. [#44028]
- AI Assistant: Add support for file upload field on Forms extension. [#43916]
- Forms: Improve the error validation animation. [#43968]
- Forms: Add "undo" to all post-action alerts in Inbox. [#43787]
- Forms: Add Akismet refresh status button. [#43937]
- Forms: Add MailPoet integrations nudge. [#44115]
- Forms: Make emails clickable in Inbox. [#43771]
- Forms: Make it possible to preview file by visiting the URL. [#43730]
- Forms: Release new file uploads field. [#43846]
- Forms: Show central integrations dashboard. [#43936]
- Forms: Stop translate product name in the sidebar. [#43925]
- Forms: Use interactivity API for form validation. [#43893]
- My Jetpack: Update Stats card to include a chart for better analytics. [#43870]
- Sharing: Add ability to count sharing events on sharing buttons blocks. [#44039]
- Sharing: Improve the performance of Open Graph Meta Image tags. [#43662]
- Write Brief: Enhance local custom dictionary with more known terms. [#44017]
- Write Brief: Enhance typo detection dictionary. [#44034]

### Improved compatibility
- Search: Replace the Core Search widget instead of adding a new widget to the main sidebar in classic themes. [#43450]
- Tiled Gallery: Ensure accessibility properties are added only when needed, as well as preventing block validation errors. [#43345]

### Bug fixes
- Connection: Redirect to the proper place when clicking the block "Connect" banner on Multisites. [#43594]
- Display Critical CSS status correctly on the WordPress.com Complete plan. [#43803]
- Endpoints: Prevent warnings in logs when attempting to add external media from some sources. [#43907]
- Flickr shortcode: Prevent errors in logs when requested data does not exist. [#43927]
- Forms: Fix an error with poorly-formatted POST data. [#43835]
- Forms: Fix dropdown field background color on Windows. [#43848]
- Forms: Hide legacy Feedback menu from newly-connected sites. [#44060]
- Forms: Remove the broken step transformation. [#44083]
- Jetpack Media Library: Prevent PHP warnings related to unexpected array offsets and undefined array keys in some cases. [#43641]
- JITM: Fix ineffective caching due to expired plugin sync transient. [#44117]
- Likes: Do not register the Like block when a site is not connected to WordPress.com. [#44124]
- Newsletter: Ensure subscriber stats links are correct in the dashboard widget, even when you do not use Stats feature. [#44037]
- Prevent JavaScript errors when using the editor. [#44070]
- Prevent non-string currentday parameters from causing errors in infinite scroll AJAX requests. [#44008]
- Recipe shortcode: Prevent errors in logs due to checking for theme color properties that may not exist. [#43904]
- Security: Prevent errors with array-type parameters in carousel comment submissions. [#43991] [#44015]
- Settings: Show Backup and Account Protection modules only with relevant search terms. [#44097]
- Slideshow block: Reduce layout shifts during page load. [#43689]
- Social Previews: Prevent text overflow issues with Mastodon. [#44019]
- Update `Jetpack_Newsletter_Dashboard_Widget` to not be added with an anonymous function. [#43973]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add label, input, option, and options blocks for improving form fields. [#43765]
- Address `body_class` filter fatal in older versions of the Blaskan theme. [#43797]
- AI Assistant: Change sidebar title and remove helper text. [#44035]
- Block editor: Refactor editor assets endpoint for readability. [#44047]
- Block editor: Repair editor assets endpoint for Atomic sites. [#44032]
- Clear out to-test.md in preparation for Jetpack 14.8 release cycle. [#43786]
- Comments: Prevent PHP error on malformed submissions. [#43832]
- Compatibility: Use modern JSX transform when building React interfaces. [#44128]
- Connection: Improve error handling for protected owner on WordPress.com. [#43593]
- Dashboard: Added connection info on WoA sites. [#43876]
- Dashboard: Update host function checks. [#43824]
- Fix Chrome ai experiment async call. [#44026]
- Fix Chrome experiment assignment group. [#44018]
- Forms: Update redirect URL when Creative Mail installation fails. [#43779]
- Invert flag check on Chrome experiment. [#44011]
- Markdown: Ensure XML-RPC message responses are in the correct format before trying to parse information. [#43899]
- Move Chrome Gemini tests flag to production. [#44006]
- Newsletters:  Use `total_subscribers` field while displaying all subscribers. [#43801]
- PHPUnit: Resolve tests warnings. [#43815]
- Post Editor: Open WP.com support articles in Help Center. [#43883]
- Prevent PHP warning in Gallery block. [#43890]
- Prevent PHP warning when block content is malformed. [#43889]
- Scripts: Add host information to front-end `JetpackScriptData` script. [#44072]
- Scripts: Change imports for hosting checks. [#43972]
- Subscriptions: Adjust display of the number of subscribers in the Newsletter panels of the block editor. [#43193]
- Switch to `Request::is_frontend()` method from Jetpack Status package. [#43873]
- Tests: Add instructions for Jetpack 14.8. [#44058]
- Tests: Ensure method param count matches PHPUnit data providers. [#43828]
- Update package dependencies. [#43718] [#43734] [#43766] [#43839] [#43892] [#43914] [#43951] [#44020] [#44040]
- Update the name for Downtime Monitor module. [#44156]
- WordAds: Support Gutenberg Ad block for Aditude. [#43476]

## 14.7 - 2025-06-03
### Enhancements
- Forms: Add 33% width option to fields and buttons. [#43417]
- Forms: Add Google Drive to integrations modal. [#43479]
- Forms: Add Google to form integrations endpoint. [#43453]
- Forms: Add Integration screen content. [#43530]
- Forms: Move responses menu item from Feedback > Forms to Jetpack > Forms. [#43705]
- Forms: Move Salesforce to block modal. [#43297]
- Forms: Remove Salesforce Form variation. [#43419]
- Forms: Replace Landing page with About page. [#43361]
- Forms: Update form responses tabs. [#43358]
- Forms: Update the email template for feedback responses. [#43323]
- My Jetpack: Optimize the images for onboarding slider for faster page load. [#43473]
- Search: Highlight search term in returned search results. [#43110]
- Social: Add option to add default image to Social Image Generator. [#43461]

### Improved compatibility
- Blocks: Update `useResizeObserver` hook usage to meet new API expectations. [#43334]
- Crowdsignal: Prevent warnings in error logs when viewing ratings via legacy shortcodes on archive pages. [#43596]
- Endpoints: Add checks within the v1.1 post update endpoint to ensure values are defined. [#43513]
- Remove Skype since the service no longer exists. [#43375]
- Sharing buttons: Prevent PHP warnings in some scenarios, ensuring we only check the post title and ID if posts exist. [#43539]
- Sharing service: Prevent warnings in error logs when certain keys are not set. [#43599]
- Sitemaps: Disable XMLWriter by default unless enabled by a filter. [#43384]

### Bug fixes
- AI Chat & Donations blocks: Ensure that all metadata is properly attached to the blocks in the block editor. [#43535]
- Carousel: Do not display comment form when comments are closed for a specific media attachment. [#43379]
- Fix text wrapping on the stats column heading in non-English languages. [#43630]
- Forms: Fix a bug preventing responses dashboard from loading (blank screen). [#43460]
- Forms: Fix Akismet spam URL. [#43542]
- Forms: Fix double scrollbars for responses. [#43462]
- Forms: Preserve responses query parameters. [#43372]
- Forms: Show upload progress in File Upload field when reduced motion is enabled. [#43628]
- Jetpack: Fix redirect URL on frontend for upgrade nudge. [#43562]
- My Jetpack: Fix Onboarding UI responsiveness at 600px. [#43533]
- My Jetpack: Fix readability of license activation button on hover. [#43550]
- My Jetpack: Hide backup failure notice when backups are deactivated. [#43568]
- Open Graph: Prevent PHP warnings when embedding some Vimeo videos. [#43458]
- Social: Ensure images load in connections management when concatenating JS. [#43655]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added wordpress/base-styles dependency. [#43576]
- Add `getCurrencyDefaults()` method to allow removal of the `@automattic/format-currency` dependency. [#42456]
- AI Assistant: Add tracking events to know when we're using built-in AI models in some requests and adapted to Chrome AI API changes. [#43495]
- AI Assistant: Retrieve Chrome AI tokens from the backend. [#43442]
- AI Assistant: Track model used in toolbar extension and AI excerpt features. [#43390]
- Blank to-test.md for 14.7 release cycle. [#43436]
- Blocks: Ensure there is enough time for styles to load, preventing console warnings. [#43003]
- Blogging prompt: Make sure the block is registered before inserting. [#43603]
- Blogging prompts: Fix for Simple sites. [#43597]
- Dashboard: Ensure links labeled as external links open in a new tab. [#43685]
- Donations block: Bring back `@automattic/format-currency` temporarily. [#43405]
- Donations block: Ensure links in modal use the External Link indicator. [#43402]
- E2E: Update onboarding tests. [#43592]
- E2E Tests: Update config file encryption algorithm. [#43523]
- Endpoints: Prevent PHP warnings when using the update post endpoint without keys. [#43404]
- Endpoints: Prevent warnings in error logs due to undefined values. [#43570]
- Featured Content: Prevent error if invalid taxonomy data is provided. [#43553]
- Fix My Jetpack onboarding E2E tests. [#43370]
- Forms: Improve Success and Email messages. [#43380]
- Forms: Update dependency on packages/admin_ui. [#43295]
- Janitorial: Ensure functionality related to WoA site checking is clearer. [#43481]
- Load a script that injects the tokens needed to enable Chrome's built-in AI API. [#43682]
- Migrate `numberFormat()` to `number-formatters` package. [#42864]
- Mitigate bug with certain P2 themes. [#43503]
- Newsletter: Update "Set Up" button to show "Add Plans" or "Manage Plans" depending on the plans configuration. [#43694]
- Post Images: Prevent undefined variable and key warnings. [#43548]
- Protect against improper calls to `the_title()` filter. [#43511]
- Reader: Fix paywall styling on Reader and improve few other styles. [#43642]
- Reader: Update paywall messages for restricted content. [#43637]
- Repeat Visitor block: Use stabilized role attribute in test file. [#43472]
- Shortcodes: Prevent malformed gist URLs. [#43753]
- Site Logo: Prevent PHP fatal when third-party code passes unexpected content to `option_site_logo` filter. [#43432]
- Stable release management: Do not ship source files. [#43310]
- Stats: Remove deprecated `stats_update_blog` method. [#43493]
- Subscriptions: Fix newsletter JavaScript string extraction. [#43403]
- Subscriptions: Load newsletter JavaScript translations. [#43423]
- Theme Compatibility: Prevent warning when custom color value isn't set. [#43520]
- Update color on Upsell button to WordPress Blue. [#43406]
- Updated default cookie expiration from 30000000 to YEAR_IN_SECONDS to match recent WordPress Core changes. [#43715]
- Update package dependencies. [#43398] [#43400] [#43425] [#43516] [#43557] [#43572] [#43578] [#43710] [#43711] [#43712]
- Update to-test.md for Jetpack 14.7. [#43621]
- Use `formatCurrency()` and `getCurrencyObject()` functions from the `@automattic/number-formatters` package. [#42796]

## 14.6 - 2025-05-06
### Major Enhancements
- General: Update minimum WordPress version to 6.7. [#43192]

### Enhancements
- Add My Jetpack tour. [#42880]
- Admin Menu: Update the icon of WooCommerce for the Woo installation. [#43029]
- Button block: Add support for border width, style, and color. [#41147]
- Featured Content: Add messaging to clarify that the tag name is case sensitive. [#43165]
- Forms: Add custom hooks for integrations. [#42822]
- Forms: Add endpoint for all integrations. [#42878]
- Forms: Add new integrations setup modal. [#43057]
- Forms: Add tabs to forms dashboard. [#43280]
- Forms: Close block panels by default. [#42953]
- Forms: Reduce default padding in form patterns. [#43124]
- Forms: Update default forms view to dataviews. [#42329]
- Forms: Update the email notification template. [#43093]
- My Jetpack: Update the onboarding UI to show a single button on initial page. [#43203]
- Newsletter Widget: Improve the display of links in the Newsletter widget. [#42645]
- Replace video embed with VideoPress block in Media & Text block. [#42522]
- Sharing buttons: Update legacy Twitter logos to use the X logo. [#42813]
- Shortcode: Convert an embed code from Facebook.com to an oEmbeddable URL. [#43132]
- Sitemaps: Use XMLWriter for a more performant sitemap generation when available. [#42767]
- User: Allow user to delete themselves through the endpoint. [#43065]

### Improved compatibility
- Add Share status support for WordPress.com sites. [#42593]
- Blocks: Ensure all child blocks use the latest version of the Blocks API. [#42929]
- Enable the Top Posts block in WP Admin for Simple Sites. [#43275]
- Forms: Ensure styles are loaded when expected, preventing console warnings. [#42751]
- Sharing: Remove deprecated Skype sharing button. [#43311]

### Bug fixes
- Add translation context to Search menu item. [#43094]
- Block editor: Hide blocks from non-admins when feature is not active. [#40209]
- Blogroll block: Prevent console warnings and block validation issues when adding new items to the blogroll. [#43042]
- Dashboard: Avoid layout issues with "Apply" button on sites using a localized version of WordPress. [#42950]
- Forms: Ensure `render_field` returns string. [#43011]
- Forms: Update form responses link on editor sidebar. [#43143]
- Image Compare block: Ensure block does not overlap navigation submenu items. [#43302]
- Image Compare block: Ensure sticky menus hide the compare line. [#43187]
- JS Packages: Decrease CSS priority of global styles to prevent them from applying within the editor. [#43035]
- My Jetpack: Prevent social login from getting stuck when email input is not empty. [#43158]
- Open Graph: Ensure scaled images are used when specific registered image files exist on a site. [#43026]
- Related Posts: Ensure the block is properly displayed in the editor regardless of user role. [#42967]
- Reset access level of the post to everyone when a paywall is removed. [#42788]
- Slideshow: Prevent images from appearing stuck to the mouse in block-based themes. [#42778]
- Slideshow block: Ensure block preview doesn't generate an invalid API request. [#43083]
- Social: Do not load in the Classic editor if module is off. [#43006]
- Social: Fix "Start for free" not working when module is OFF. [#43331]
- Star Rating: Fix padding and improve panel copy. [#42601]
- Stats: Fix PHP TypeError. [#43072]
- Subscriptions: Only display the dashboard widget to site admins when the Subscriptions feature is active. [#42951] [#42964]
- VideoPress: Avoid suggesting transforming unsupported Video blocks into VideoPress blocks. [#43161]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add more error logging. [#42959]
- Avoid an error on some invalid REST API requests when using PHP 8. [#41662]
- Block editor: Add REST API endpoint for retrieving editor scripts and stylesheets. [#42314]
- Block Editor: Use allow list in assets endpoint to control the allowed blocks types and assets enqueued. [#42835]
- Blog Stats block: Support WordPress.com simple sites. [#43000]
- Button Block: Prevent TypeError when handling border attributes. [#42987]
- Code: Remove unneeded `data:` URI components. [#43227]
- Color Scheme: Clean up `*-rgb` CSS variables. [#42960]
- Compatibility: Replace a deprecated function to check user capabilities. [#43246]
- Dashboard: Update WordPress logo color. [#42811]
- E2E: Fix Jetpack editor smoke test. [#43103]
- E2E: Fix tests following WP 6.8 release. [#43105]
- Fix accessibility of sharing buttons. [#42824]
- Fix type checking in the monorepo. [#42817]
- Forms: Change path and return for form integrations endpoint. [#42826]
- Forms: Remove unused integrations code. [#43211]
- Full Sync: Update tests related to changes in the Sync package. [#43287]
- Geolocation: Remove module requirement. [#43159]
- Infinite Scroll: Catch an obscure PHP error when AMP is enabled. [#43022]
- Jetpack Forms: Add field-file to beta blocks variation. [#43177]
- Jetpack SEO: Change title and description for textarea placeholder and update over-limit message. [#42925]
- Jetpack SEO: Fix bug where auto-generation would only trigger the last enabled features set by user on manual mode. [#42907]
- Jetpack SEO: Remove all SEO Assistant Wizard code and feature filters. [#42991]
- Jetpack SEO Enhancer: Cancel meta and alt-text edits if auto-generation requests come back and the post status is publish(ed). [#42955]
- Jetpack SEO Enhancer: Cancel metas/alt-text updates if the post has been published. [#42904]
- Jetpack SEO Enhancer: Ensure more performant practices when getting enabled features. [#43031]
- Jetpack SEO Enhancer: Ensure more performant practices when getting enabled features. [#43109]
- Jetpack SEO Enhancer: List only remaining tasks in the to-do list for the auto-generation feature. [#42805]
- Jetpack SEO Enhancer: Move feature to production. [#42947]
- Jetpack SEO Enhancer: Remove post publish panel loading status and fix summaries and styles. [#42899]
- Jetpack SEO Enhancer: Trigger the auto-generation process when enabling the toggle on PrePublish sidebar. [#42797]
- Likes: Remove unused liked/like CSS class. [#42936]
- Likes: Unify `likes-master` rendering between WordPress.com and Jetpack. [#42912]
- Linting: Address final rules in WordPress Stylelint config. [#43296]
- Linting: Clean up various Stylelint violations. [#43010]
- Linting: Do additional stylesheet cleanup. [#43247]
- Linting: First pass of style coding standards. [#42734]
- Linting: Fix more Stylelint violations. [#43213]
- Linting: Format SCSS imports consistently. [#43018]
- Linting: Remove outdated vendor prefixes in stylesheets. [#43219]
- Linting: Update stylesheets to use WordPress rules for fonts and colors. [#42920] [#42928]
- Linting: Use double colon notation for pseudo-element selectors. [#43019]
- My Jetpack: Add E2E tests for onboarding. [#43305]
- Newsletter: Remove extra `admin_init` function from `Jetpack_Newsletter_Dashboard_Widget` class. [#43085]
- Newsletter: Update learn more link for self hosted websites. [#43212]
- Newsletters: Fix editor crash for contributors when using categories for newsletters. [#43137]
- Newsletters: Fix selector name typo. [#42841]
- Newsletter settings: Default featured image in email to true for new sites. [#43024]
- Remove the Jetpack submenu item. [#43012]
- Remove the Jetpack submenu only if My-Jetpack is present. [#43282]
- Reset to-test.md for Jetpack 14.6. [#42871]
- Resolve PHP warnings when the thumbnail is really close to 1200px (e.g. 1201px). [#43095]
- Return site slug in the REST /sites/%s endpoint. [#43308]
- SAL: Cast `gmt_offset` to float when retrieving offset from option to prevent type errors. [#43123]
- SAL_Site: Remove unused `view_hosting` field. [#43237]
- Shortcodes: Prevent redeclared function names with YouTube shortcode. [#43351]
- Show the Google Analytics settings form inline under Jetpack -> Settings -> Traffic -> Google Analytics. [#43210]
- Sitemap: Prevent PHP notice when generating sitemaps for videos. [#43333]
- Sitemap: Reduce default limit of items per sitemap to 1000, previously 2000. [#43289]
- Social: Remove the unused endpoint for connections post field. [#43061]
- Social: Remove the unused share status endpoint. [#42963]
- Story block will use a placeholder if used outside the loop. [#41135]
- Subscribe block: Match the frontend wrapping behavior when editing. [#42869]
- Subscriptions: Set the featured image in email option to true on module activation. [#42844]
- Subscriptions block: Improve check for email-specific context to render the email version when actually in an email. [#42989]
- Testing: Add more testing instructions for Jetpack 14.6. [#43273]
- Testing: Add testing instructions prior to 14.6 release. [#43249]
- Tests: Prevent warning when asset file doesn't exist. [#42875]
- Theme compat: Remove duplicated code that is now served by the Classic Theme Helper package. [#43062]
- Update package dependencies. [#42762] [#42809] [#42815] [#43071] [#43314] [#43320] [#43326] [#43347] [#43350] [#43355]
- Widgets: Deprecate the Flickr widget, as Flickr no longer supports fetching recent images from an RSS feed. [#43138]
- Widgets: Fix warning in Upcoming Events wiget when `$event['SUMMARY']` does not exist. [#43111]
- WPCOM_JSON_API_Update_Post_v1_1_Endpoint: Fix warning when `$input['type']` does not exist. [#43180]
- Write Brief: Fix Harper integration for complex blocks. [#42975]
- Write Brief: Initial Harper linting. [#42905]
- Write Brief: Remove partial Harper integration. [#43089]

## 14.5 - 2025-04-02
### Enhancements
- Add page view count in the post and page list. [#42218]
- Add the Account Protection module toggle. [#40925]
- AI Assistant: Add image block extension with alt text and caption generation. [#42160]
- AI Assistant: Use base64 on image extension requests. [#42211]
- Connection: Add modal for disconnecting owner account in Dashboard. [#42074]
- Connection: Allow pre-selected login providers. [#42662]
- Feature suggestions: Improve the design of cards to better match WordPress Core's design. [#42301]
- Forms: Add Akismet panel to Form Block. [#41826]
- Forms: Add block integrations modal with feature flag. [#42747]
- Forms: Add quick link in the admin bar for form entries. [#42474]
- Forms: Add third-party integration endpoint. [#42730]
- Improve the onboarding experience of Jetpack. [#42757]
- My Jetpack: Introduce a new onboarding screen to provide clear, step-by-step instructions for new users connecting to Jetpack. [#42523]
- Newsletter Dashboard Widget: Remove feature flag and enable widget. [#42276]
- Publicize Components: Add a schedule button. [#42313]
- Sharing block: Improve the description of the "Native Share" feature. [#42336]
- Social: Add "Schedule" functionality to the Share Post modal. [#42376]
- Social: Move resharing into the Share Post modal. [#42224]

### Improved compatibility
- AI Assistant: Improve performance by optimizing state management in the AI feature hook. [#42536]
- Carousel: Enable core lightbox on single image blocks. [#42089]
- Components: Prevent deprecation notices by adding `__next40pxDefaultSize` to controls. [#42576]
- Components: Update controls to prevent more deprecation notices. [#42677]
- VideoPress: Add block sidebar notice to transform embed into a block. [#42443]

### Bug fixes
- Add a default value for the error param in the `wp_login_failed` action callback. [#42819]
- Admin Color Scheme: Fix colors in the Aquatic color scheme. [#42632]
- Button: Fix contrast checker for user-specified colors. [#41294]
- Fix display name when listing gravatar accounts. [#42791]
- Fix error with videos uploaded through the Video block. [#42400]
- Fix potential `wp_login_failed` action conflicts. [#42825]
- Forms: Add a default label for textarea fields. [#42480]
- Forms: Fix core list bullets not showing. [#42440]
- Forms: Remove default padding around form block. [#42340]
- Forms: Remove Google Drive beta badge. [#42481]
- Forms: Remove Salesforce beta badge. [#42482]
- Forms: Update the variation previews to match the current structures. [#42366]
- Map block: Increase compatibility of components, preventing console warnings. [#42627]
- Newsletter: Ensure aria-label attribute on dashboard welcome message section is correctly spelled. [#42727]
- Newsletter: Ensure external links are marked as such in the Newsletter widget. [#42571]
- Search: Ensure the count of returned results is shown after searching. [#42570]
- Site Badge: Update styles of the Coming Soon badge. [#42496]
- Site Verification: Fix auto-verification via Google when Social is disabled. [#42604]
- Slideshow: Fix misaligned controls in site editor. [#42370]
- Social: Resolve connection issues with LinkedIn company pages and Tumblr additional blogs. [#42352]
- Stats: Ensure the Stats widget is automatically disabled when the Stats module is disabled. [#42603]
- Stats: Fix date processing for "At a Glance" chart. [#42711]
- Story block: Avoid PHP warnings when using video files. [#42783]
- Twitter Timeline Widget: Prevent broken links when using Twitter's deprecated data-widget-id approach. [#42398]
- Video: Fix auto-reload after upload completes. [#42655]
- VideoPress Block: Fix broken undo functionality. [#42332]
- VideoPress Block: Fix error in the core Video block. [#42216]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add subscribers in WP Admin starting page. [#42066]
- AI Assistant: Add image index information on caption generation request. [#42274]
- AI Assistant: Remove image data from contextual content for image extension features. [#42269]
- AI Controls: Prevent console warnings by increasing compatibility of buttons. [#42636]
- Allow API authorization with Jetpack token. [#42300]
- Autofill logged-in email. [#42626]
- Backup: Prevent PHP warnings by moving admin menu addition to a function hooked into `admin_menu`. [#42396]
- Changes to File Field block (in beta). [#42695]
- Check for user currency when getting currency code in Dashboard products. [#42189]
- Clean up the remnants of the registration nonce we no longer use. [#42552]
- Compatibility: Ensuring performance best practices and reducing console warnings. [#42435]
- Components: Add margins to elements which had spacing issues due to the __nextHasNoMarginBottom property. [#42075]
- Display proper Offline Mode notices if enabled via DB option. [#42630]
- Donation block: Add additional information about accepting donations. [#42214]
- E2E Tests: Add test coverage for Account Protection features. [#40925]
- Fix bug where subscription was showing incorrectly as expired in certain timezones. [#42240]
- Fix bug with blogging prompt. [#42539]
- Fix Publicize unit test. [#42451]
- General: Indicate compatibility with WordPress 6.8. [#42701]
- Handle singular/plural forms of labels. [#42319]
- Jetpack AI: Handle image URL errors on AI vision requests and notify the user about the error. [#42191]
- Jetpack SEO: Add action trigger when toggle is off. [#42331]
- Jetpack SEO: Add first draft for SEO enhancer on Jetpack sidebar and pre-publish. [#42310]
- Jetpack SEO: Add settings toggle for automated SEO props generation. [#42350]
- Jetpack SEO: Revert filter `ai_seo_assistant_enabled` default state back to false. [#42238]
- Jetpack SEO Enhancer: Add Business plan restriction. [#42731]
- Jetpack SEO Enhancer: Add global setting toggle on the sidebar.
- Jetpack SEO Enhancer: Add placement prop for component and track event/ [#42768]
- Jetpack SEO Enhancer: Hide trigger button when auto-generate toggle is on. [#42653]
- Jetpack SEO Enhancer: Normalize vertical spacing throughout Jetpack sidebar, pre and post publish panels. [#42686]
- Jetpack SEO Enhancer: Track settings change and triggers. [#42682]
- JSON API: Activate REST for posts fetching endpoint. [#42311]
- JSON API: Add REST support for `/users` endpoint. [#42475]
- JSON API: Add REST support to `site` endpoint. [#42382]
- JSON API: Fix post encoding. [#42377]
- Like Block: Fix layout shift when loading. [#42361]
- Likes: Do not set display:block style on the placeholder when unloading. [#42739]
- Likes: Fix compatibility with WP.com locales. [#42668]
- Likes: Make module compatible with WordPress.com Simple sites. [#42515]
- Move donation modal links to Jetpack redirect service. [#42680]
- Move `useUpgradeFlow` hook to shared-extension-utils package. [#41836]
- Newsletter: Add spacing to settings. [#42373]
- Newsletter Dashboard Widget: Update href to import subscribers. [#42239]
- Newsletter Widget: Add Tracks events. [#42660]
- Newsletter Widget: Fix type imports. [#42277]
- Newsletter Widget: Update newsletter widget default placement in Dashboard. [#42304]
- Notifications: Update link URL to wordpress.com. [#42295]
- OpenTable block: Remove the ability to search restaurants by name. [#41162]
- Provide connection data to footer component. [#42000]
- Reader: Add repost functionality to Jetpack editor extension.
- Rename the JITM endpoint from v2, which already exists, to v3, which is new. [#42568]
- SEO Enhancer: Add post-publish summary. [#42557]
- SEO Enhancer: Add SEO requests. [#42383]
- SEO Enhancer: Auto-generate alt text for images if enabled. [#42445]
- SEO Enhancer: Auto-run on pre-publish if enabled. [#42407]
- SEO Enhancer: Count requests for image alt text. [#42659]
- SEO Enhancer: Disable auto-enhance and toggle on WordPress.com Simple sites. [#42597]
- SEO Enhancer: Do not request Jetpack modules data on WordPress.com Simple sites. [#42650]
- SEO Enhancer: Enable SEO summary when auto-enhance is disabled. [#42709]
- SEO Enhancer: Fix function call on P2. [#42431]
- SEO Enhancer: Persist features on store and update UI. [#42491]
- SEO Enhancer: Respect alt text feature toggle and only request alt text on URL change. [#42518]
- SEO Enhancer: Update UI. [#42347]
- Shortcodes: Proxy Twitter/X oEmbed through WordPress.com to minimize 404 errors. [#42315]
- Social: Move JS editor code from Jetpack and Social to Publicize package. [#41836]
- Social: Move share post endpoint from Jetpack to Publicize package. [#42179]
- Social: Move the URL query param handling for opening sidebar to Publicize package. [#42364]
- Social: Remove the old unused initial state. [#42390]
- Social: Replace the Social UI in Sharing settings with a link to the Social admin page. [#42761]
- Social: Update recommendation CTAs to point to social admin page. [#42690]
- Testing: Add instructions prior to Jetpack 14.5 release. [#42679]
- Tiled Gallery: Ensure custom links aren't restricted to just URLs - allows anchor links as well. [#42363]
- Tweak subscribers counts endpoint to return aggregated data based on a query param. [#42103]
- Update dependencies. [#42564]
- Update package dependencies. [#42384] [#42511]
- Use jetpack-config package for Account Protection initialization. [#40925]
- Use jetpack-logo package for Account Protection logos. [#40925]
- Use `wpcom/v2/jitm` endpoint as a consistent way to fetch JITMs from the WordPress.com public API. [#41993]
- Utilities: Change from Post Editor to Site Editor for better compatibility and to prevent console warnings. [#42652]

## 14.4.1 - 2025-03-12
### Bug fixes
- Prevent errant message on General Settings page when saving.

## 14.4 - 2025-03-04
### Enhancements
- Connection: Disconnect all other users before disconnecting connection owner account. [#41923]
- Connection: Display connection status on Users page independent of the SSO module. [#41794]
- Custom Post Types: do not display testimonials and portfolios on block themes where they are not in use. [#41714]
- Dashboard: Display connection owner to all users. [#41606]
- External Media: Add external media modal on the Media Import page. [#41282]
- Forms: Add support for having multiple forms accross paginated pages. [#41407]
- Forms: Update field and button blocks to support contentOnly editing. [#41411]
- Forms block: Add number input. [#40962]
- Media Page: Enable the "Untangle Calypso" feature. [#41628]
- My Jetpack: Update the unowned section from a product grid to a product list. [#41312]
- Newsletter: Add footer widget section. [#42048]
- Newsletter: Add new newsletter widget. [#41807]
- Newsletter: Add newsletter widget header row behind a feature flag. [#42060]
- Newsletter: Add setting to hide category selection modal. [#41552]
- Post actions: Rename Copy action to Duplicate, which is clearer. [#34844]
- Social: Update the admin page to be used by Editors and Authors. [#41859]
- Subscriptions: Pre-select newsletter categories. [#41567]
- Tiled Gallery block: Add ability to link to custom URLs from each image. [#41471]
- VideoPress: Add title to the attachment details view. [#42023]

### Improved compatibility
- Custom Content Types: Ensure feature works on Jetpack settings page without using module functionality. [#41349]

### Bug fixes
- External Media: Fix the button size in the editor for Gutenberg 18 or below. [#41619]
- Fix Social toggles. [#41912]
- Forms: Ensure non-rendering fields to not trigger validation or show value in form submission response. [#41979]
- Forms: Fix 404 error when a user submits an invalid form with JavaScript disabled. [#41947]
- Forms: Fix block style variations not showing in the editor. [#41457]
- Forms: Fix invalid html IDs. [#41564]
- Forms: Hide fields without options. [#41443]
- Forms: Improve the styling of the separator block when placed inside the form block. [#40967]
- Geo Location: Remove support from default themes to prevent deprecation notice. [#41773]
- Gravatar Widget: Fix linked accounts not showing. [#42056]
- Newsletter: Fix post placement not displaying on certain block themes. [#41870]
- Publicize: Fix disconnect command not working. [#41906]
- Related Posts: Ensure images using the AVIF format are properly displayed. [#41760]
- Sharing: Fix possible warnings related to plugin compatibility. [#41600]
- Social Previews: Fix distorted image for Tumblr preview. [#41844]
- Stats: Fix a problem where count roles weren't able to be updated. [#41530]
- Widget Visibility: Fix possible fatal errors for widgets using anonymous functions as callbacks. [#41873]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add REST support for jsonAPI endpoints. [#39432]
- AI Assistant: Add alt text generation to image extension. [#42016]
- AI Assistant: Add image caption generation to image extension. [#42127]
- AI Assistant: Add image extension with feature flag. [#41971]
- AI Assistant: Adding support to use Chrome AI bult-in API. [#41922]
- AI Assistant: Add missing pre-defined prompt value to the tracking event. [#41670]
- AI Assistant: Count request for image extension features. [#42158]
- AI Assistant: Update usage of usePostContent for only when necessary. [#42149]
- API: Add a new site setting to hide the Action Bar in the REST API endpoint. [#41123]
- API: Added caching to JSON API requests for comments. [#41545]
- Code: Prevent dynamic class properties. [#41857]
- Code Quality: Update deprecated block editor APU usage. [#41176]
- Ensure Viewers are searchable by username and email. [#41447]
- External Media: Move the GooglePhotosMedia, OpenverseMedia, PexelsMedia to @automattic/jetpack-shared-extension-utils. [#41078]
- External Media: Update styles of the external media modal. [#41303]
- Fix subscribe button width in editor. [#42012]
- Fix the user connection link in Post-by-Email module. [#42132]
- General: Prevent deprecation notices on PHP 8. [#41733]
- General: Remove unused setting. [#41658]
- Gravatar Widget: Fix PHP warning for some linked accounts. [#42142]
- Jetpack AI: Adding translation support using Chrome's Gemini AI mini. [#41724]
- Jetpack AI: Fix some styles and deprecation props. [#41814]
- Jetpack AI: Prevent Chrome AI requests from incrementing request count. [#41900]
- Jetpack button: fix width and alignment. [#41139]
- Jetpack SEO: Add assisstant flow state to better handle navigation transitions and effects. [#41686]
- Jetpack SEO: Add box-shadow as in BigSky. [#41791]
- Jetpack SEO: add completion summary step. [#41585]
- Jetpack SEO: Add image alt text step. [#41897]
- Jetpack SEO: add request mocking function for development. [#41640]
- Jetpack SEO: Add tracking events on significant actions. [#41697]
- Jetpack SEO: Allow editLastMessage to append new content instead of replacing. Simplifies message flow editing. [#41690]
- Jetpack SEO: assistant option bubbles border design. [#41557]
- Jetpack SEO: Change AI feature request name. [#41762]
- Jetpack SEO: Change copy on the completion step. [#41798]
- Jetpack SEO: fix gap/spacing between chat bubbles and options. [#41616]
- Jetpack SEO: fix state inconsistencies, change effects and use global isBusy suspense flag. [#41546]
- Jetpack SEO: Move steps upwards so we can establish the assistant as a generic component and provide steps dynamically. [#41768]
- Jetpack SEO: Remove code from the first attempt of the trigger, placed on AI panel of the Jetpack sidebar. [#41721]
- Jetpack SEO: Rename CSS classes and events for consistency and alignment with event requirements. [#41800]
- Jetpack SEO: switch mockRequests flag to false so it defaults to make requests to backend. [#41645]
- Jetpack SEO: Turn default filter value to true so to enable the SEO assistant by default. It remains as BETA though. [#41767]
- Jetpack SEO: Wee CSS fix on message width. [#41676]
- Jetpack SEO Assistant: keep both raw and formatted value on keywords step, thus allowing for consistency on messages but also on provided value for later steps. [#41641]
- Jetpack SEO assistant: persist selected options if they haven't changed. [#41637]
- Jetpack Sync: Fixed extracting UTF-8 characters from image alt-text. [#41451]
- Just a copy change. [#39882]
- Mailchimp Block: Prevent vertical stretch in button. [#41790]
- Map block: Catch error if content is empty. [#41583]
- Move the API endpoint for unlinking the user to the automattic/jetpack-connection package. [#41398]
- Newsletter: Move Subscribe button to new line if width set to 100%. [#42024]
- Newsletter Dashboard Widget: Add translations. [#42152]
- Newsletter Dashboard Widget: Update footer links behind feature flag. [#42070]
- Newsletter settings: Update copy. [#41884]
- Prevent PHP error when error log retrieved from database is an unexpected type. [#41584]
- Reader: Update url from /read to /reader. [#41477]
- Recipe Block: Switch to strings for all block descriptions. [#41431]
- Remove feature flag for new Like widget layout and code for old avatar popup. [#41849]
- Remove the Jetpack_Keyring_Service_Helper class in favour of the one in the Publicize package. [#41460]
- Reset to-test.md for Jetpack 14.4 release cycle. [#41555]
- SEO Assistant: Add actual requests. [#41612]
- SEO Assistant: Add error handling to meta description step. [#41757]
- SEO Assistant: Add initial error handling to title generation. [#41649]
- SEO Assistant: Add store to keep assistant open when sidebar is closed. [#41816]
- SEO Assistant: UX tweaks. [#41823]
- Sharing: Reduce width of Likes column on posts page to better accommodate other columns. [#42052]
- Sitemaps: Include line breaks for easier debugging. [#33962]
- Social: Deprecate unused publicize endpoints. [#42020]
- Social: Fix PHP warnings on WordPress.com. [#41869]
- Social: Move the publicize/services endpoint to publicize package. [#42019]
- Social: Update classic editor logic to use the new connections schema. [#41778]
- Social: Update social activation link in the editor to point to the new Social admin page. [#41741]
- Stats: Temporarily show the widget to administrators for Simple sites. [#41549]
- Subscribe Block: Fix double border on "Set up a paid plan" toolbar button. [#41784]
- Subscriptions Block: Unset invalid newsletter categories from attributes. [#41774]
- Sync: Full-sync chunking logic dynamic for Woo modules. [#41433]
- Sync: Full sync for posts not sending term relationships. [#41597]
- Theme tools: Load theme compat functionality relevant to features in Classic Theme Helper package from this package. [#41598]
- The page-optimize plugin link shown to Atomic sites only is no longer required and has been removed. [#42091]
- Update composer.lock. [#40863]
- Updated package dependencies. [#41491] [#41577] [#41659] [#42163] [#42180]

## 14.3 - 2025-02-04
### Enhancements
- Blocks: Improve performance. [#39734]
- Forms: Add Checkbox and Consent field enter action to create a new block. [#41297]
- Forms: Allow HTML block within forms. [#41040]
- Show Infinite Scroll options in Simple Classic. [#41144]
- Social: Enable Social post UI for WordPress.com sites. [#41219]
- Social: Post character limits are now dynamic based on selected connections. [#41429]

### Improved compatibility
- Nova Restaurant: ensure that the custom post type is now loaded via the Classic Theme Helper package. [#40782]
- Open Graph Meta Tags: Do not display Jetpack's tags when the SEOPress plugin is active. [#41331]
- Social: Remove "Your post" section from previews in favor of newer Social Post UI. [#41329]

### Bug fixes
- Authors widget: Fix saving of unchecked "Display all authors" checkbox in the legacy widget editor. [#40878]
- Copy Post: Ensure Copy option is still available on all CPTs after quick edit in post list. [#41339]
- Fix: Newsletter toggle in editor sidebar has a visually broken active state. [#41036]
- Forms: Fix datepicker appearance on dark themes. [#41342]
- Forms: Fix dropdown icon style. [#41074]
- Forms: Fix field spacing and widths. [#41415]
- Forms: Fix permanent deletion of form reponses via quicklinks. [#41321]
- Forms: Hide empty radio fields. [#41379]
- Forms: Keep content as-is when switching Feedback status between spam and publish. [#41359]
- Forms: Make the icons show up as expected in the style editor. [#41314]
- Forms: Prevent error in block placeholder when the Forms module is disabled. [#41382]
- Pages and Posts: Fix the layout on mobile when details are open. [#40872]
- Photon: Fix double encoding image urls. [#40886]
- Sharing: Fix the location of the sharing dialog so it is not always the first sharing element on the page. [#41002]
- Sitemaps: Ensure a valid news sitemap is present even if no posts are eligible. [#40893]
- Social: Fix profile links for LinkedIn connections. [#40873]
- Social: Fix Publicize error in the editor due to malformed connections data. [#40679]
- Social: Fix wordpress.com login error when connecting Social accounts. [#41149]
- Stats: Fix saving of custom roles settings. [#40853]
- Testimonials: Fix shortcode-related bug. [#40896]
- Tiled Gallery block: Ensure icons are visible when selecting image in editor. [#40779]
- VideoPress: Fix issue with VideoPress block with zero height and width. [#41319]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Code: Remove extra params on function calls. [#41263]
- Code: Use function-style exit() and die() with a default status code of 0. [#41167]
- Comments API: Add wpcom_id and wpcom_login fields to comment author responses when requested via author_wpcom_data parameter. [#41254]
- Embeds: Fix the Descript block variation icon SVG path. [#41017]
- Forms: Fix default editor stying for textarea. [#41229]
- Forms: Remove wrapping <div> element from form block. [#41274]
- Forms: Rename contact form module to "Forms". [#41384]
- Full Sync: Send context on initial sync action. [#40930]
- General: Deprecate Jetpack geo location module. [#41193]
- General: Fix the rendering of Jetpack Google Fonts font faces for classic themes. [#41190]
- Hide related posts options for block themes. [#41075]
- Jetpack AI: Add message that displays when a post has no content. [#41161]
- Jetpack AI: Add PoC for SEO assistant (hardcoded and no actionables yet). [#40802]
- Jetpack AI: Buttons now have 100% width and are 40px tall. [#41161]
- Jetpack AI: Changed color of some text. [#41161]
- Jetpack AI: Enable ratings feedback thumbs for all. [#40772]
- Jetpack AI: Prevent error when generating a featured image while quota is exceeded. [#41551]
- Jetpack AI: Updated text and spacing in various places. [#41161]
- Jetpack AI: Use the PluginDocumentSettingPanel slotfill for compatibility with site and post editor in the Excerpt panel. [#41251]
- Jetpack AI: Write Brief checkboxes are hidden by toggle now. [#41161]
- Jetpack button: Implement outline style. [#41194]
- Move WPCOM_REST_API_Proxy_Request trait to the connection package. [#41023]
- Newsletter: Update category settings to clarify that one or more categories must be selected to allow people to subscribe. [#40727]
- Notifications: Support three-letter language code translations. [#40973]
- Pexels: Update title of option to be sentence case. [#41024]
- Post List: Add a Copy Link Quick Action. [#41305]
- Post list: Ensure copy quick link is added after quick edit. [#40889]
- Related Posts: Revert "Hide settings in block themes." [#41203]
- SEO Assistant: Adjust step flow in wizard. [#41268]
- SEO Assistant: Implement completion step and review copy edits. [#41469]
- SEO Assistant: Improve assistant flow by letting steps depend on previous steps. [#41341]
- SEO Assistant: Tweak design CSS. [#41506] [#41473]
- Social Image Generator: Change description for toggle. [#40991]
- Stats: Load the adminbar stats graph lazily. [#40865]
- Stats: Remove legacy Stats widget loader. [#40839]
- Subscriptions block: Fix button width when not on a new line. [#41156]
- Sync: Full Sync comments now send dynamic chunks if chunk size default is too big. [#41350]
- Testing: Add manual testing instructions. [#41364]
- Theme compat: Wrap relevant functions in a `function_exists` check to prevent collisions with Classic Theme Helper package. [#41394]
- Update composer.lock files. [#41066]
- Updated dependencies. [#40773]
- Updated package dependencies. [#40980] [#41099]
- Updated package dependencies. [#41286]
- Update settings endpoint to return the updated toggle state in the success response. [#41461]
- Update social-logos import from default to named. [#40816]
- Update text copies based on whether the site is public. [#41387]

## 14.2.1 - 2025-01-09
### Bug fixes
- WC Analytics: Temporarily disable setcookie to avoid caching issues. [#40937]

## 14.2 - 2025-01-07
### Enhancements
- Social: Improve Jetpack Likes behavior for better theme integration if the post has likes. [#40544]
- Stats: Allow programatically fetching stats for specific sites when using Jetpack's tools. [#40441]
- Stats: Enable sparkline chart in the WP Admin bar. [#40456]
- Stats: Sunset Legacy Stats experience. [#40384]

### Improved compatibility
- Google Photos Picker: Update UX opening picker right after pressing "change selection" CTA. [#40410]
- Jetpack Testimonials: Ensure feature loads via the Classic Theme Helper package instead of the module. [#40388]
- SEO: Ensure support for adding an SEO title and description for custom post types. [#40334]
- WordPress 6.7 Compatibility: Fix notices caused by translation calls happening too early in the load order. [#40474]

### Bug fixes
- Facebook Embeds: Add a white background to embeds to avoid transparent background interfering with readability. [#40547]
- Form Block: Fix validation of URL input types to allow query strings. [#40490]
- Google Fonts: Clean up the Google Fonts data if either the Google Fonts module is disabled or Jetpack is disabled. [#40440]
- Import: Set WP_IMPORTING constant correctly when doing an import. [#40563]
- SEO: Ensure that SEO fields are not visible when another SEO plugin is active. [#40567]
- Shortcode embeds: Ensure Instagram reels are properly displayed in AMP views. [#40682]
- Shortcodes: Prevent conflict with third-party SoundCloud shortcodes. [#40789]
- Slideshow block: Fix block display when added within a Stack block. [#40383]
- WooCommerce Analytics: Fix fatal error when WooCommerce cart object is not available. [#40729]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add testing instructions for Jetpack 14.2. [#40752]
- AI Assistant: Add disclaimer to image generation modals. [#40397]
- AI Assistant: Add feature flag for AI feedback feature. [#40418]
- AI Assistant: Add thumbs feedback for list-to-table feature. [#40755]
- AI Assistant: Enhance thumbs feedback on AI Assistant and extensions. [#40746]
- AI Assistant: Fix block inserter position for Form block with AI extension. [#40834]
- API Endpoints: Disable Bloganuary for 2025 and beyond. [#40491]
- API Endpoints: Make sure manual plugin updates applied when auto update is disabled. [#40534]
- Block Editor: Avoid crashes when the media property does not exist. [#40588]
- Blocks: Fix path validation notices. [#40450]
- Carousel: Avoid null requests when loading an image. [#40535]
- Comments: Make list of allowable comment types filterable so custom types can be returned if needed. [#40530]
- Custom Post Types: Ensure Restaurant Menu mail class does not conflict with newly moved files in Classic Theme Helper package. [#40668]
- E2E Tests: Only install single browser used by Playwright. [#40827]
- External media: Add logic to persist session in cookie. [#40382]
- Filters: Prevent error when `http_request_timeout` filter is used incorrectly. [#40791]
- General: Fix lints following ESLint rule changes for TypeScript. [#40584]
- General: Remove deprecated hooks and methods on Jetpack admin pages. [#40457]
- Google Photos Picker: Cover case with connection transition from Google Photos to Google Photos Picker. [#40416]
- Infinite Scroll: Remove deprecated code. [#40528]
- Jetpack AI: Add AI feedback component and implementing it on the image carousel. [#40488]
- Jetpack AI: Adding AI feedback to Write Brief features. [#40756]
- Jetpack AI: Add thumbs up/down component to AI logo generator. [#40610]
- Jetpack AI: Add tooltips to AI feedback component. [#40506]
- Jetpack AI: Add tracking to the thumbs up/down component, saving the component and rating to Tracks. [#40553]
- Jetpack AI: Change placeholders on image generation modals to try and improve styles discoverability. [#40504]
- Jetpack AI: Do not trigger featured image generation if title or content are just empty spaces. [#40858]
- Jetpack AI: Introduce new beta feature ai-seo-assistant. [#40744]
- Jetpack AI: Move AI Response Feedback feature out of beta. [#40859]
- Jetpack AI: Remove dead and deprecated code. [#40172]
- Jetpack AI: Show current featured image in Featured Image Generator modal if present. [#40631]
- Jetpack API: Fixed a bug where invalid upload input caused a fatal error. [#40726]
- Jetpack API: Move `wpcom/v2/publicize/connections` endpoint to publicize package. [#40607]
- Map block: Improve inspector control UI. [#40837]
- Metadata: Always return internal '_jetpack_dont_email_post_to_subs' meta. [#40723]
- Newsletter: Fix no space under the sidebar toggle. [#40376]
- Photon: Ensure VIP sites are correctly identified to prevent unnecessary early Photonization of URLs. [#39941]
- Premium Content: Fix editor and display CSS for Premium Content buttons. [#40638]
- Restaurant Menu CPT: Convert much of the jQuery usage to JavaScript. [#40645]
- Site Migration: Add new option to site options API. [#40552]
- Sync: Synchronize Holiday snow option. [#40478]
- Testing: Remove old instructions. [#40444]
- Tests: Use updated theme in tests. [#40634]
- Updated package dependencies. [#40363]
- Updated package dependencies. [#40515] [#40564]
- Updated package dependencies. [#40693]
- Updated package dependencies. [#40784] [#40792] [#40798] [#40800] [#40810] [#40811] [#40813] [#40815] [#40830] [#40831] [#40844]
- VideoPress: Catch TypeError when theme specifies $content_width as a string. [#40790]
- WordAds: Migration of ad formats from IPONWEB to WATL. [#40308]

## 14.1 - 2024-12-03
### Enhancements
- Image CDN: Use preconnect resource hints instead of dns-prefetch to improve performance. [#39883]
- Likes Block: Allow hiding avatars. [#40282]
- My Jetpack: Update the recommendations section in My Jetpack to include a slider interaction for the cards. [#39850]
- Social: Add a new toggle for Social UTM tracking. [#39998]
- Social: Add permissions warning for LinkedIn connections. [#40220]
- Social: Post share status in the editor is now immediately available on page load. [#40301]
- Subscriptions: Don't load editor functionality when the module is disabled. [#39802]
- Use wp_register_block_metadata_collection() on WordPress 6.7+ to improve block registration performance by reducing filesystem operations. (See https://core.trac.wordpress.org/changeset/59132) [#40064]

### Improved compatibility
- Components: Update Shortlink and Toolbar related components to ensure compatibility. [#39960]
- Dashboard: Fix toggle component to prevent console warnings. [#40164]
- General: Update minimum PHP version to 7.2. [#40147]
- General: Update minimum WordPress version to 6.6. [#40146]
- Tiled Gallery: Increase accessibility by ensuring images are not classified as interactive when they shouldn't be. [#40241]

### Bug fixes
- AI Assistant: Fix bug with error message when user is not over requests limit. [#40235]
- Comments: Fix reload after posting. [#40140]
- Forms: Improve compatibility with third-party integrations. [#40183] [#40126]
- Licensing: Resolve an issue where revoked licenses were incorrectly treated as unattached. [#40215]
- Social: Fix bug with scheduled resharing when sharing another admin's posts. [#40048]
- Social: Make resharing async in classic editor to fix timeout issues. [#40302]
- Subscribe block: Fix block error when editing. [#40355]
- Subscriptions: Fix template preview and edit links for three toggle settings. [#40142]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Actions: Ensure Deprecations class loads after translations to prevent errors. [#40085]
- Admin: Update deprecation notices. [#39567]
- AI Assistant: Add feature flag for list-to-table transform. [#40078]
- AI Assistant: Add hotfix for input disabled bug (https://github.com/Automattic/wp-calypso/issues/96430). [#40198]
- AI Assistant: Add styles support for featured image AI modal. [#40113]
- AI Assistant: Add "transform list into table" functionality back to AI Assistant. [#40148]
- AI Assistant: Ensure we validate that the transform option exists. [#40186]
- AI Assistant: Fix image generation modal issues. [#40094]
- AI Assistant: Display "turn list into table" menu item only for top-level lists. [#40177]
- Backup: Add "next daily backup" schedule time on admin page. [#39914]
- Bundles: Add growth icon to recommendation upsell. [#40347]
- Classic Theme Helper: Add Testimonial custom post type content. [#40295]
- Dashboard: Fix bug with connection cards in "promotions disabled" mode. [#40179]
- Dashboard: Replace Creator recommendation with Growth. [#40212]
- Deprecation notices: Ensure URLs are correctly generated. [#40093]
- Docs: Update lists of social networks supported by Publicize, to include all the newer networks. [#40248]
- Extra Sidebar Widgets: Update asset enqueuing strategy to ensure compatibility with the Elementor plugin. [#39820]
- General: Add to-test changes for Jetpack 14.1. [#40331]
- General: Fix TS errors following @wordpress/editor update. [#40291]
- Google Photos Picker: Add Google Photos Picker flow backend API endpoints support. [#40242]
- Google Photos Picker: Update Google Photos external media to support Google Photos Picker API. [#40087]
- Jetpack AI: Check module availability for mapped blocks. [#40336]
- Jetpack AI: Enable transform list to table functionality for all. [#40287]
- Jetpack AI: Image generator modals now properly enable prompt input separately from action button. [#40210]
- Jetpack AI: Increase response cache TTL, add error response caching and increase request timeout. [#40171]
- Jetpack AI: Move transform list to table prompt to backend. [#40237]
- Jetpack AI: Use the right feature control to pick the styles from. [#40265]
- Likes Block: Add a filter to the iframe url to enable future expansion and modularity. [#40276]
- Newsletter: Update form labels for welcome message in Settings. [#40254]
- OpenGraph: Minor bug fixing. [#39749]
- Plans: Add Jetpack Growth constants to prevent error on My Plan section. [#40176]
- Podcast Player Block: Fix "Uncaught TypeError" error. [#40121]
- Search: Add ability to customize order of results. [#36378]
- Sharing: Fix infinite reload issue on Jetpack Sharing settings. [#40089]
- Sharing: Optimize the Sharing module hook callback. [#40128]
- Slideshow Block: Fix width when used inside a Row block. [#40041]
- Social: Add UTM option to sync. [#40144]
- Social: Change "Activate" button in the editor to link. [#40390]
- Social: Change My Jetpack CTA from "Learn more" to "Activate". [#40359]
- Social: Fix undefined index error on specific WordPress.com environments. [#40337]
- Subscriptions: Ensure site URL is correctly detected when handling the comment subscription modal. [#40129]
- Sync: Add test to ensure Full Sync order  matches config. [#40100]
- Themes: Fix race condition when loading theme compatibility files. [#40075]
- Update @wordpress/editor to the latest version. [#40373]
- Updated composer.lock file. [#40032]
- Updated dependencies. [#40286]
- Updated package dependencies. [#39999] [#40000] [#40060] [#40116] [#40232] [#40288]
- Update feature for stats in growth to 10K instead of 100K. [#40312]
- Widgets: Remove old migration code. [#40073]
- Write Brief: Add alternative apostrophe char to spelling mistakes regex. [#40395]

## 14.0 - 2024-11-07
### Major enhancements
- Newsletters: Add email previews and a floating subscribe button. [#37722] [#39782]
- Social: Add support for Bluesky. [#39659] [#39561]

### Enhancements
- Newsletters: Allow skipping newsletter modals with the "jetpack_skip_subscription_popup" URL query param. [#39644]
- Newsletters: Update the default "reply to" setting value from not allowed to replies being posted as public comments. [#39657]
- Performance: Optimize CSS for better page load performance and improve sitemap write efficiency. [#39518] [#39572]

### Improved compatibility
- Embed Blocks: Append 'Embed' to Facebook and Instagram embed blocks' titles. [#39970]
- Filters: Update "plugin_action_links" filter parameter to avoid conflicts with other plugins. [#39681]
- General: Ensure correct display of notices when running an old version of WordPress. [#39745]
- General: Indicate compatibility with WordPress 6.7. [#39786] [#39877]
- Image Block: Make the external media picker button consistent with other Image Block buttons. [#39985]
- Image CDN: URL encode image path parts for RSS feed compatibility. [#39560]
- Related Posts: Allow Related Posts on non-post CPTs where the block is already able to be used. [#39730]

### Bug fixes
- AI Assistant: Fix false-positive spelling errors in Write Brief. [#39735] [#39880]
- Carousel: Further improve accessibility by being more selective over which images to apply attributes to. [#39913]
- Contact Form: Ensure that submitted forms can only be accessed by logged in users allowed to view form submissions. [#39759]
- General: Include `wp-polyfill` as a script dependency only when needed. [#39629]
- Goodreads Block: Avoid PHP warnings caused by missing attributes when rendering. [#39713]
- Google Fonts: Fix module not fully loading in certain scenarios. [#39977]
- Map Block: Prevent overlap with other blocks placed below. [#39744]
- Newsletters: Fix "Enable featured image on your new post emails" and "Use excerpt" settings. [#39700] [#39815]
- Sharing: Ensure the sharing settings can be accessed even when the user is not connected to WordPress.com. [#39677]
- Slideshow Block: Ensure the block renders correctly inside an iframe editor. [#39551]
- Social: Fix the maximum video length for Instagram Business reels. [#39930]
- Social: Prevent share status styles from causing text overflow or affecting other elements on the page. [#39599] [#39991]
- Stats: Fix top post card on the Insights page. [#39691]
- Subscribe Block: Fix styling for the number of subscribers in the post editor sidebar. [#39929]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin Menu: Adding tests to check for 'current' class when menu item selected. [#39374]
- Blocks: Initialize connection assets in Story block. [#39870]
- Blogging Prompt: Preserve language on answers link. [#36730]
- Code: Add missing deps in calls to the `useSelect` React hook. [#39421]
- Code: Add null check to SAL_Site::posts_status_obj to avoid warnings. [#39727]
- Code: Add siteFragment to JP initial state definition, avoid linter warnings. [#39589]
- Code: Enable test coverage. [#39961]
- Code: Fix PHPUnit coverage warnings. [#39989]
- Code: Run coverage tests in parallel. [#39988]
- Code: Updated package dependencies. [#39594] [#39639] [#39649] [#39653] [#39707]
- Code: Update testing instructions for Jetpack 14.0. [#39957]
- Code: Use React setState instead of directly modifying state. [#39421]
- Connection: Add connection nudge for blocks that are missing it. [#39647]
- Connection: Add tracks to connection banner. [#39732]
- Connection: Fix issue where connection banner was showing for simple sites. [#39687]
- Connection: Show connection nudge instead of error if user is not connected on blogroll block. [#39638]
- Connection: Unify connection nudge design on Jetpack Settings. [#39591]
- Connection: Unify connection related CTAs on At A Glance. [#39585]
- Contact Info: Change block registration code. [#39892]
- Email preview modal: Improve error state visuals. [#39476]
- General: Skip pricing page when connecting from editor blocks. [#39865]
- General: Updated package dependencies. [#39910]
- Hooks: Change several action priorities to ensure translation loading is not triggered too early. [#39841]
- Infinite Scroll: Add isset checks to validate input data. [#39618]
- Jetpack AI: Add instructions to general image generation with styles to to-test file. [#39954]
- Jetpack AI: Add styles dropdown on AI image generator modal. [#39917]
- Jetpack AI: Add testing instructions to to-test.md. [#39866]
- Jetpack AI: Change constant value for fair usage, accept both values on type definitions. [#39705]
- Jetpack AI: Remove reload handler for logo generator modal call. [#39848]
- Jetpack AI: Use new exported component for AI generation modal on GP image generation. [#39864]
- JSON Endpoints: Handle null input for update post endpoint. [#39676]
- Map Block: Display a static map image when the block is rendered in a pattern preview. [#39768]
- Map Block: Remove preview attribute. [#39768]
- Modules: Update any instances where functions are hooked into plugins_loaded, to use a later hook if needed. [#39993]
- Newsletters: Fix 'class Jetpack_Subscriptions_Widget not found' fatal error during REST API. [#39765]
- Related Posts: refine how related posts are made available on singular views in block themes. [#39784]
- REST API: Add site_partner_bundle option to Sites API response. [#39905]
- REST API: Fix upload media endpoint fatals coming from uploads with invalid media type. [#39858]
- Scan: Update Jetpack Scan link in the WP Admin menu. [#39619]
- Slideshow Block: Fix console warning related to images with the same key. [#39821]
- Social: Change order of jetpack social connections. [#40020]
- Social: Optimize the 'admin_init' hook callback for Sharing module. [#39737]
- Stats: Optimize the Stats Admin Bar hook by narrowing down the callback. [#39857]
- Story Block: Avoid error when previewing block styles in development version of the Gutenberg plugin. [#39807]
- Story Block: Fix console warning related to 'key' not being a prop. [#39822]
- Subscribe Block: adjust margin of the notice appearing in the block sidebar. [#39962]
- Subscriptions: Add source attribute for stats to the floating subscribe button. [#39860]
- Tests: Fix unit tests. [#39799]
- Theme Tools: Ensure theme-compat files are still loaded when a compatible theme is used. [#39992]
- Theme Tools: Fix race condition when loading theme compatibility files. [#40075]
- Update "My Plan" page to only show Google Analytics for WoA sites. [#40044]
- Verbum Comments: Update resize logic. [#39791]
- VideoPress: Update VideoPress notice URL on Media Library. [#39731]
- Widget Visibility: Add check to ensure post exists before accesing post_author. [#39746]
- Write Brief: Load unconfident words from backend and update caching. [#39975]

## 13.9.1 - 2024-10-14
### Bug fixes
- Contact Form: Ensure that submitted forms can only be accessed by logged in users allowed to view form submissions. [#39759]

## 13.9 - 2024-10-01
### Major Enhancements
- Jetpack plugin: Remove the 'WordPress.com Toolbar' module. [#39406]

### Enhancements
- Blocks: Transition from an option to a module to improve caching. [#39449]
- Jetpack AI: Add AI SEO title optimization. [#39363]
- Jetpack Stats: Do not check for capabilities if the user is not signed in when deciding whether to show the admin bar widget. [#39402]
- My Jetpack: Visual update to the GlobalNotice component for better mobile presentation. [#39537]
- Performance: Set the concatenated CSS to off by default. The era where this was helpful is passing. [#39486]
- SSO: Remove legacy codebase in favor of the newer SSO codebase introduced in Jetpack 13.5. [#39327]

### Improved compatibility
- Dashboard: Disable portfolio toggle if theme supports portfolio for specific environments. [#39508]

### Bug fixes
- Ai Assistant: Do not show Jetpack AI excerpt UI outside of correct context. [#39248]
- AI Assistant: Fix Write Brief highlight position on spelling mistake following ignored special word. [#39282]
- AI Assistant: Remove autofocus on extended blocks while previewing. [#39216]
- AI Content Lens: Fix the feature of the AI Content Lens is gone. [#39292]
- Blocks: Prevent Memberships blocks from being registered when the site is not connected to Jetpack. [#39390]
- Dashboard: Display the yearly Stats plan in the Jetpack dashboard immediately after you've purchased the plan. [#39326]
- Help Center: Fix the icon color when previewing color scheme. [#39371]
- Hosting Configuration: Make the menu title under the settings the same as the destination. [#39183]
- Jetpack REST API: Fix missing requirement in admin-menu endpoint. [#39256]
- Shortcode: Fix the YouTube URL embedding failure due to the trailing question mark of the ID. [#39309]
- Shortcode: Fix the YouTube URL for the private videos. [#39454]
- Shortcode: Fix the YouTube URL for the `/embed` type. [#39502]
- Sidebar: Show correct product name for "VaultPress Backup". [#39203]
- Social: Fix social previews button sometimes not fitting all the text. [#39430]
- Subscriptions: Fix added slashes in the Follow Blog widget. [#39433]
- WooCommerce Analytics: Check whether a constant is defined before attempting to use it, for compatibility with WooCommerce <8.4.0. [#39306]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- A4A: Add `is_a4a_dev_site` to `jetpack_response_field_additions`. [#39373]
- AI Assistant: Optimize repeated requests for unavailable WPCOM. [#39218]
- AI Assistant: Remove dead code from transformative extensions. [#39245]
- AI Assistant: Update empty help text for Write Brief. [#39204]
- Akismet/Anti-spam: Always use Akismet logo in plugin header. [#39047]
- Blocks: Fix 'Division by zero' fatal error in the Story block. [#39577]
- Blocks: Get active element or selection from target element's document instead of the global `document`. [#39364]
- Build: Do not ship TypeScript files in the production version of Jetpack. [#39428]
- Connection: Move features enabled rest endpoint into the Jetpack plugin. [#39475]
- Content Options: Ensure the feature is loaded via the Classic Theme Helper package instead of Jetpack module. [#39210]
- Custom Content Types: Require feature along with portfolios from the Classic Theme Helper package. [#39268]
- Custom CSS: Remove outdated link from admin menu. [#39169]
- Dashboard: Add icons for all product cards. [#39513]
- Dashboard: Clean and deprecate unused functionality on Jetpack admin pages. [#39547]
- Dashboard: Enable Users -> Profile on all sites. [#39181]
- Dashboard: Make dashboard gracefully fail when user data fetch failed. [#39179]
- Dashboard: Only display the Jetpack menu for contributor roles and above. [#39081]
- Dashboard: Remove deprecated IDC flag from admin pages. [#39531]
- Dashboard: Remove user connection nudges where they aren't needed. Add user connection nudges where needed. [#39533]
- Deprecated Jetpack Onboarding system. [#39229]
- Email preview: Fix disabling pointer events preventing scroll in Firefox. [#39457]
- General: Added test instructions for Jetpack 13.9. [#39481]
- General: Create the 'features/available' REST endpoint. [#39442]
- General: Move leading and trailing spaces out of i18n messages. Use en-dash for numeric ranges in i18n messages. [#39305]
- General: Replace error triggering with thrown exceptions for PHP 8.4 compatibility. [#39187]
- General: Send non-connected users to a "connect after checkout" flow. [#39444]
- General: Updated connection js to load its bundle via connection package. [#38877]
- General: Use React properties rather than pass-throughs (e.g. `className` rather than `class`). [#39414]
- Infinite scroll: Remove unused code. [#39570]
- Jetpack AI: Add the beta flag to support styles dropdown on the logo generator. [#39510]
- Jetpack AI: Fix checkout URL redirect to the right yearly product. [#39323]
- Jetpack AI: Pass prop/flag to `showStyleSelector` on the logo generator modal. [#39530]
- Jetpack AI: Point upgrade links and buttons to checkout instead of product interstitial. [#39469]
- Jetpack AI: Remove ai-image and ai-paragraph block code since they are not used and never made it to an actual functional block. [#39304]
- Jetpack AI: Remove style parameter from image generation requests until we mean it. [#39494]
- Jetpack AI: Show button label on logo block toolbar if site's logo is empty. [#39550]
- Jetpack AI: Use custom placeholders on the Jetpack Form AI extension input component. [#39482]
- Jetpack sync: Gutenberg footnotes meta. [#38878]
- Jetpack WAF: Removed deprecation notice as the firewall feature will not be removed in the next release. [#39568]
- Launchpad: Support Launchpad experiment. [#39237]
- Newsletters: UI changes to a not yet released feature. [#39079]
- Premium Content: Remove checks for deprecated function. [#39319]
- Removed launchpad-save-modal. [#39429]
- REST API: Added social share status endpoint for WPCOM. [#39490]
- SEO: Open SEO upsell post in help center. [#39339]
- Site Settings API: Include is_fully_managed_agency_site site option in the response, and allow for its modification. [#39223]
- Social: Added a way to reshare in an asynchronous way. [#39227]
- Social: Cleaned up media auto-conversion backend logic. [#38587]
- Social: Migrated useAdminUiV1 feature flag to new script data. [#39137]
- Social: Remove excessive hook from social logos and genericons. [#39564]
- Stats: Fix the 'invalid date' error on new site stats. [#39284]
- Stats: Remove user connection nudge from Stats module on the dashboard. [#39496]
- Styles: Update styling for external links. [#39337]
- SubscribeBlock: Fix white-space issues. [#39478]
- Subscriptions: Fix Subscribe Modal spacing. [#39199]
- Subscriptions: Hook the Subscribe block only after single post content. [#39188]
- Subscriptions: Make Subscription overlay dismiss cookie a session cookie. [#39097]
- Subscription widget: Fix PHP warnings. [#39458]
- Terms of Service: optimize initialization. [#39286]
- Title Optimization: Handle enter/return key to trigger a generation when they are pressed. [#39399]
- Title Optimization: improve button behaviors when handling errors. [#39554]
- Title Optimization: Properly handle errors and show the correct UI for each. [#39340]
- Updated package dependencies. [#39176] [#39278] [#39288] [#39302] [#39332]
- Updated to not check for onboarding option from the frontend. [#39246]
- WP.com: Ensure portfolios are enabled and working properly on themes that support portfolios. [#39431]
- Write Brief: Turn spelling mistakes and long sentences on by default when the tool is enabled. [#39495]

## 13.8.1 - 2024-09-10
### Bug fixes
- Contact Form: Prevent unexpected payload contents from causing fatal errors. [#39271]
- General: Silence noisy warnings. [#39270] [#39272]
- Jetpack AI: Update default_content filter to not enforce the second parameter type to prevent fatal errors. [#39276]
- REST API: Fix missing requirement in admin-menu endpoint which could lead to a broken admin menu. [#39256]
- Web Application Firewall: Prevent incorrect parsing of unsupported HTTP content types. [#39262]

## 13.8 - 2024-09-04
### Major enhancements
- Custom CSS: Remove feature in favor of WordPress core implementation. [#38865]
- Embeds: Remove YouTube and Vimeo embeds in favor of WordPress core implementation. [#39096]
- WordPress.com Toolbar: The feature has been removed. [#38804]

### Enhancements
- Admin Menu: Update order of Jetpack sub-menu items. [#39095]
- AI Assistant: Add spelling mistakes check for English language. [#39174]
- Newsletters: Add the plugin icon to the Block Editor header, with a dedicated sidebar with an email preview feature. [#39039]
- Social: Display Fediverse creator meta tag when a post has an active Mastodon connection. [#38809]

### Improved compatibility
- Sharing Block: Improve performance when hooking the block into single post templates. [#38727]
- Tiled Galleries: Defer loading of the Tiled Gallery script for improved performance. [#38928]

### Bug fixes
- AI Assistant: Disable Write Brief for free plan users when AI Assistant block is disabled. [#38743]
- AMP: Avoid fatal errors when using Jetpack's classic slideshows on a site where Jetpack blocks are disabled. [#38744]
- Blocks: Ensure the stylesheets for Contact Info and Payment Button blocks are loaded correctly. [#39018] [#39018]
- Blocks: Fix the editor freeze after inserting a pattern with the Donations block. [#38961]
- Mailchimp Block: Do not attempt to fetch groups when a site is not connected to Mailchimp yet. [#38901]
- REST API: Avoid PHP warnings in the comment endpoint when the parent comment does not exist. [#39102]
- Social Icons Widget: Ensure the social network icons display correctly. [#38965] [#38966]
- Subscriptions: Prevent the subscribe modal from automatically turning on when discussion settings are saved. [#38805]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- A4A: Add a4a_is_dev_site attribute to Sites API response. [#38964]
- AI Assistant: Accept Write Brief typo suggestions. [#39008]
- AI Assistant: Add A8c dictionary. [#39105]
- AI Assistant: Add AI Guidelines link to the AI Assistant sidebar panel. [#39094]
- AI Assistant: Add FeatureControl to Write Brief. [#39168]
- AI Assistant: Add flag for Write Brief typo detection support. [#38895]
- AI Assistant: Add general improvements in Breve UX. [#38856]
- AI Assistant: Add namespace to Write Brief CSS classes. [#38795]
- AI Assistant: Add option to add word to spelling dictionary. [#39046]
- AI Assistant: Add retry event for Write Brief. [#39082]
- AI Assistant: Add retry for Write Brief. [#38998]
- AI Assistant: Add spelling mistake detection to Write Brief. [#38923]
- AI Assistant: Allow dismiss suggestion in all states. [#38848]
- AI Assistant: Change Write Brief type markup and restrict types. [#38867]
- AI Assistant: Do not mark words starting with special characters as spelling mistakes. [#39044]
- AI Assistant: Fix flickering when adding word to Write Brief dictionary. [#39087]
- AI Assistant: Limit popover height and fix anchorless popover. [#39109]
- AI Assistant: Load dictionaries from CDN. [#38943]
- AI Assistant: Recompute Write Brief highlights when dictionary is loaded. [#38999]
- AI Assistant: Remove dead Write Brief code. [#39089]
- AI Assistant: Remove unique-id sass function call from animation name. [#38922]
- AI Assistant: Remove Write Brief highlight popover when feature is disabled. [#38814]
- AI Assistant: Update connection button text. [#39031]
- Blocks: Ensure function is loaded even if blocks aren't enabled. [#39070]
- Blocks: Update the button block to v3 API. [#38916]
- Classic Theme Helper: Adding Portfolio custom post type content. [#39134]
- Code: Cleaning up usage of 'javascript:' in URLs. [#38783]
- Code: Making sure useRef includes an argument. [#38765]
- Components: React cleanup for React 19 compatibility. [#38762]
- Contact Form: Prevent direct file access. [#38982]
- Contact Form: Remove deprecated functionality. [#38786]
- Content Options: Moving content to Classic Theme Helper package. [#39028]
- Dashboard: Remove extra link in banner to invite admins to activate stats. [#39026]
- Email preview: Ensure the email is visible. [#38934]
- General: Adds to-test.md contents for Jetpack 13.8. [#39071]
- General: Adds tracks to featured flagged feature. [#39032]
- General: Fix incorrect case fall-through in `_inc/client/state/site/reducer.js`. [#39000]
- General: Updated package dependencies. [#39004]
- Google Analytics: Delete the Google Analytics removal notices. [#38882]
- Jetpack AI: Add usage policy link and renewal date to fair usage messaging. [#39085]
- Jetpack AI: Fix bug that showed extra spacing on the AI Assistant block inspector area. [#39142]
- Jetpack AI: Handle fair usage limit messaging on the UI. [#39043]
- Jetpack AI: Hide usagepanel when tier plans are disabled. Show QuotaExceededMessage instead of nudges. [#39090]
- Jetpack AI: Register the ai-title-optimization-keywords-support beta flag. [#38891]
- Jetpack AI: Remove hardcoded limit on image generation, it's handled by backend. [#39126]
- Jetpack AI: Support fair usage messaging on the Extension AI Control component. [#39103]
- Jetpack AI: Update fair usage messaging on the sidebar. [#39122]
- Jetpack Color & Tonesque: Add deprecation warning in the codebase. [#38338]
- Legacy Widgets: Ensure widgets are available for Simple sites until the block API is fixed. [#38610]
- Likes Block: Add keywords. [#38778]
- Map Block: Allow maps on WordPress.com to be selectable. [#38956]
- Media: Support video and audio shortcodes in Media Extractor. [#38556]
- Monetize: Support more currencies. [#38968]
- Newsletters: Don't prompt for connection on Simple sites. [#39064]
- Newsletters: Fix redirecting after comment when subscription modal is disabled. [#39027]
- Newsletters: Improve Sender Name and Reply-to settings. [#38833]
- Newsletters: Make preview non-clickable. [#39035]
- Notifications: Use profile locale to match menu language. [#38871]
- Open Graph Meta Tags: Check if the Open Graph integration in the ActivityPub plugin is active instead of checking for the class. [#38875]
- Open Graph Meta Tags: Do not display Fediverse tag on WordPress.com Simple. [#38874]
- Paywall Block: Improve styles. [#38837]
- Protect: Make allow list settings always accessible. [#38886]
- Publicize: Fixed a warning with undefined variables. [#38781]
- REST API: Add a /wpcom/v2/profile endpoint that returns user profile, admin color and locale. [#38879]
- Security Settings: Redirect to Protect dashboard for Firewall settings, when available. [#38741] [#38655]
- Sharing: Remove functions that were deprecated in Jetpack 11.0. [#38991]
- Site Breadcrumbs: Requiring the feature from the Classic Theme Helper package. [#38931]
- Site Breadcrumbs: Wrapping functions in function_exists as part of functionality move to package. [#38880]
- Slideshow Shortcode: Remove deprecated JS functionality and remove majority of jQuery. [#39050]
- Social: Moved PostPublishPanels component to publicize-coomponents package. [#39049]
- Social: Updated intial state logic to use the new consolidated initial state. [#38606]
- Social: Updated the share status modal to render it globally. [#39116]
- Social Links: Requiring feature from Classic Theme Helper package instead of Jetpack module. [#38730]
- Social Menus: Switch to more appropriate method of calling the SVG icon file. [#39136]
- Stats: Moved stats to the top of the Jetpack menu. [#39061]
- Subscribe Block: p tag styles leaking in from theme. [#38840]
- Subscriptions: Render the close button lower than the marketing bar. [#39065]
- SVG Optimizations: Revert recent SVG image optimizations. [#38981]
- Sync: Add a new callable for Sync Active Modules. [#38831]
- Tests: Fixed CSSTidy loading in tests. [#37859]
- Tests: Removed react-test-renderer as not in use. [#38755]
- Title Optimization: Add keywords section to UI and make it send the keywords on the request. [#38921]
- Title Optimization: Change UI labels when keywords beta flag is enabled. [#38911]
- Title Optimization: Include feedback link on the footer. [#38940]
- Top Posts & Pages Block: Ensure deleted content does not display. [#37251]
- Updated package dependencies. [#38662] [#38665] [#38822] [#39111] [#38745]
- Update Quick Start instructions. [#39059]
- WP.com: Hide the Customizer link on WP.com sites. [#38852]

## 13.7 - 2024-08-06
### Enhancements
- AI Assistant: Add feedback link to the sidebar. [#38528]
- AI Assistant: Breve UI enhancements. [#38545]
- AI Assistant: Disable first Breve hover on mobile. [#38527]
- AI Assistant: Disable long sentences Breve feature by default. [#38508]
- AI Assistant: Enable Breve for 10% of production sites. [#38465]
- AI Assistant: Enable Breve for 20% of production sites. [#38572]
- AI Assistant: Make Jetpack Breve available to general public. [#38697]
- AI Assistant: The general purpose image generator is now available to all users. [#38203]
- Blocks: Add the EventCoutdown block. [#38250]
- Blocks: Add the Timeline block. [#38255]
- Dashboard: Add a dashboard card for AI Assistant. [#38413]
- General: Losslessly optimized PNG images. [#38398]
- Jetpack: Port additional Full Site Editing features from WP Cloud. [#38212]
- Jetpack AI: Enable the AI Logo generator extension. [#38696]
- Jetpack Newsletter: Add Jetpack Newsletter menu with preview option. [#38675]
- Newsletter: Improve the modal overlay. [#38266]
- Security: Add separate IP allow and block list toggles in Web Application Firewall settings. [#38267]
- Settings: Add a link to the AI assistant product page. [#38414]
- Site Editor: Remove extra site editor notices in favor of the ones provided by WordPress directly. [#38459]
- Social: Added recommendation steps for the Social plan. [#38219]
- Subscriptions: Add command palette commands for quickly changing post access. [#37716]
- Subscriptions: Implemented a more dynamic approach to displaying the modal. [#38079]
- Subscriptions: Improve the Subscribe block loading animation. [#38174]

### Improved compatibility
- Blocks: Changed the use of default parameters in the Map block for React 19 compatibility. [#38274]
- Contact Form: Ensure checkboxes are properly displayed when using the Twenty Twenty or the Twenty Twenty One theme. [#38407]
- General: Remove code for compatibility with WordPress versions before 6.5. [#38386]
- General: Update WordPress version requirements to WordPress 6.5. [#38382]
- Masterbar: Always show the notification bell. [#38494]

### Bug fixes
- Blocks: Check if the fontFamily block attribute is a string before trying to format. [#38321]
- Donations Block: Fix undefined array key warnings with old/malformed blocks. [#38281]
- Jetpack Comments: Fix replying to comments in Chrome when logged in to both WordPress.com and Jetpack. [#38554]
- Like block: Fix warning displayed when trying to load the Like block on unsupported pages. [#38199]
- Sharing: Do not include Gravatar images in Open Graph Meta tags. [#38692]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin: Redirect Jetpack pages. [#38148]
- Admin bar: Help center and notification icons now follow color scheme. [#38672]
- Admin page: Remove propTypes and defaultProps from code due to React legacy code warnings. [#38546]
- AI Assistant: Add ambiguous words to proofread features list. [#38292]
- AI Assistant: Add animation on loading for AI Proofread. [#38541]
- AI Assistant: Add events for Breve. [#38481]
- AI Assistant: Add feature to tracks event. [#38207]
- AI Assistant: Add ignore button for AI Proofread. [#38517]
- AI Assistant: Add long sentences feature to proofread. [#38314]
- AI Assistant: Add Popover content for AI Proofread. [#38290]
- AI Assistant: Breve UI and text enhancements. [#38553]
- AI Assistant: Change Breve readability score text. [#38620]
- AI Assistant: Disable AI Proofread by default. [#38715]
- AI Assistant: Display AI sidebar on first highlight hover. [#38468]
- AI Assistant: Fix block inserter behavior when Breve is enabled. [#38483]
- AI Assistant: Fix blocks content definition. [#38270]
- AI Assistant: Fix highlight not working on formatted texts. [#38540]
- AI Assistant: Integrate AI Proofread toggle with code. [#38280]
- AI Assistant: Release Breve for 50% of sites. [#38604]
- AI Assistant: Remove Breve readability star. [#38524]
- AI Assistant: Remove slash highlights on Breve. [#38700]
- AI Assistant: Rename Breve and proofread entries on sidebar [#38456]
- AI Assistant: Update Breve implementation to React. [#38125]
- AI Assistant: Update Breve toggle location. [#38157]
- AI Breve: Update highlight. [#38189]
- AI Logo Generator: Extend the site logo block to include an AI button on the toolbar. [#38439]
- AI Logo Generator: Fix the retry button when a feature request fails. [#38630]
- AI Logo Generator: Only extend the logo block when the AI Assistant is available and not hidden on the editor. [#38603]
- AI Logo Generator: Release site logo extension to 10% of sites. [#38646]
- AI Logo Generator: Support saving the logo and the icon when an image is ready. [#38552]
- AI Proofread: Add long sentences and unconfident word checks. [#38443]
- AI Proofread: Add suggestions handling on AI Proofread. [#38344]
- AI Proofread: Change Breve request endpoint. [#38149]
- AI Proofread: Improve Popover UX on AI Proofread. [#38342]
- AI Proofread: Invalidate Suggestions on AI Proofread based on actions. [#38434]
- AI Proofread: Move prompts to the backend. [#38182]
- AI Proofread: Target specific term occurrence. [#38397]
- AI Proofread: Toggle specific feature. [#38286]
- AI Proofread: Update hover events. [#38261]
- AI Proofread: Update sidebar layout. [#38289]
- AI Proofread: Wrap suggestion text. [#38431]
- Blocks: Honor the `$symbol` arg when passed an unknown currency. [#38281]
- Calypsoify: Removing functionality from Jetpack. [#38259]
- Carousel: Updating event listener to remove unnecessary default event prevention function call. [#38143]
- Classic Theme Helper: Require Responsive Videos and Featured Content files. [#37969]
- Connection Screen: Remove mention of Stats from the list of available free features. [#38328]
- Custom Post Types: Remove Comic post type. [#38307]
- Custom Post Types: Remove Comic post type. [#38309]
- Featured Content: Don't call setup for wpcom platform since jetpack-mu-wpcom already takes care of that. [#38215]
- Fix suggestion invalidation on different features. [#38633]
- General: Changing global JSX namespace to React.JSX. [#38585]
- General: Changing ReactDOM.render usage to be via ReactDOM.createRoot. [#38649]
- General: Fix redirect for comments pending approval. [#38301]
- General: Modify the Google Analytics notice to notify of the feature removal. [#38701]
- Google Analytics: Remove the module and its remnants. [#37960]
- Google Fonts: Added an optional filter to short circuit fetching google font data. [#38343]
- Internal updates.
- Jetpack AI: Add action links on sidebar for feature discoverability. [#38531]
- Jetpack AI: Add beta flag to control logo generator extension. [#38322]
- Jetpack AI: Add logo generator codebase to ai-client package and solve issues. [#38391]
- Jetpack AI: Apply text-wrap: pretty to AI assistant sidebar sections. [#38653]
- Jetpack AI: Connect the site logo block extension to AI Logo Generator modal. [#38491]
- Jetpack AI: Fix event tracking of logo generator to inform the proper placement. [#38574]
- Jetpack AI: Remove unused ai-assistant-panel component. [#38489]
- Jetpack AI: useExperiment note. [#38602]
- Jetpack AI Breve: Disable feature toggles on main toggle. [#38678]
- Jetpack AI Breve: Fix popover font and css classnames. [#38161]
- Jetpack AI Image: Include new entrypoint as a button on the image/gallery/slideshow block. [#38123]
- Jetpack AI Image: Trigger featured image auto generation when there is content on the post. [#38262]
- Jetpack AI Image: Use better names when saving images. [#38179]
- Jetpack Blocks: Update Podcast Player blockt to be compatible with React 19. [#38619]
- Jetpack Color and Tonesque: Add existence guard. [#38341]
- Jetpack Dashboard: use flex-start alignment for dash item cards for more consistent header-content spacing. [#38371]
- Jetpack Editor State: Add is_my_jetpack_available to initial state. [#38500]
- Jetpack Social: Added feature flag management. [#38669]
- Jetpack Social: Removed the media auto-conversion UI. [#38497]
- Jetpack Stats: Disable blog stats block for simple sites. [#38564]
- JSON API: Fix Warnings in post endpoints. [#38365]
- Masterbar: Deprecate module files. [#38109]
- MU WPCOM: Move countdown and timeline blocks from jetpack to jetpack-mu-wpcom. [#38298]
- Newsletter: Add source for the paid importer. [#38679]
- Newsletter: Byline settings return the correct default value. [#38435]
- Newsletter: Set all settings on the page disabled when module is disabled. [#38716]
- Newsletter Settings: Fix default value for Full text vs Excerpt. [#38256]
- Newsletter settings: fix reply to example email when comment reply chosen. [#38151]
- Popover: Refactor some code to use refs, adding in tests to future proof. [#38339]
- Premium Content Block: Only show it as a transformation option if group or columns blocks are selected or if multiple blocks are selected. [#38569]
- Random Redirect: Remove module. [#38310]
- Remove Browse sites from sidebar as it's on WordPress logo in masterbar. [#38547]
- Search: Update search close button behaviour. [#38204]
- Security: Remove "new" badge from Jetpack Firewall settings card. [#38415]
- Shortcode: Fix the test-class.gravatar.php tests. [#38582]
- Social Links: Adding a function_exists check within the social-links.php file, to prevent conflicts with package version. [#38593]
- Social Menus: Requiring the feature from the Classic Theme Helper package. [#38297]
- Stats: Ensure Jetpack posts stats link points to WP Admin stats. [#38376]
- Subscriptions: Update Newsletter module toggle label. [#38373]
- Tests: Removing test_sync_maybe_update_core test skip as core bug now fixed. [#38583]
- Tests: Skipping test_sync_maybe_update_core test due to core bug. [#38476]
- Theme tools: Add social menu to Classic Theme Helper package. [#38243]
- Updated package dependencies. [#38132] [#38228] [#38235]
- WooCommerce Analytics: Initialize the module only if is not initialized in WooCommerce core. [#38236]
- WordPress.com REST API: Expose is_a4a_client attribute with sites API response. [#38403]
- WP.com API: Include errors listed for broken themes. [#38642]
- WPCOM API: Return actual value instead of bool for some settings after update. [#38498]
- WPCOM API: Return list of newsletter category IDs after saving. [#38560]
- WPCOM Block Editor: Removing functionality from Jetpack. [#38299]
- WPCOM Connection test: use better ciphers than RC4, which is no longer available on many hosts. [#38393]
- WPCOM Settings API: Add synced options from Jetpack WAF. [#37957]

## 13.6 - 2024-07-02
### Enhancements
- AI Assistant: Hide input when user types on extended block. [#37801]
- Goodreads Block: provide support for additional profile URLs. [#37939]
- Newsletter: Add ability to manage the newsletter byline appearance. [#37997]
- Newsletter: Adding a new toggle to control the newsletter author line. [#37916]
- Newsletter: Email replies can become comments on your blog. [#37995]
- Social: Add Threads preview to Social Previews. [#38003]
- Tiled Gallery: Increase accessibility of Tiled Gallery carousel images. [#37792]

### Improved compatibility
- Block Editor: Ensure that no Jetpack features are displayed in the site editor's sidebar when not necessary. [#37949]
- General: indicate compatibility with the upcoming version of WordPress - 6.6. [#37962]
- Offline Mode: do not display Jetpack's outbound SSL notice when in Offline mode. [#38113]

### Bug fixes
- AI Assistant: Disable extensions when AI Assistant block is hidden. [#38105]
- External Media: Do not display External Media options in the Caption edit field. [#37987]
- External media: Ensure connect URL has the correct blog ID and verification values. [#37689]
- Like block: Fix editor styling. [#37719]
- Publicize: Fix a race condition with refreshing the active social connections. [#38080]
- Slideshow: Ensure whole block is selectable in the editor. [#37683]
- User Content Link Tracking: Check domain before redirecting to subscribe.wordpress.com. [#37798]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added ability to test Jetpack together with wpcomsh. [#37737]
- Add onboarding_segment to site endpoint. [#37751]
- Add placement on Proofread tracking. [#37763]
- Add support for custom behavior on AI Inline Extensions. [#37589]
- Admin menu: Add link to Customizer in sites with block-based theme and custom CSS. [#37761]
- AI Assistant: Add Breve proofread feature flag. [#37986]
- AI Assistant: Add Breve under feature flag. [#38019]
- AI Assistant: Add general image type, cost and feature. [#38042]
- AI Assistant: Avoid auto-starting featured image creation. [#38098]
- AI Assistant: Do not extend Form twice. [#38067]
- AI Assistant: Extract AI Image logic to its own hook. [#37956]
- AI Assistant: Extract the Google Analytics API into a package. [#37358]
- AI Assistant: Introduce AI Image Modal. [#37959]
- AI Assistant: Specific placeholder instruction for featured and general image. [#38008]
- AI Assistant: Update General Image to reuse modal and hooks with expected behavior. [#37991]
- AI Assistant: Update loading state of AI Image. [#38062]
- AI Featured Image: Let the backend decide the model for the image generation. [#37668]
- Blocks: Update blogroll item styling. [#37976]
- Bump Jetpack lock file. [#37870]
- Calypsoify: Deprecating functions and the class. [#37453]
- Carousel: Add empty state for AI Image carousel. [#38004]
- Carousel: Ensure event listeners target relevant Tiled Gallery classes for accessibility fixes. [#37978]
- Change codebase to use clsx instead of classnames. [#37708]
- Classic Theme Helper: Move code from module to package. [#37260]
- Color Schemes: Fix Sakura color issues on masterbar. [#37806]
- Comics CPT: Add deprecation warning. [#37605]
- Custom CSS: Add deprecation warning for Start Fresh option. [#37193]
- Custom CSS: Prevent loading module multiple times. [#37794]
- EU Cookie Law widget: add id attribute to consent form. [#37839]
- External Media: Remove unneeded return value. [#37703]
- Fixed E2E tests navigating to block editor. [#37875]
- Fixed missing CSS vars for SSO modal [#37924]
- Fixed PHP Unit tests for WP trunk. [#37785]
- Fixed Uncaught TypeError in for recommendations CTA. [#37808]
- Fix scroll on typing inside inline extensions. [#37753]
- General: Deprecate jetpack-abtest package. [#37994]
- General: Load dashicon list from 'jetpack-masterbar' package for the admin-menu API endpoint. [#38025]
- General: Remove use of `gutenberg_can_edit_post_type()`. Its replacement has been in WP Core since 6.1. [#38015]
- General: Remove use of `gutenberg_get_block_template()`. Its replacement has been in WP Core since 5.8. [#38015]
- General: Updated dependencies. [#38138]
- Google Analytics: Add deprecation notice for non-Jetpack admin pages. [#38078]
- Google Fonts: Remove code that is no longer needed for WordPress 6.4+. [#38063]
- Infinite Scroll: Ensure missing assets are loaded [#37971]
- Infinite Scroll: Fixed a fatal error from uninitialized Sharing module. [#38114]
- Jetpack admin-menu endpoint: Require masterbar menu load file only on self-hosted sites. [#37891]
- Jetpack AI: Expose the upgrade URL on the feature endpoint, considering current plan and site type. [#37721]
- Jetpack AI: register ai-general-purpose-image-generator beta flag to control the changes we are doing to the image generation tool. [#37749]
- Jetpack AI Image: create first draft of the General Purpose image generator. [#37782]
- Jetpack AI Image: make the general purpose generator set the image on the image block. [#37834]
- Jetpack AI Image: Show notice when image gets saved to the media library. [#38077]
- Jetpack AI Image: Trigger an image generation on Enter keypress. [#38103]
- Jetpack AI Image: Use error notice instead of warning for the upgrade nudge. [#38050]
- Map Block: Handle React's Strict Mode correctly for Mapbox maps. [#37918]
- Masterbar: Remove the old fly panel. [#37764]
- Memberships: Fix paid content access in some cases of mixed products. [#37527]
- Move AI Form inline extensions version to production. [#37754]
- Move AI Form to inline extension. [#37589]
- Newsletters: Adds tracks to subscription source. [#38060]
- Newsletters: Make the welcome form more editable. [#37996]
- Payments Block: Localize block variations. [#37661]
- Random Redirect: Add deprecation warning. [#37609]
- Return site_goals option for a site. [#37809]
- Social: Fixed broken connections reconnect link to point it to new connections UI. [#37869]
- SSO: Disabled Two-Step checkbox when jetpack_sso_require_two_step filter is on. [#37907]
- Stats: Point post stats icon to wp-admin. [#38013]
- Subscribe overlay: Use home URL in skip link. [#37711]
- Top Posts & Pages Block: Require that one content type is always set to display. [#36305]
- Updated package dependencies. [#37669] [#37706] [#37767] [#37776] [#37795] [#37796]
- Updated recommendation links for Social. [#37693]
- Updated recommendations section links for Social. [#37678]
- Use correct const to check for inline extensions availability. [#37758]
- Widgets: Minor Subscription widget copy change based on user feedback. [#38040]
- Wordpress.com: Make Jetpack Scan link visible on atomic sites that defaults to wp-admin. [#37724]
- WordPress.com API: Add export and import capabilities to the sites endpoint response. [#34539]
- WPCOM Block Editor: Deprecated functionality and moved it to mu-wpcom. [#37324]

## 13.5 - 2024-06-04
### Enhancements
- AI Assistant: Add AI Assistant to Paragraph, Heading, List, and List Item blocks. [#37495] [#37386] [#37613]
- Newsletters: Add "From" and "Reply to" name settings. [#37502] [#37362]
- Social: Add connection management to editor. [#37405]
- Social: Add the new Jetpack Social plan. [#37619]
- Subscribe Block: Add button-only style. [#37341]
- Subscribe Block: Allow to be placed inside the Navigation block. [#37439]
- Subscriptions: Add a toggle to automatically add Subscribe block to site navigation. [#37464]
- WordAds: Allow inline ads to be added within post content. [#37170]

### Improved compatibility
- Notifications: Update notification icon to match WordPress.com. [#37625]
- SSO: Improve accessibility of tooltips on WP Admin users page. [#37302]
- Stats: Deprecate old Stats experience. [#37591]

### Bug fixes
- Slideshow: Ensure autoplay works correctly. [#37378]
- WordAds: Prevent fatal error when post content is null. [#37384]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add behavior support on AI inline extensions. [#37624]
- Add some missing abstract methods to SAL_Site, and implement in Jetpack_Site. [#37344]
- Add support for custom behavior on AI inline extensions. [#37634]
- AI Assistant: Add auto-scroll to inline extension. [#37481]
- AI Assistant: Add chat history to inline extension [#37429]
- AI Assistant: Add events to inline extensions. [#37297]
- AI Assistant: Add List and List Item inline extensions. [#37564]
- AI Assistant: Add messages to inline extensions. [#37224]
- AI Assistant: Add paragraph inline extension. [#37461]
- AI Assistant: Change way messages are built for inline extensions. [#37245]
- AI Assistant: Fallback to transformation when multiple blocks are selected. [#37632]
- AI Assistant: Fix inline extension styles on P2 and some themes. [#37336]
- AI Assistant: Fix input z-index on moving block with inline extension. [#37322]
- AI Assistant: Fix selected block while using the AI Assistant extension on a nested block. [#37519]
- AI Assistant: Fix try again behavior on inline extensions. [#37250]
- AI Assistant: Inline extension testing feedback changes. [#37365]
- AI Assistant: Toggle inline AI input on Ask AI Assistant button. [#37480]
- AI Featured Image: Add site type and image model to events being tracked on the tool. [#37474]
- AI Featured Image: add support to Stable Diffusion image generation. [#37413]
- Blocks: Remove External Link icon styling fix now that the change has been made in WordPress itself. [#37394]
- Blocks: When outputting JSON data in inline script tags, only use `JSON_UNESCAPED_UNICODE` when the blog charset is UTF-8. [#37285]
- Carousel: Adjust logic when fetching info about attachment. [#37580]
- Connection: Update connection ToS messaging. [#37536]
- Correctly highlight Dashboard and Settings submenu in WoA sites that show My Jetpack. [#37572]
- Custom CSS: Add deprecation warning in codebase. [#37163]
- Deprecated Errors class. [#37451]
- External Media: support editor changes in WordPress 6.5. [#36188]
- Extract Google Analytics tests into the package. [#37246]
- Fix an occasional PHP warning when iterating over menu items in the masterbar module. [#37315]
- Fixed a warning thrown by the gravatar profile widget. [#37313]
- Fixed TS compile error for image imports in js-packages. [#37211]
- Fix looping API bug on Posts page [#37635]
- Fix settings endpoint when subscription_options is not modified. [#37190]
- Fix `SAL_Token::is_global()`. [#37344]
- Google Analytics: switch the module to use the package. [#37189]
- Improve performance of `get_revisions` function [#37651]
- Jetpack AI: Change upgrade prompt click target to new tab. [#37460]
- Jetpack AI: Open AI Control upgrade links in a new tab. [#37629]
- Jetpack AI: Open upgrade paths in new tab on every upgrade entry point. [#37457]
- Jetpack AI: Open upgrade prompt from pre-publish in a new tab. [#37630]
- Jetpack AI: Update copy of proofread/feedback tool. [#37611]
- Jetpack Menu: Add Scan submenu to Jetpack to show history scans. [#37459]
- Jetpack_Currencies: Fix PHP8 fatal error in format_price when passing a string in number_format [#37530]
- Minor typos [#37387]
- Monetize: correctly updates and delete paid content meta. [#37346]
- Move title optimization to production. [#37334]
- Newsletters: Add tracks to email settings. [#37121]
- Newsletters: Improvements to prepublish panel. [#37247]
- Notifications: Ensures cache buster is available for wpcom-notes-admin-bar script. [#37215]
- Pass suggestion from AI inline extensions to `onBlockDone`. [#37636]
- Pay with PayPal: Ensure prices are correctly formatted. [#37534]
- Prevent JS error when subscription module is not enabled. [#36276]
- Remove the `jetpack-identity-crisis` dependency. [#36968]
- Remove wp-windows8 gallery shortcode special case in WPCOM API post endpoint. [#37243]
- Remove `jetpack_server_sandbox()` and `jetpack_server_sandbox_request_parameters()`. [#37344]
- Remove `Jetpack_User_Agent_Info::is_OperaMobile()`. [#37344]
- Rendered GlobalNotices component. [#37237]
- Sanitize the preload value for video shortcodes and blocks. [#37271]
- Sharing button: Increase performance on p2020 theme. [#37497]
- Social: Add width to connection management container. [#37490]
- Social: Change how Jetpack social connections are stored on the local site. [#37500]
- Social: Modify initial state. [#37644]
- Social: Update the initial state fields for WP.com. [#37532]
- Social: Update upgrade nudges to use the new plan. [#37638]
- SSO: Fix tooltip display on view all users page. [#37257]
- SSO: Switch to loading feature from the Connection package. [#37153]
- Stats: Deprecate old stats experience. [#37614]
- Subscription paywall: Simplify paid access question for logged out subscribers. [#37434]
- Subscriptions: Add comment as a subscription reply to type only availave for simple sites now. [#37244]
- Subscriptions: Add name to the overlay group block. [#37574]
- Subscriptions: Add setting headings to divide toggles into groups. [#37576]
- Subscriptions: Add Subscribe Overlay toggle. [#37433]
- Subscriptions: Add Welcome Overlay behind the feature flag. [#37372]
- Subscriptions: Do not clear the subscriber email when current user is empty. [#37485]
- Subscriptions: Fix class Abstract_Token_Subscription_Service not found error. [#37206]
- Subscriptions: Release subscription overlay and Subscribe block navigation placement. [#37594]
- Subscriptions: Remove extraneous "support info" bubble in settings. [#37281]
- Subscriptions: Subscribe Overlay default tagline. [#37446]
- Subscriptions: Subscription overlay fixes. [#37503]
- Tiled Gallery: Fix view rendering issues. [#37213]
- Tiled Gallery: Force image aspect ratio for square and circle styles. [#37627]
- Updated package dependencies. [#36964] [#37348] [#37379] [#37380] [#37382]
- Updated phan baseline files. [#37151]
- Update invite user error response logging. [#37144]
- Update sizes and spacings on Title Optimization. [#37333]
- WordPress.com Toolbar: Remove "My Sites" text and only display icon. [#37314]

## 13.4.3 - 2024-05-16
### Bug fixes
- Social: Prevent multiple uncached requests for images during frontend requests. [#37368] [#37411]

## 13.4.2 - 2024-05-13
### Bug fixes
- Tiled Gallery: Fix view rendering issues. [#37213]

## 13.4.1 - 2024-05-10
### Bug fixes
- Contact Form: Unhook the jetpack_form_register_pattern function to prevent unwanted deprecation notices. [#37278]

## 13.4 - 2024-05-07
### Enhancements
- Jetpack AI: Add an AI Featured Image Generator. [#36709] [#36806] [#36812] [#36822] [#36831] [#36863] [#36865] [#36868] [#36899] [#36926] [#36963] [#36965] [#37086] [#37166] [#37209] [#37219]
- Newsletters: Manage subscribers in Jetpack Cloud. [#37155]
- Newsletters: Add a "Reply-to" setting for newsletter emails. [#37011]
- Newsletters: Add filters for controlling the Subscribe Modal load time and the edit capability for the Newsletter Block Meta. [#36909] [#36374]
- Paid Content Block: Use a login flow matching the Subscribe Block. [#37178]
- WordAds: Ensure that ads.txt works on subdirectory websites. [#36887]

### Improved compatibility
- General: WordPress 6.4 is now the minimum required version. [#37047] [#37049]
- Theme Tools: Site-logo and devicepx are deprecated. Use WordPress Core's custom-logo or logo block instead. [#37116] [#37109]
- WordPress.com Toolbar: Avoid fatal errors when using other menu management plugins while the WordPress.com Toolbar feature is active. [#36783]

### Bug fixes
- Google Fonts: Avoid theme fonts overriding the default fonts so fonts with a specific font weight that are not supported by the provided theme can be rendered correctly. [#37050]
- Secure Sign-On: Disable the WordPress.com invitation setup on Multisite. [#36690]
- Sidebar: Fix double arrows being shown on active menu items in RTL mode. [#37204]
- Theme Tools: Fix deprecation notices in the color management library. [#36789]
- VideoPress: Fix an XSS vulnerability in VideoPress shortcodes. [#37271]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: Add acceptance for title optimization. [#37078]
- AI Assistant: Add cancel action for title optimization. [#37080]
- AI Assistant: Add error handling on Title Optimization. [#37195]
- AI Assistant: Add inline extensions feature flag. [#37082]
- AI Assistant: Add partial heading inline extension. [#37087]
- AI Assistant: Add title optimization as beta [#37001]
- AI Assistant: Add title optimization Jetpack sidebar entry. [#37002]
- AI Assistant: Add title optimization modal content. [#37003]
- AI Assistant: Add tracks and new entries for title optimization. [#37180]
- AI Assistant: Add undo functionality and fix input with iframe. [#37200]
- AI Assistant: Extract Markdown and HTML conversions to AI Client. [#36906]
- AI Assistant: Fix AI Control positioning on inline extension. [#37145]
- AI Assistant: Link toolbar actions to requests on inline extensions. [#37168]
- AI Assistant: Remove AI Playground. [#36808]
- AI Assistant: Remove old deadcode from image modal. [#36683]
- AI Assistant: Rename useSuggestionsFromOpenAI to useAIAssistant and deduplicate suggestion logic. [#36869]
- AI Assistant: Scroll to bottom of current block as suggestions keep coming. [#36569]
- AI Assistant: Separate toolbar dropdown logic and UI. [#37016]
- AI Assistant: Update AIControl imports. [#36967]
- AI Featured Image: Add request counter to UI. [#36744]
- API Docs: Fix example request for media add and update endpoints. [#37072]
- Block Editor: Avoid relying on the Jetpack class. [#37074]
- Block Editor: Fix auto scroll on iframe editor. [#36726]
- Block Editor: Update button props to match latest changes in WordPress 6.5. [#36318]
- Block Editor: Update blocks to use API version 3. [#36701] [#36742] [#36827] [#36852] [#36854] [#36858] [#36859] [#36864]
- Block Scaffolding: Update API version in template. [#36955]
- Blocks: Move localizable strings out of the metadata attributes field. [#36724]
- Business Hours Block: Refactor Edit component and fix time formatting in preview mode. [#36785] [#36786]
- CLI: Make `wp jetpack publicize` work again. [#36988]
- Carousel: Add extra isset check to avoid warnings. [#36681]
- Carousel: Ensure that disabling the feature on WordPress.com Simple brings back Core's Lightbox back. [#36914]
- CloudFlare Analytics: deprecate feature and move to mu-wpcom. [#37061]
- Contact Form: Removing code and renaming relevant references to ensure we use the package version of the contact form. [#37157]
- Cookie Consent: Localize default text. [#37012]
- Donations Block: Fix non-localized strings. [#36951]
- Donations Block: Show Stripe nudge if not connected. [#36841]
- Enhanced Distribution: Remove deprecated module file. [#37032]
- Eventbrite Block: Refactor Edit component to function. [#36739]
- Featured Image: Add 'Carousel' to 'Featured Image'. [#36834]
- Google Docs Embed: Fix non localized strings. [#36993]
- Google Fonts: Add filter to conditionally skip loading. [#36980]
- I18n: Fix translation issues for default attributes. [#36695]
- Janitorial: Deprecate methods in Jetpack class in favor of methods from the Connection package. [#36989]
- Janitorial: Remove unnecessary react imports. [#36904]
- Janitorial: Update interface of Usage Counter on Jetpack Plugin. [#37216]
- Janitorial: Use wp_admin_notice function introduced in WP 6.4 to display notices. [#37051]
- MailChimp Block: Refactor Edit component to function. [#36746]
- Map Block: Refactor Edit component to function. [#36795]
- Markdown Block: Refactor Edit component to function. [#36758]
- Memberships: A minor performance improvement on memberships. [#36821]
- Memberships: Adds a jp_memberships_is_sandboxed item for sync. [#37088]
- Memberships: Improve performance of memberships checks. [#36798]
- Memberships: Make the representation of the end date consistent in membership subscription abbreviation. [#36838]
- Monetize: Move menu item under Jetpack menu for all Classic interface users. [#36995]
- Navigation: Add the 'All Sites' menu. [#36632]
- Navigation: Fix sidebar upsells on Default color scheme to follow Core's. [#37064]
- Navigation: Fixed SIG not visible in Jetpack sidebar. [#36895]
- Navigation: Moved "Theme Showcase" menu registration to jetpack-mu-wpcom package. [#36851]
- Navigation: Specific styles for sidebar upsells are now maintained in separate files for each color scheme. [#37022]
- Navigation: Sync AI plugin content across settings and jetpack sidebar. [#37220]
- Newsletters: Add "Paid newsletter" section to the Newsletter settings [#36975]
- Newsletters: Add Subscriber Login block navigation placement setting to Dotcom Site Settings API. [#37000]
- Newsletters: Add Subscriber Login block navigation placement setting to Sync and Dotcom API. [#36737]
- Newsletters: Add a method to find all plans that are valid for a given newsletter tier. [#37084]
- Newsletters: Add back missing HTML for paywall in emails. [#37117]
- Newsletters: Disable Paid Newsletter settings section when user is not connected to WP.com. [#37149]
- Newsletters: Ensure that the paid subscriber cache is unique to the parameters it consumes. [#36925]
- Newsletters: Fix Subscribed button alignment. [#37066]
- Newsletters: Fix registering block hooks for REST API calls. [#37123]
- Newsletters: Hide subscriber count for already subscribed users. [#37073]
- Newsletters: Link "Subscribed" button to individual subscription page [#37021]
- Newsletters: Move the Newsletter module main toggle to separate section in Newsletter settings. [#37152]
- Newsletters: Only check newsletter plans when inside WP Admin. [#36928]
- Newsletters: The in_site_migration_flow show be a string to allow us to redirect to various flows. [#37099]
- Newsletters: Track "Set up" button clicks. [#37053]
- PHP 8.1: Fix an error trying to run preg_split on array. [#36699]
- Post endpoint: Return a 404 if a post is being trashed but does not exist. [#36768]
- Publicize: Enable SIG even if publicize is disabled. [#36911]
- REST API: Add update_plugins capability to the /sites/%s endpoint. [#36280]
- REST API: Add the ability to filter users in the WPCOM_JSON_API_List_Users_Endpoint endpoint by capability. [#36893]
- REST API: Correctly report Publicize when applicable in `/jetpack/v4/site/benefits` endpoint. [#36988]
- REST API: Create /wpcom/v2/admin-color endpoint that returns admin color scheme. [#36749]
- REST API: Exposed is_deleted attribute with sites API response. [#37142]
- Repeat Visitor Block: Refactor Edit component to function. [#36762]
- SSO: Deprecate in-plugin methods in favor of methods from the Connection package. [#36924]
- Scheduled Updates: Add scheduled updates sync option. [#36877]
- Sharing block: Make sharing options translatable. [#36642]
- Simple Payments Block: Refactor Edit component to a function. [#36809]
- Site Migration: Add handler for the migration_source_site_domain option. [#37100]
- Site Migration: Add in_site_migration_flow to the list of available site options to update and retrieve. This will be used as part of the Site Migration on-boarding flow. [#36974]
- Site Migration: Add migration_source_site_domain to the list of available site options to update and retrieve. This will be used as part of the Site Migration on-boarding flow. [#37060]
- Sitemaps: Ensured that the last modification date from the jetpack_page_sitemap_other_urls filter is considered for the last modification date of the generated sitemap. [#36991]
- Slideshow Block: Refactor Edit component to a function. [#36805]
- Social: Add the userConnectionUrl to initial state to use in Social sidebar. [#36976]
- Social: Added feature flag for social admin UI. [#37134]
- Social: Simplified social network selection for post sharing. [#36734]
- Subscription Site: Release the Subscriber Login navigation placement toggle. [#36717]
- Subscription Widget: Remove "follow" term from confirmation message. [#37135]
- Sync: Add Woocommerce event remove_order_items to Jetpack Sync. [#33748]
- Testimonials: Update Testimonials CPT priority so it always appears below Portfolio Projects. [#36866]
- Theme tools: Use integer casting method that doesn't cause deprecation notices. [#36680]
- Tiled Gallery Block: Don't use image CDN on private WordPress.com simple sites. [#36876]
- Tiled Gallery Block: Refactor Edit component to a function. [#36804]
- Tiled Gallery: Fix round corners style. [#36952]
- Updated package dependencies. [#36760] [#36761] [#36775] [#36788] [#37147] [#37148] [#36874]

## 13.3.1 - 2024-04-10

- Protect: Improved handling of request URLs. [#36833]

## [13.3] - 2024-04-03
### Enhancements
- AI Assistant: Provide per-block quick actions to make them more relevant. [#36393]
- Blocks: "Earn" category renamed to "Monetize". [#36480]
- General: Only show installation errors on Plugins page. [#36390]
- Jetpack AI: When the response includes a title and post title is empty, use provided title as post title. [#36500]
- Member login block: Add ability to hide manage subscription link. [#36602]
- My Jetpack: Trigger red bubble notification when a broken installation is detected. [#36449]
- Newsletters: Display Email settings on Newsletter settings page. [#36290]
- Newsletters: Ensure blog stats and top posts blocks do not render in email newsletters. [#36372]
- Newsletters: Reorder settings cards to improve hierarchy. [#36465]
- Newsletters: Use radio buttons instead of toggles on Email Settings. [#36532]
- Sharing: Add a Bluesky sharing button. [#36181]
- Sharing: add a Threads sharing button and a Threads sharing button block. [#36220]
- Sharing: Add Native (Web Share) button to Sharing Buttons block. [#35967]
- Sharing: Remove Like button from master bar. [#36456]
- Social: Add support for an SMS button. [#36176]

### Improved compatibility
- Carousel: disable WordPress' lightbox option when Jetpack's Carousel feature is activated. [#36565]
- General: Remove methods that were deprecated before the release of Jetpack 10.0, in 2021. [#36157]
- SEO Tools: make the feature available on non-connected sites. [#36528]
- Subscriptions: Remove subscription settings from reading options page. [#36314]

### Bug fixes
- Dashboard: Update the sharing button settings to clarify the available options (block or legacy sharing buttons). [#36473]
- Enhanced Distribution: begin deprecation process as the Firehose is winding down. [#36168]
- Paid Content Block: Fix subscriber view content not rendering in WordPress.com reader. [#36512]
- Sharing: avoid PHP warnings when using custom post types. [#36315]
- Sharing: fix the display of the sharing block in some classic themes. [#36283]
- SSO: Disable WordPress.com invitation functionality for non-connected users. [#36572]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add a function to clear the static cache for Jetpack_Memberships. [#36545]
- Added the possibility of stating if a new invited user is a contractor. [#36479]
- Add function exists check for wp_admin_notice [#36511]
- Add instructions to test the new AI interstitial and product page. [#36566]
- Add metadata to the post to better diagnose need for Reader and Firehose. [#36254]
- Add my home menu to atomic sites in classic view using nav unification. [#36431]
- Add Phan stub for wordpress functions. [#36627]
- Add share debug data toggle on WAF settings [#36377]
- Add site migration endpoint. [#36253]
- Add sso survey modal for users that disable the module [#36387]
- Add tracking to Jetpack review link on plugins page [#36348]
- Add Verbum options to site settings endpoint. [#36505]
- AI Assistant: Register ai-assistant-form-support beta flag to control the form extension we are working on. [#36413]
- AI Assistant: remove "Experimental" label on block name. [#36535]
- AI Assistant: Remove dead code from the suggestions hook. [#36625]
- AI Assistant: Remove unused code [#36621]
- AI Assistant: store function typo fix Aync -> Async. [#36544]
- AI Featured Image: Add sidebar entry [#36414]
- AI Featured Image: Connect the image generation hook to the UI. [#36620]
- AI Featured Image: Disable if requires upgrade or no post content. [#36653]
- AI Featured Image: Improve UX. [#36643]
- AI Featured Image: Save image to library and set as featured. [#36626]
- AI Featured Image: Track events for generating, regenerating and using images. [#36638]
- AI Plugin: Add modal and featured image usage. [#36613]
- AI Proofread: improve upgrade prompt format and translation according to current tier. [#36542]
- Backup: change some error messages to not trigger security scanners [#36496]
- Compile TypeScript extensions in Jetpack. [#35904]
- Contact Form: Add deprecation warnings to Contact Form module codebase. [#36040]
- Contact Form: refactor admin to use forms package [#36224]
- Contact Form: Refactor editor to use Forms package. [#36089]
- Contact Form: Refactor endpoints to use Forms package. [#36087]
- Contact Form: refactor field to use forms package [#36138]
- Contact Form: refactor form to use forms package [#36137]
- Contact Form: refactor plugin to use forms package [#36092]
- Contact Form: refactor shortcode to use forms package [#36135]
- Display Subscribers menu on wp-admin and update links to Jetpack Manage [#36510]
- Editor: Update to the most recent version of the @automattic/calypso-color-schemes package. [#36227]
- Fixed Jetpack Creator going to the wrong screen when the free version is selected. [#36547]
- Fix minor UI issues in premium-content block editor [#36398]
- General: Update to the most recent version of @automattic/calypso-color-schemes. [#36187]
- GitHub Deployments: remove feature flag [#36469]
- Google Embed blocks: Make proportion values translatable. [#36641]
- Jetpack_Portfolio: Prevent a division by 0 fatal when a user uses the shortcode with columns=0 [#36433]
- Login block: Link to subscription management page with site URL as search query.
- Map Block: Fix styling in Row and Stack layout. [#36447]
- Member login block: link to individual subscription management page. [#36200]
- minor change the the menu for selecting images [#36293]
- Newsletter settings: update section title to "subscriptions" [#36343]
- Packages: Add version tracking for identity-crisis package. [#36635]
- Pass API parameter to indicate when deleting a memberships product should cancel subscriptions. [#35735]
- Paywall: Switching accounts URL fix [#36337]
- Paywall: Use Subscriber Login block for the login link. [#36308]
- Pinterest Block: deprecate in favor of the Core Pinterest embed block. [#36075]
- Publicize: prevent panel from jumping after activation [#36362]
- Recipe Block: Make default texts translatable. [#36624]
- Refactor user_is_paid_subscriber to compare against tiers. [#35587]
- Register Sharing settings menu page in offline mode or when Classic wp-admin is enabled. [#36490]
- Removed the feature flag for newsletter categories settings. [#36073]
- RNMobile: Remove code associated with Story block for the mobile native version. [#36151]
- Sharing Block: Remove extra margin previously added to the first button. [#36386]
- Show Browse sites when wp-admin interface is selected and using nav unification. [#36198]
- Social: Ensure the Settings panel is rendered during pre/post publish. [#36654]
- SSO: Add error log on SSO invite. [#36416]
- SSO: add filter allowing one to disable the WordPress.com invite interface. [#36572]
- SSO: fix PHP notices and remove unnecessary PHPCS ignores. [#36589]
- SSO: only enable WordPress.com invite emails by default on the WordPress.com platform. [#36558]
- SSO: Remove jQuery dependency for improved performance. [#36605]
- SSO: simplify the logic when inviting new users to WordPress.com. [#36498]
- SSO: Update copy when inviting users. [#36385]
- SSO: Updated user invitation logic if WooCommerce plugin is activated. [#36140]
- Subscriber Login: Prevent the HTTP 301 redirection for Atomic sites. [#36311]
- Subscriber Login: Remove the premium content cookie specified for the blog on logging out. [#35441]
- Subscription login block: Switch to singular "manage subscription". [#36603]
- Subscriptions: Add missing padding param to the Subscriber popup markup. [#36619]
- Subscriptions: Add Subscribe block post end placement setting to Sync [#36381]
- Subscriptions: Apply the subscriber logout function globally [#36441]
- Subscriptions: Fix empty email for pending confirm paywall on .com. [#36321]
- Subscriptions: Fix Subscribe block invalid content. [#36617]
- Subscriptions: Fix the Subscribe block insertion toggle label [#36384]
- Subscriptions: Track newsletter category creation. [#36326]
- Subscriptions: update the settings screen URL. [#36323]
- Subscription Site: Hook Subscriber Login block into the navigation. [#36487]
- Subscription Site: Polishing Newsletter settings. [#36218]
- Subscription Site: Polishing stuff before the release [#36240]
- Subscription Site: Polishing the Subscribe block toggle. [#36177]
- Subscription Site: Release the Subscribe block after the post placement toggle [#36368]
- Subscription Site: Update Subscribe block after the post nudge. [#36107]
- Untangle: explicitly use Core admin bar color in Calypso color schemes [#36341]
- Untangling: return untangled admin menu from wpcom/v2/admin-menu endpoint for early classic view. [#36601]
- Update code references in docs and comments. [#36234]
- Updated package dependencies. [#36309] [#36325] [#36401] [#36585]
- Update lockfiles. [#36195]
- Update notification icon in top bar [#36297]
- Use correct links in Settings -> Traffic -> GA when admin interface is wp-admin [#36493]
- Use JS and CSS tooltips instead of HTML title. [#36222]
- Voice to Content: Fix file upload file type selection for iOS devices, listing all the extensions allowed. [#36165]
- Voice to Content: restrict block to internal P2 sites and open it to non-proxied connections. [#36163]
- WooCommerce Anlytics: require package instead of using the classes that ship with the Jetpack plugin. [#35758]
- WPCOM API: avoid PHP warnings when variables are not set. [#36455]
- WPCOM_JSON_API_List_Comments_Endpoint: Do not prefetch comment meta for large hierarchical threads [#36460]
- WPCOM_JSON_API_List_Comments_Endpoint: Remove update_comment_cache() that is no longer needed [#36363]
- WPCOM_JSON_API_Upload_Media_v1_1_Endpoint: Fix errors on invalid post data. [#36291]

## 13.2.2 - 2024-03-22
### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add function exists check for wp_admin_notice [#36511]

## 13.2.1 - 2024-03-12
### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Subscriptions: improve security checks when displaying a Subscription form via a shortcode. [#36347]
- WPcom API: fixes a minor bug in a recently shipped endpoint that makes it work more like expected. [#36262]

## [13.2] - 2024-03-05
### Enhancements
- Blog Stats block: Add message on the frontend when the Stats module is disabled. [#36108]
- Dashboard: link to Odyssey Stats for Atomic sites [#36049]
- Goodreads Block: Add transform from Legacy Widget. [#36061]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Adding tracking for user management events [#35773]
- Better handle categories input click/focus. [#35916]
- Blog Stats block: fix translation string format. [#36127]
- Goodreads Block: Fix block inheriting styles from Legacy Widget. [#36059]
- Google Fonts: Update the implement of print_font_faces as the value of WP_Font_Face_Resolver::get_fonts_from_theme_json may be an indexed array [#35986]
- Hides the Customizer menu items for block themes [#36017]
- Jetpack Comments: Wrap iframe related script in IIFE to prevent declaration of global variables [#36123]
- Lazy Images: remove module now that it has been deprecated for a few releases. [#36155]
- Move blocks from beta to production: blog-stats, top-posts, goodreads [#36057]
- Move Jetpack_Boost_Modules class to the boost-score-api package. [#36080]
- RNMobile: Ensure playsInline setting always conforms to Video block schema. [#35981]
- RNMobile: Revert change to the way playsInline attribute is saved, prevent regression on web. [#36030]
- Sal: add is_commercial_reasons to options [#36006]
- Scheduled updates: Introduced a new body parameter `scheduled_update` to the `POST /sites/%s/plugins/%s` endpoint.
- Setup state for handling backup preflight checks [#36044]
- Stats: enable Odyssey Stats for WoA sites [#35528]
- Stats: link to Odyssey Stats from admin bar [#36050]
- Subscription Site: Allow to add add Subscribe block at the end of each post [#35458]
- Subscription Site: Prevent the Subscribe block from rendering when the Paywall block is visible [#36045]
- Sync:Add feature flag for enabling the use of rest api for sending the sync data [#36118]
- The features in Customizer should appear when users directly visit the Customizer link [#36146]
- Untangle: add site option wpcom_classic_early_release [#36111]
- Untangle: always use the wpcom_is_nav_redesign_enabled() function as release toggle [#35894]
- Updated package dependencies.
- Update VideoPress card styles. [#35968]
- Voice to Content: Cancel transcription on modal close and disable close on click outside [#36082]
- Voice to Content: change the way the processing and error states are handled, and ensure proper error handling. [#36001]
- Voice to Content: Clear preceding empty paragraph when transcription is ready [#36132]
- Voice to Content: Fix transcription check on post-processing failure [#36002]
- Voice to Content: include validation and validation state when an audio is recorded or uploaded. [#36043]
- Voice to Content: move transcription to a dedicated hook so the block code becomes more simple [#36033]
- Voice to Content: Track transcription started event. [#36094]
- When `POST /sites/%s/plugins/%s` endpoint is called with the `scheduled_update` parameter, we validate the request and modify the auto update plugins allowed list to include the ones in the scheduled updates option. [#35941]

## 13.2-a.11 - 2024-02-27
### Enhancements
- Real time backups: Add endpoints orders to be used in real-time backups jetpack [#35649]

### Bug fixes
- Atomic i18n: Fix mixed translations after WordPress.com user locale switch [#35750]
- Goodreads Block: fix error when adding multiple blocks to the same page. [#35876]
- Revert 35890 to resolve the font display issue [#35983]
- Sharing: only enqueue extra JavaScript when a Sharing Block is inserted on the page. [#35955]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add slide up/down animation to categories. [#35887]
- Copy Post: Add Jetpack Logo to row action link [#35552]
- RNMobile: Detect and avoid invalid media URLs in VideoPress v5 block [#35961]
- RNMobile: Fix edge case where block could sometimes mistakenly appear empty. [#35957]
- Voice to Content: refactor hook usage and handle request canceling [#35923]

## 13.2-a.9 - 2024-02-26
### Enhancements
- Ads Settings: Include option to toggle GDPR Consent Banner [#35205]
- Blaze: Enable the Dashboard behind the feature flag [#35724]
- Blog Stats Block: Remove check that prevented testing on WP.com sites. [#35751]
- Improve SSO send invite hover copy [#35879]
- Privacy: Add preliminary support for WordAds Consent Management Provider [#35165]
- Sharing: automatically add the Sharing Buttons block to the single post and page templates on sites using a block-based theme. [#35542]
- WordAds: Add additional states to US Privacy law opt-out [#35765]

### Improved compatibility
- General: the plugin is now compatible with the upcoming WordPress release, version 6.5. [#35820]

### Bug fixes
- Carousel: don't open if no images are found in the gallery. [#35788]
- Subscribe block: improve disabled placeholder state theme colour compatibility [#35813]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add a button to allow admins to re-send invites [#35833]
- Add checkbox for opting out of inviting users to WordPress [#35902]
- Add link to newsletter settings, still under feature flag. [#35825]
- Add save button to newsletter settings. Still under feature flag. [#35861]
- Add upgrade message for free tier [#35794]
- Changed SSO heading tooltip [#35948]
- Changes newsletter paid subscriber label to nowrap [#35690]
- Connection flow: remove deprecated files, functions, and images that are not needed anymore now that we do not display connection banners outside of the Jetpack connection screen. [#35873]
- Connection Screen: make VoiceOver announce lists as such [#35736]
- Contact Form: deprecate temporary tmp_grunion_allow_editor_view filter. [#35584]
- ESlint: disable redundant role rule [#35800]
- Extracted Subscription Welcome Email into its own component [#35774]
- Fix a bug in showing custom columns in the users table [#35882]
- Fix spelling error on validation message. [#35909]
- Google Fonts: Update the implement of print_font_faces as the value of WP_Font_Face_Resolver::get_fonts_from_theme_json may be an indexed array [#35890]
- Improve SSO invite user error handling [#35850]
- Interaction on newsletter categories. Work in progress under feature flag. [#35799]
- Remove Settings > Sharing menu item registered by Publicize, and Likes. [#35810]
- Remove unstable post editor check in AI Excerpt [#35875]
- RNMobile: Enable support for editing v5 of the VideoPress block in the Jetpack app. [#35637]
- Security Monitor: remove link to notifications and add link to wordpress account [#35769]
- Sharing Block: only hook block on WordPress 6.5+ [#35905]
- Social: Changed name of the social settings card [#35812]
- SSO user invitation checkbox css change [#35907]
- Stats: switch our stats fetching methods to use data conversion method from package. [#35865]
- Subscriptions: Prevents the HTTP 301 redirection in Paywall block [#35852]
- Top Posts Block: make available on WordPress.com Simple. [#35866]
- TreeSelector: Added tree selector component. [#35749]
- Update SSO users table pending invite icon styling [#35878]
- Voice to Content: Add hook to handle transcription insertion into the editor. [#35761]
- Voice to Content: avoid replacing blocks when inserting transcription into editor. [#35790]
- Voice to Content: Make transcriptions cancelable and link upload button to processing state [#35737]
- Voice to Content: refactor ActionButtons component to not handle logic on it, relying just on state and events [#35914]
- Voice to Content: Update oscilloscope component [#35877]
- WordAds: ensure the new CMP banner can be loaded in production environments. [#35791]
- Wordpress.com Tools Menu: Update Github Deployments submenu copy [#35759]

## 13.1.3 - 2024-02-20
### Bug fixes
- Backup: write helper script to ABSPATH by default to avoid backup failures. [#35508]

## 13.2-a.7 - 2024-02-19
### Enhancements
- Added custom message textarea to send a message via email when adding new users [#35277]
- Add images while publishing on the web via the jetpack app [#35583]
- Add some extra margin around Stats settings toggles [#35720]
- Add support for Email stats [#35703]
- Comment: Add Goodreads embed block in Gutenberg. [#33395]
- SSO: Add user invite revoke row action in users table [#35277]
- SSO: improve messaging and account binding between local and wp.com users [#35277]
- SSO: Updated column heading and row background color when invitation is pending. [#35277]
- SSO: When creating a new users, mail the users with an invitation to WPCom. [#35277]
- We added the Welcome Email Message setting to Newsletter settings [#35621]

### Improved compatibility
- Add 'if_not_modified_since' to the update post endpoints this will help clients fails if the post has been updated since last retrieved [#35526]
- Add support for WP Super Cache and Boost Cache [#35598]

### Bug fixes
- Jetpack Google Fonts: Fix some Google fonts aren't displayed correctly on front end [#35706]
- Scan: ensure the Admin notice resources are always properly loaded. [#35648]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add caching for user invites [#35277]
- Added price in blaze/posts endpoint [#35066]
- Add jetpack_newsletters_publishing_default_frequency to Sync [#35672]
- Adds a standalone mode indicator to the Firewall settings [#34854]
- Blaze: display post links for products. [#35730]
- Email notifications: update from "follows" to "subscribes" [#35755]
- Fix message translation content [#35277]
- Improve column by renaming and adding icon [#35277]
- Jetpack AI: Add transcription post-processing example to Voice-to-Content block. [#35734]
- Jetpack AI: include audio transcription usage example to Voice-to-Content block. [#35691]
- Jetpack AI Voice to content: Update to modal UI [#35698]
- Move user customization to separate file [#35277]
- Persist user-new.php custom message form field after submission with errors [#35277]
- Related Posts: remove duplicated HTML attributes [#35686]
- Rename status column to sso status and add tooltip [#35277]
- Replace question mark icon [#35277]
- SSO: revoke invites sent to users upon users deletion [#35277]
- Trigger user invitation for new users [#35277]
- update readme [#35671]
- Update users table ssorow background colors [#35277]
- Voice to Content: Add states and refactor duration calculation [#35717]

## 13.1.2 - 2024-02-19
### Security Improvements
- Like block: fix XSS vulnerability in avatar URL encoding. [#35747]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Jetpack: readme.txt tweaks. [#35727]
- Jetpack: redirect to the Jetpack page after multisite activation. [#35559]

## 13.2-a.5 - 2024-02-14
### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Adds error messaging to endpoint when connected account for memberships cannot be loaded. [#35564]
- Like block: Update block's Learn more link logic [#35641]
- Make Jetpack redirect to the Jetpack page after multisite activation. [#35559]

## 13.2-a.3 - 2024-02-13
### Enhancements
- Blaze: remove "Promote with Blaze" links appearing in the Posts list when the Blaze feature is enabled. You can still go to Tools > Advertising to create and manage Blaze campaigns on your site. [#35586]

### Bug fixes
- Disable scroll to top when memberships subscribe popup is opened. [#35553]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Create with voice: Rename feature to Voice to content [#35645]
- Jetpack AI Voice to content: Enable on P2 [#35610]
- Related Posts: fix too few arguments error [#35646]
- Update "Earn" to "Monetize" navigation item  on Jetpack sites managed in Calypso/WP.com. [#35633]
- Updated package dependencies.

## 13.2-a.1 - 2024-02-12
### Enhancements
- Additional CSS: Use the correct plan name in the WordPress.com nudge. [#35495]
- Admin Bar: link Stats item to WordPress.com. [#35435]
- Blog Stats Block: allow displaying site's number of visitors. [#35427]
- Change editor layout for social notes [#35536]
- Remove Support link from Jetpack on plugins page [#35523]
- Remove the My Mailboxes menu from the classic view [#35217]

### Bug fixes
- Don't include Dash cards on Admin UI if module is not available, which fixes positioning. [#35450]
- Small adjustments to default Sharing Buttons styles [#35521]
- WooCommerce Analytics: avoid error when trying to pay for a deleted product. [#35566]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add new option to sync allowlist [#35509]
- Allowing multiple Sharing Buttons blocks on a page. [#35579]
- Feature Hints: add the sharing block to the list of suggested features when the site uses a block-based theme. [#35577]
- Fix blogroll item image size and fix blogroll appender result image placeholder [#35494]
- Fixed various PHP warnings for PHP 8.1+ [#35551]
- Jetpack Sync: Avoid detecting invalid image size [#35532]
- Related Posts: allow author to set headline level [#35353]
- Related Posts: fix SVG notice in block. [#35459]
- Remove Settings > Performance for the classic admin interface, and added Page Optimizer link in Jetpack > Settings > Performance for Atomic sites. [#35439]
- Revert: Untangle: Do not add the dashboard switcher for the wp-admin interface [#35563]
- Shortcodes: Get rid of warnings when given invalid input to parsing youtube urls [#35512]
- Untangle Calypso: Users > My Profile to default wp-admin users profile. [#35235]
- Updated package dependencies. [#35468]
- Write helper script to ABSPATH by default, just like we did before [#35508]

## 13.1.1 - 2024-02-06
### Bug fixes
- WooCommerce Analytics: resolve warning when enqueuing analytics script. [#35471]

## [13.1] - 2024-02-06
### Enhancements
- Like block: the existing Jetpack Like & Reblog button features are now available as a block! With the new Like block, users are be able to add the Like & Reblog features not just to posts and pages, but also to block templates and block patterns. You can give the new Like block a try by adding it from within the editor just like any other block.
- Sharing Buttons block: similar to the Like block mentioned above, the existing Jetpack Sharing Buttons feature is now available as a block.

### Improved compatibility
- GIF block: accept Giphy shortlinks as a valid embed. [#34786]
- Performance: improve script enqueuing strategies to rely on methods introduced in WordPress 6.3. [#34072]
- Sitemaps: use wp_loaded filter hook instead of init hook to load the permalinks for the sitemaps, which allows plugins and other hooks to load. [#34269]

### Bug fixes
- Related Posts block: get related posts only when the option is turned on and the current post contains a Related Posts block. [#34958]
- Spotify shortcode: prevent a fatal error in PHP 8.1 if no attributes are passed. [#34891]
- Theme Tools: ensure that Content Options does not override the Featured Images options set within blocks. [#34805]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Reference the Jetpack 13.1 milestone for all closed issues being included in the 13.1 release: https://github.com/Automattic/jetpack/milestone/385?closed=1
- AI Assistant: various fixes and improvements.
- Blog Stats block: add new block to beta blocks.
- Contact Form: fix source for concatenated stylesheet. [#35091]
- GIF block: fix styling of the search bar input. [#34779]
- iCalendarReader: support BYDAY recurrence rules for last, second-to-last, or third-to-last weekdays. [#35050]
- Post Images: avoid PHP warnings on sites using PHP 8.1+, when a post image has a malformed URL. [#34926]
- Related Posts block: address accessibility issues. [#34925]
- REST API: fixed the way we treat 0 and 1 integers in boolean context. [#35190]
- Subscriber Login block: add new block to beta blocks.
- Subscriptions: various fixes and improvements.
- Sync: make media extraction more consistent with regards to getting alt text and image size information. [#35369]
- Tiled gallery: fix PHP warnings from nested arrays in image meta. [#35317]
- Top Posts & Pages block: add new block to beta blocks.
- Woo: add support for WooCommerce HPOS to the Google Analytics module. [#33152]
- WPcom: avoid fatal error when receiving error in WPcom API response. [#35389]
- WPcom: enhanced WordPress.com API compatibility with third party plugin data. [#34770]
- YouTube shortcode: handle being given an array with a 'url' key insteadad of the URL as a string. [#35181]

## 13.1-a.9 - 2024-01-29
### Enhancements
- Subject: A new way to upload media via the Jetpack App [#34179]

### Improved compatibility
- RNMobile: Disable Story block [#35202]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Adding serivce to a feature which is not live for the users yet. [#35183]
- AI Assistant: add accept event on title suggestion request [#35281]
- AI Assistant: add events on block control [#35254]
- AI Assistant: add menu show events on both control and extension (form) [#35256]
- AI Assistant: change tool property on event [#35280]
- AI Content Lens (excerpt): add events on generate, discard and accept [#35251]
- AI Forms Extension: add events on ai actions [#35257]
- Feature is not yet released. [#35184]
- Jetpack_PostImages::from_attachment: Prevent warning when $thumb_post_data cannot be found [#35264]
- Move Jetpack to the same menu position as standalone Jetpack site. [#35154]
- Remove the dashboard swither for the wp-admin interface. [#35210]
- Remove the dotcom warning for wp-admin in Writing and Discussion settings page [#35241]
- Sharing Buttons Block: Add size controls to the block [#35267]
- youtube-shortcode: Handle being given an array with a 'url' key insteadad of the URL as a string [#35181]

## 13.1-a.7 - 2024-01-25
### Enhancements
- Jetpack Search: Add 'price' as the default sorting option. [#35167]
- Subscribe Block: Don't include social followers on counts by default. [#34617]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: add UI events when menus are displayed [#35203]
- AI Assistant: fix discard handler so we don't need to call discard + accept [#35236]
- Like block: Remove block rendering in contexts different from front-end [#35226]
- Not showing sharing buttons in notifications, emails, etc. [#35206]
- REST API: fixed the way we treat 0 and 1 integers in boolean context. [#35190]
- Subscriber Login: Add icon, description and redirect to home page by default [#35221]
- Subscriber Login: Allow custom link labels [#35179]
- Untangle Calypso from Themes & new sub-menu to Marketplace [#35145]

## 13.1-a.5 - 2024-01-23
### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Jetpack AI: Expose Jetpack AI cost of features on the feature endpoint. [#35178]
- Subscribe block: simplify access panel CSS [#35163]
- There was a problem with likers without avatar images not appearing in the likers popup. Now they appear with their default avatar images. [#35123]
- WPCOM_JSON_API_Endpoint document(): Prevent warning when fetching the rest_api_documentation row returns no results [#35173]

## 13.1-a.3 - 2024-01-22
### Enhancements
- Add support for WooCommerce HPOS to the Google Analytics module. [#33152]
- Changed dismissed notices endpoint to be a core endpoint [#34544]
- Like block: Move the block from beta to production [#34930]
- Related Posts: Get the related posts only when the option is turned on and the current post contains a Related Posts block [#34958]
- Subscribe block: add buttons transform [#35115]

### Improved compatibility
- Likes: Flip likers popup when overflowing viewport. [#35065]

### Bug fixes
- Enhanced WordPress.com API compatibility with third party plugin data. [#34770]
- iCalendarReader: Support BYDAY recurrence rules for last, second-to-last, or third-to-last weekdays [#35050]
- Subscribe block: fix spacing of "pending email confirmation" message in some themes [#35133]
- Subscriptions: Fix subscribtion modal appear right after subscribing [#35128]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: add contact us event for upgrades over 1000 [#35136]
- AI Assistant: move usePlanType to shared directory [#35093]
- AI Assistant: rename upgrade event name, provide placement prop for metrics [#35116]
- AI Assistant: trigger event on panel uncollapse [#35124]
- Blogroll block: avoid PHP notices on specific sites. [#35125]
- Contact Form: add frontend tests [#35074]
- Contact Form: fix source for concatenated stylesheet [#35091]
- Content Options: Add new class to post when using the featured images fallback. [#35073]
- Content Options: Allow themes to hide the default avatar (when author has no custom Gravatar) via `'avatar-default' => false`. [#35073]
- Filters out deprecated jetpack-google-fonts provider when reading the theme's theme.json. [#35029]
- In the tracking user link url, the parent of the iframe only listens one redirection post message from its child [#35090]
- Jetpack Debug: Update Sync related debugging info [#35060]
- Jetpack plugin: Add 5-star review link in the Jetpack Plugin meta, in the plugins list table (on the plugins page). [#34998]
- Jetpack_Upcoming_Events_Widget: Return early if no feed url set [#35041]
- Memberships: Adds translation to paid content modal. [#35092]
- Payment blocks: Fix cover block alignments on free sites [#35028]
- Recreate purchase form dialog on openModal(). [#35077]
- Related Posts: fix accessibility issues [#34925]
- Subscriber Login: Add styling support to the Subscriber Login block [#35085]
- Subscriber Login: Allow to transform it to/from core Login/out block [#35161]
- Subscriber Login: Check also the premium content cookie to determine if user is logged in or not [#35113]
- Subscriptions: Add Subscriber Login block [#34981]
- Subscriptions: Fix Newsletter column width [#35101]
- Update Subscription Modal on comment to use Subscribe Block [#35051]

## 13.1-a.1 - 2024-01-15
### Enhancements
- GIF Block: Accept Giphy shortlinks as a valid embed. [#34786]
- GIF Block: fix styling of the search bar input. [#34779]
- Subscribe block: don't allow editing the email for subscribing for logged-in members. [#34982]

### Improved compatibility
- Post Images: avoid PHP warnings on sites using PHP 8.1+, when a post image has a malformed URL. [#34926]

### Bug fixes
- AI Assistant: avoid deprecation notices when using a development version of WordPress. [#34921]
- AI Assistant: do not attempt to display the AI Excerpt assistant in the site editor and the widget editor. [#34970]
- Fixes recurring payments buttons multiple plan support. [#34928]
- Subscribe modal: Don't show in Elementor editor [#34955]
- Subscriptions: do not display subscription checkboxes in comment forms displayed on Custom Post Type pages. [#34912]
- Subscriptions: Fix broken subscribe button in email [#34966]
- Subscriptions: Fix page scrolling up after the subscription modal is dismissed [#34963]
- Theme Tools: Ensure that Content Options does not override the Featured Images options set within blocks. [#34805]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Action Bar: remove experimental module. [#34939]
- add label to prompt blog for bloganuary [#34913]
- AI Assistant: compose ConnectPrompt and UpgradePrompt and pass it as bannerComponent prop to AI Client [#34918]
- cast_and_filter_item: Do not cast an array to a string [#34942]
- Extensions: auto-generate public path [#34923]
- Extensions: Don't auto-generate public path after all. But improve the way the manual path is being set. [#34969]
- External media: provide default numerical post id for uploads. [#34795]
- Jetpack AI: include feature name as a parameter on the content feedback tool. [#34972]
- Like block: Set index.html version based on the current Jetpack version [#34920]
- Newsletter settings: update copy for subscription pop-up toggle [#34959]
- Recommendations: update link in summary upsell [#34898]
- Sharing: be more defensive when fetching sharing service to avoid errors. [#34991]
- Spotify shortcode: Prevent a fatal error in PHP 8.1 if no attributes are passed. [#34891]
- Subscriptions: Fix subscriber pop-up button text color [#34915]
- Subscriptions: Fix subscriber popup background scrolling [#34933]
- Subscriptions: Format subscribers reach numbers [#34887]
- Subscriptions: Show subscription numbers more elegantly [#34919]
- Sync: synchronize block status option. [#34989]
- Track store managers actions in WooCommerce analytics. [#34827]

## [13.0] - 2024-01-10
### Enhancements
- Subscription Modal: Display thesubscription modal when a user makes a comment. [#34659]

### Bug fixes
- Likes Widget: Fix accessibility on likes popover. [#34800]
- Likes Widget: Make likes widget accessibility compatible across themes. [#34857]
- Payments: Fix recurring payments buttons not working with multiple plans.

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: compose ConnectPrompt and UpgradePrompt and pass it as bannerComponent prop to AI Client [#34918]
- AI Excerpt: remove GPT model selector since it's not possible to change models anymore. [#34855]
- Backup: Add namespace versioning to Helper_Script_Manager and other classes. [#34739]
- Fix the sidebar toggle on mobile displays. [#34807]
- Like Widget: Fix caching issue. [#34860]
- Updated package dependencies. [#34882]
- Use useModuleStatus hook instead of direct call of store selectors. [#34856]

## 13.0-a.13 - 2024-01-04
### Bug fixes
- Jetpack footer links are now consistent within different pages. [#34787]
- Notification Accessibility: THe notification icon is not a link. [#34810]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added the "reblog" query param to the iframe in the Like Block when the reblog button is enabled in the block. [#34838]
- Fix failing E2E tests [#34796]
- In editor view, the Like block now shows or hides the reblog button according to sidebar config [#34831]
- Social: Removed obsolete code for Tweetstorms [#34330]
- Updated package dependencies. [#34815] [#34816]

## 13.0-a.11 - 2024-01-02
### Bug fixes
- Editor: Fixed missing fonts issue inside the block editor. [#34776]
- Subscriptions Block: Added compatibility for the latest Gutenberg. [#34809]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Use default store value pased from backend. [#34794]
- Subscribe Block: Adjusted how cookies are set. [#34634]
- Blogroll: Use blogroll item url as name if name does not exist. [#34693]
- Removed Jetpack connection banners from WP dashboard and plugins page. [#34768]
- Updated the design for Quick Share buttons and fixed its a11y. [#34754]

## 13.0-a.9 - 2023-12-25
### Enhancements
- Added description and link inviting to disable legacy sharing module if block is available [#34759]
- Social Menu & Social Media Icons: Add support for the Bluesky service. [#34738]

### Bug fixes
- Subscribe Modal: Fix fatal under exceptional conditions [#34758]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin Page: remove alt attribute from decorative icon. [#34715]
- On wpcom sites if SEO tools not supported by current plan we show upsell message. [#34725]
- Remove the recommendations banner from non-jetpack wp-admin pages [#34769]

## 13.0-a.7 - 2023-12-20
### Enhancements
- Sharing Buttons Block: update the admin's setting screen when the sharing block is available. [#34673]

### Improved compatibility
- Sharing Buttons: add the official X button to the list of supported services. [#34719]

### Bug fixes
- My Plan: Fix JS errors due to nested anchor tags. [#34707]
- Payments Block: show an error message when unable to render payment button. [#34380]
- Subscribers: fix the subscriber count display if above 1000 subscribers. [#34689]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add wpcom_ai_site_prompt option to the site settings endpoint [#34709]
- AI Assistant: handle new AI Control UI/UX improvements, fix DOM manipulation, remove "Try Again" toolbar button [#34383]
- Carousel: fix unresponsive navigation [#34678]
- Dashboard: avoid React warning when loading the VideoPress card. [#34713]
- Jetpack Google Fonts: Don't print font definition if the font is provided by the active theme. [#34608]
- Remove like block dependency on Like module and insert iframe once. [#34664]
- Small refactor Subscription services [#34635]
- Subscriptions: localize number format in access panel [#34691]
- Subscriptions: update "verify your email" wall copy [#34716]
- Updated package dependencies. [#34694]
- update feature not released yet [#34724]

## 13.0-a.5 - 2023-12-15
### Enhancements
- Subscriptions: adds toggle to disable email sending. [#34592]

### Bug fixes
- Subscribers: pre/post-publish panel, show correct subscription count when using paywall. [#34643]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add a flag for sites that have upgraded from the ecommerce trial. [#34597]
- Like block (beta): Make sure the block is not available when the Likes module or Likes / Reblog site options are disabled. [#34639]
- Like block (beta): remove the condition that decided whether to display Like block or Like widget. [#34650]
- Newsletter post-publish panel: closed initially [#34663]
- Refactor checkout modal to be more performant. [#34412]

## 13.0-a.3 - 2023-12-14
### Improved compatibility
- Contact Form: avoid PHP warnings in the WordPress dashboard when used alongside other plugins making changes to admin pages. [#34576]

### Bug fixes
- Widgets: Fix console JS error in EU Cookie Widget. [#34591]
- Paywall: Fix stuck pending subscription state when email isn't verified. [#34543]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add page view tracking for WooCommerce Checkout Flow. [#34065]
- AI Assistant: Register ai-logo-generator beta flag. [#34641]
- Backup: Bug fixes in helper script installation class. [#34297]
- Ensure block use, shortcode use, and additional blocks in use are tracked correctly on classic themes. [#34065]
- Fix fatal in Simple. [#34602]
- Like block (beta): Handle Reblog toggle change. [#34572]
- Like block (beta): Temporarily hide the Reblog setting toggle. [#34646]
- Like block: Add Learn more link to the Like block inspector. [#34625]
- OpenTable: Keep input form at a constant width so button doesn't jump out from under the cursor. [#34654]
- Subscriptions: consolidate pre/post panel copy to a component [#34631]
- Updated package dependencies. [#34559]

## 13.0-a.1 - 2023-12-11
### Enhancements
- AI Usage panel: Added yellow color to indicate going over the soft limit. [#34555]
- Gutenberg: Added Top Posts & Pages block. [#34153]

### Improved compatibility
- Sharing Buttons Block: Improved consistency for how the button icons are rendered on different pages. [#34527]
- Patreon: Updated Patreon icon to match the updated Patreon branding guidelines. [#34570]

### Bug fixes
- Newsletter: Updated post-publish panel text for scheduled posts. [#34310]
- Calendly Block: Fixed custom colours being stripped. [#34474]
- Dashboard: Disabled VideoPress card in offline mode. [#34465]
- Likes: Fixed popover closing area. [#34430]
- Launchpad: Fixed the save modal not showing after saving changes in the editor. [#34449]
- WoA: Updated SEO Tools on Atomic sites to show only for Business plan and higher. [#34546]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Top Posts and Pages Block: Refactored endpoint to use helper. [#34479]
- Top Posts and Pages Block: Set aspect ratio for thumbnail images. [#34558]
- Top Posts and Pages Block: Tidied up display of titles. [#34510]
- Social: Refactored storing of feature options to use core functions. [#34113]
- Like: Added iframe to the new Like block (beta). [#34450]
- Like block (beta): Added Reblog setting. [#34514]
- Added force_year param to individual get for blogging prompt. Added bloganuary tags for prompts in january. [#34041]
- Added controls for Sharing Buttons Block. [#34414]
- Jetpack AI: Added event tracking on the usage panel button. [#34442]
- Consolidated WPCOM/Jetpack Token Subscription Service classes. [#34299]
- Google Fonts Module: Fixed the error when parsing a font family that has a reference to a path. [#34560]
- Jetpack AI: Added feedback control to display a feedback request on the AI Assistant block inspector. [#34525]
- Jetpack AI: Changed line splitting on upgrade prompt to reduce the chance of orphan words. [#34495]
- Jetpack AI: Fixed element spacing on usage panel when it's on the block inspector. [#34494]
- Jetpack AI: Forced button from upgrade nudge to use black and white styles. [#34552]
- Jetpack AI: Moved feedback control below usage panel to obey relevance ordering. [#34578]
- Like block (beta): Escaped block output attributes. [#34536]
- Removed Blogroll block "beta" text. [#34485]
- Removed like avatar border inside the popup. [#34440]
- Updated package dependencies. [#34416]
- Sync: Added limit for full sync uploads. [#34390]

## 12.9.1 - 2023-12-18
### Bug fixes
- Carousel: fix unresponsive navigation on Chrome browsers. [#34678]

## [12.9] - 2023-12-05
### Enhancements
- Likes: Updated the likes popover design and added RTL support. [#34396]
- My Jetpack: Added Creator to My Jetpack overview. [#34307]
- Paid Content Block: Added support for selecting multiple plans. [#33903]

### Improved compatibility
- Block Editor: Dequeued editor assets when they aren't in use. [#34268]
- Google Fonts: Resolved occasional bug resulting in fatal errors on PHP 8 with latest Gutenberg. [#34382]

### Bug fixes
- Block Editor: Fixed console errors being thrown for Jetpack blocks inside the Full Site Editor. [#34305]
- Dashboard: Fixed the display of Subscriptions and WordPress.com Toolbar controls when the user is not connected to WordPress.com. [#34358]
- Dashboard: Fixed the display of the Auto-sharing feature toggle when the user is not connected to WordPress.com. [#34203]
- EU Cookie Widget: Moved away from deprecated jQuery methods. [#34363]

## 12.9-beta - 2023-12-03
### Enhancements
- My Jetpack: Added Creator to My Jetpack overview. [#34307]
- Paid Content Block: Added support for selecting multiple plans. [#33903]
- Likes: Updated the likes popover design and added RTL support. [#34396]

### Improved compatibility
- Google Fonts: Resolved occasional bug resulting in fatal errors on PHP 8 with latest Gutenberg. [#34382]
- Block Editor: Dequeued editor assets when they aren't in use. [#34268]

### Bug fixes
- Dashboard: Fixed the display of the Auto-sharing feature toggle when the user is not connected to WordPress.com. [#34203]
- Dashboard: Fixed the display of Subscriptions and WordPress.com Toolbar controls when the user is not connected to WordPress.com. [#34358]
- Monetize: Updated the link to the plans page. [#34316]
- EU Cookie Widget: Moved away from deprecated jQuery methods. [#34363]
- Block Editor: Fixed console errors being thrown for Jetpack blocks inside the Full Site Editor. [#34305]
- Fixed sending email preview when content in the editor is different from the latest version in the database. [#34419]
- Fixed wrong like count in the like dialog after liking. [#34393]
- Google Fonts: Added filtering for old google fonts data in the user's global styles. [#34388]
- Monetize: Fixed membership products resolver not filtering tiers correctly. [#34107]
- Related Posts Block: Fixed thumbnails opening in the same tab. [#34410]
- Subscribe Widget: Fixed nonce validation. [#34369]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added the Like Button Block (Beta). [#34340]
- Added a product upsell for Creator to the Newsletter recommendation card. [#34350]
- Enhanced Sharing Buttons UI to match Social Icons behavior. [#34181]
- Exposed post retrieval from WPCOM_JSON_API_Get_Post_v1_1_Endpoint via a code API. [#34290]
- Likes: Added RTL support to the likes popover. [#34308]
- Likes: Updated the likes popover design. [#34308]
- Ensures an array key is set before usage. [#34402]
- Fixed the issue of publicize remaining ON after the post is published. [#34289]
- Jetpack AI: Add Usage Panel to the block settings sidebar. [#34341]
- Moves the REST request `source` escaping from WPCOM to the Jetpack Memberships plugin for clarity. [#34349]
- Refactor isOverLimit and how to reduce requireUpgrade. [#34287]
- Rename hasNewsletterPlans to hasTierPlans for memberships. [#34286]
- Tonesque: Avoid errors when called against a non-image. [#34164]
- Updated package dependencies. [#34411] [#34427]

## 12.9-a.11 - 2023-11-24
### Enhancements
- Blogroll: Allowed non-WP.com sites to be suggested. [#34112]
- Added subscribers count to pre- and post- publish panels when publishing posts in Newsletter Categories. [#34267]
- Subscribe Modal: The modal is not shown at all after being dismissed, not just limited to the post it was dismissed on. [#34245]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: Adjusted UpgradeNudge for tier plans. [#34254]
- Prevented caching paywalled content. [#34242]
- Fixed block name usage when unregistering Paywall block. [#34274]
- Mobile: Reverted setting default for video blocks added on mobile. [#34271]
- Added a feature flag for the new like widget layout. [#34264]
- Added jetpack_verbum_subscription_modal setting to manage subscription modal show/hide on Verbum. [#34258]
- Added the latest tier plans for 750 and 1000 requests. [#34270]
- Added tier enabled filter status to the ai-feature payload. Include on the ai-assistant data store. [#34260]
- Blocks: Remove Beta Amazon block. [#34228]
- Code Modernization: Replaced usage of strpos() with str_contains() [#34137]
- Code modernization: Replaced usage of substr() with str_starts_with() and str_ends_with(). [#34207]
- Fixed paywall switch account on simple sites. [#34250]
- Introduced enable-tier-plans-ui beta flag. [#34221]
- Jetpack AI: Fixed the Usage Panel upgrade button text to change depending on the next tier available. [#34251]
- Jetpack AI: Handle Contact Us button on the Usage Panel when the site is a Simple or Atomic site. [#34273]
- Odyssey Stats widget: Only loading scripts when the widget is visible. [#34284]
- Reuse email on memberships checkout form when recently subscribed but not logged in. [#34084]

## 12.9-a.9 - 2023-11-21
### Bug fixes
- Fixed all Google font definitions being printed in the head, instead only printing fonts that are used in global styles or required by block settings. [#34157]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Replaced nested `dirname` with use of the php 7.0+ `$levels` parameter. No change in functionality. [#34218]
- Subscriber Button: Added pointer cursor on hover. [#34190]
- Jetpack AI: Added support for tiered plans on the usage panel. [#34195]

## 12.9-a.7 - 2023-11-20
### Enhancements
- Subscribe Modal: Added a subscribe modal toggle to the Newsletter settings. [#33909]
- CSS Concatenation: Avoid optimizing CSS loading when less than 2 modules that require it are active. [#34110]
- Jetpack AI: Enabled the AI Assistant usage panel. [#34122]

### Improved compatibility
- Updated PHP version reqirements to PHP 7.0 or newer. [#34126]
- Updated WordPress version requirements to WordPress 6.3. [#34127]

### Bug fixes
- Added missing BLOCK_NAME constant to SimplePayments block. [#34143]
- Contact Form: Prevented errors when a saved submitted contact form is requested but does not exist anymore. [#34129]
- WoA: Restored Woo Express free trial upgrade JITM. [#34167]
- Mobile: Ensured text is always visible in Contact Info block on mobile. [#33873]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Jetpack AI: Compute if the site requires an upgrade depending on the current tier. [#34083]
- Jetpack AI: Stopped requesting AI Assistant feature data from the backend. [#34132]
- Jetpack AI: Ensured the client performs the AI data feature request at least once. [#34109]
- Jetpack AI: Updated logic for the require upgrade field to also work for tiered sites. [#34170]
- Jetpack AI: Use the Usage Helper to set fields on the ai-assistant-feature endpoint. [#34151]
- Use new async flow to get isOverLimit from useAiFeature. [#34156]
- Blocks: Updated block support from __experimentalLayout to layout. [#34128]
- Subscribe Modal: Updated wording. [#34130]
- Replaced usage of strpos() with str_starts_with(). [#34135]
- Dashboard: Ensured the menu item focus supports the new "activity log" menu item. [#34174]
- Partnerships: Stopped initializing the Partner package in the Jetpack plugin, it is now done directly in the Connection package. [#33832]
- Rearranged the code for readability and made use of specific calls on different contexts. [#34176]
- Removed the 'jetpack/publicize' store. [#34111]
- Subscribe Block: Link to https://wordpress.com/email-subscriptions when subscribed. [#34148]
- Updated package dependencies. [#34119]
- Use the same value as in backend for unlimited plan limit (needed for int comparisons), 999.999.999 (almost a billion), as a constant. [#34169]

## 12.9-a.5 - 2023-11-14
### Enhancements
- Subscribe Block: Improved the redirect logic after confirming a subscriptions. [#34086]

### Bug fixes
- Subscribe Block: Fixed the button in a new line option not working. [#34075]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- CLI Tools: Updated block scaffolding CLI tool to use block.json to register blocks. [#33883]
- E2E Tests: Removed block tests. [#34016]
- Updated package dependencies. [#34093] [#34087]
- Sharing Block: Cleaned up code & copy. [#34085]
- Jetpack Form: Updated handling of AI requests counter when asking AI for suggestions. [#34096]
- AI Excerpt: Added dequeueing for AI feature async requests when asking for new suggestions. [#34094]

## 12.9-a.3 - 2023-11-13
### Enhancements
- Blocks: Added the Jetpack Sharing Buttons block. [#27243]
- AI Assistant: Updated AI Assistant to display an upgrade banner when the feature endpoint returns with 'quota exceeded'. [#34057]
- AI Assistant: Updated the AI Assistant block to display the upgrade banner only once a block is selected. [#34081]
- Blocks: Added capability for editing Subscription block placeholder text and button label. [#33938]
- WoA: Added "Subscribers" and "My profile" under the "Users" menu in the Calypso sidebar. [#33988]
- Newsletters: Updated the pre-publish and post-publish panels to display the newsletter categories that the post will be sent to. [#33917]

### Improved compatibility
- Blocks: Fixed lack of spacing for the Paywall block in some themes. [#34040]
- Improved the consistency of the "Users" admin menu across all environments. [#34008]
- Subscribe Modal: Fixed lack of spacing in the modal for some themes. [#34032]

### Bug fixes
- AI Assistant: Fixed an AI error sometimes being rendered for prompts marked unclear. [#34051]
- Media: Fixed VideoPress videos and media length not being displayed when available. [#34002]
- Custom-CSS: Disabled loading `@import` directives from the filesystem. `@import` of CSS from URLs can still be done. [#33959]
- Fixed a PHP Warning triggered when WooCommerce templates were not found due to a name change. [#34030]
- Fixed fatal error triggered by not checking get_product_list() result correctly. [#34059]
- Mobile: Prevented converted video blocks from displaying empty thumbnails on mobile. [#34073]
- Shortcode embeds: Fixed and updated the display of Gravatars and Gravatar profiles. [#34012]
- Subscribe Block: Fix display in the editor. [#34023]
- Subscribe Block: Fixed incorrect redirects from the block when shown outside of a post page. [#33932]
- Subscribe Modal: Fixed the issue with the block being shown to subscribers. [#34039]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Updated 'useModuleStatus' to use the new Jetpack modules store. [#33397]
- Added a Bloganuary date field to blogging prompts API. This field will be used for the Bloganuary promotion. [#33852]
- AI Assistant: Connected the 'useAiFeature' hook with the plans store. [#34001]
- AI Assistant: Updated the requests counter to optimistically increase the request count for the usage period. [#34029] [#34048] [#34082]
- AI Assistant: Added an action for increasing the requests counter value. [#34019]
- AI Assistant: Updated the way in which AI feature data is fetched from the API in order to prevent unnecessary requests. [#34060]
- AI Assistant: Updated TS types for the AI Assistant feature data. [#34038]
- AI Assistant: Moved the initial state from 'useAiFeature' hook to the 'wordpress-com/plans' store. [#34080]
- AI Assistant: Simplified the code for rendering the upgrade banner inside the AI Assistant block. [#34069]
- Blocks: Imporved Contact Form block performance. [#34049]
- Blocks: Refactored payment-related blocks registration. [#33941]
- AI Assistant: Updated the paths used to require OpenAI classes. [#34056]
- Add next-tier prop to the AI assistant feature endpoint response. Add the prop to hooks and state. [#34028]
- Change Creator product constants to be a product rather than a plan. [#33998]
- Fixed Subscribe block alignment. [#34003]
- Added a new wpcom_api_pre_get_active_blog_author filter. [#33980]
- Improved the Subscribe block on simple sites. [#34070]
- Introduced tier types and props for current and next tier. [#34046]
- Passed block type attributes along to the memberships checkout form. [#33963]
- Switched to the new methods on the WPCOM helper to build the AI assistant feature payload. [#33990]

## 12.9-a.1 - 2023-11-08
### Enhancements
- VideoPress: Added support for gated content. [#32154]
- Subscribe modal: Updated the modal to not show when previewing post or theme. [#33967]
- WoA: Updated the wording on the profile menu for WoA sites using the classic style. [#33982]

### Improved compatibility
- Added a check for connected plugins before cleaning up plugin options or uninstalling Jetpack. [#33920]

### Bug fixes
- WoA: Added back the "Stats" menu item for WoA sites in Calypso. [#33974]
- Dashboard: Fixed the display of the settings for Markdown for comments. [#33880]
- VaultPress: Fixed an issue with the VaultPress submenu not being registered when the standalone plugin is inactive and the product is active. [#33955]
- Font Library: Fixed PHP warnings that happen when the font name is not defined. [#34005]
- Related Posts: Ensured the Related Posts Block can be displayed properly. [#33994]
- Mobile: Fix a regression preventing correct block registration on mobile. [#33890]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: Added loading state to the usage panel. [#33942]
- AI Assistant: Created a map for the AI Assistant feature data. [#33993]
- AI Assistant: Registered 'isFetching' state in the plans store. [#33996]
- Decouple tiers from subscribe_as_site_subscriber parameter. [#33773]
- Jetpack: Reduxified AI Assistant feature. [#33985]
- Jetpack Plans: Addressed TS issues with AI Assistant feature data. [#33986]
- Plans: Introduced `plans` prop to plans store. [#33971]
- Plans: Minor code refactoring for wordpress-com/plans store. [#33919]
- Refactor Instagram Gallery block registration. [#33884]
- Fixed a misspelled variable. [#33991]
- Removed scssc 0.0.12 and replaced it with with ScssPhp 1.1.11. [#33928]
- Rollback change. [#33973]

## [12.8] - 2023-11-06
### Enhancements
- Added a notice for wp-admin settings pages when the wpcom_admin_interface option is set to wp-admin. [#33933]
- Added nextdoor block to production blocks. [#33950]
- AI Tiered Plans: Pick and expose tier plan data. [#33901]
- Always links 'My Sites' to the Sites page when 'wp-admin' is the admin interface. [#33951]
- Cache the remote google fonts JSON data. [#33930]
- Change WordAds and Simple Payments upsell CTAs to JP Creator redirect. [#33893]
- Display SSO form for user who has wpcom-admin-interface setting set to wp-admin (fall back to the original WordPress menu). [#33940]
- Jetpack AI: Temporarely remove performance sensitive function calls to solve loading issue. [#33915]
- Jetpack AI: Use Jetpack AI Usage Helper to set current plan tier information on feature endpoint. [#33894]
- Subscribe Block: Add subscribed status. [#33897]
- Subscriptions: Add blog_id param to login link. [#33900]
- Update classic Jetpack widget to not show up if user is subscribed. [#33785]

### Improved compatibility
- Nextdoor: Fix the embed resizing. [#33931]

### Bug fixes
- Comments: Improve compatibility with WordPress 6.4 and drop IE support. [#33709]
- Fix Assistant not showing Jetpack header on some Assistant routes. [#33896]
- Fixed an issue where initial state is not in sync
- Prevent a PHP Warning when accessing inner blocks on cart and checkout pages.
- Respect the user's view setting when wpcom_admin_interface is wp-admin. [#33945]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added Nextdoor to Social Previews. [#33907]
- Add tier-plans on ai-assistant-feature endpoint payload containing the collection of available tiered plans. [#33939]
- Subscribe block: Refactor block rendering into a single function. [#33865]
- Updated package dependencies. [#33904]

## 12.8-a.11 - 2023-10-31
### Enhancements
- Add a new block for supporting Nextdoor embeds. [#33751]
- AI Assistant: Expose current period start in the ai-assistant-feature endpoint. [#33843]
- Newsletters: Add level for all paid subscribers. [#33841]
- Refactor blocks registration [#33682] [#33689] [#33694] [#33840]
- Subscribe block: Change "followers" term to "subscribers". [#33860]

### Improved compatibility
- Add NL tier type. [#33757]

### Bug fixes
- Fix Cookie Consent block icon. [#33869]
- Fixes style for multiple choice checkbox in Froms block. [#33827]
- Fix issue in tier selector when tier is null. [#33879]
- Fix unresponsive Simple Payment block. [#33889]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- custom-css: Upgrades for PHP 8. [#33816]
- Plugin assets: Add mag-16 language versions of our banners. [#33850]

## 12.8-a.9 - 2023-10-30
### Enhancements
- Earn: Rename Earn to Monetize. [#33741]
- Jetpack AI: Cache the AI assistant feature data for Jetpack sites. [#33391]
- Jetpack AI: Expose current plan tier information on feature endpoint. [#33820]
- Jetpack Dashboard: improve Akismet tooltip. [#33547]
- Paywall: Improve already subscriber experience. [#33763]
- Subscription block: Improve wording to get access to content. [#33835]
- Utilize the Jetpack Admin UI package for handling the Akismet menu. [#33559]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add subscribers auth endpoint. [#33815]
- Dashboard / My Plan: update the link to licensing management for a better UX in the My Plan header. [#33813]
- Dashboard: Remove link to "My Jetpack". [#33811]
- Fix bug tier selector. [#33838]
- Updated package dependencies. [#33821] [#33826]
- Update lockfile. [#33607]
- scssphp: Upgrade from 0.0.9 to 0.0.12. [#33822]

## 12.8-a.7 - 2023-10-26
### Enhancements
- Add a filter that allows disabling Scan module. [#33764]
- AI Assistant: Add Upgrade button component on the UsagePanel. [#33720]
- AI Assistant: Connect real usage data on the UsagePanel. [#33714]
- AI Extension: Consolidate upgrade section of proofread and usage sections. [#33804]
- AI Extension: Implement usage message in the UsageBar component. [#33794]
- Alter the admin toolbar when the wpcom-admin-interface setting is set to wp-admin (fall back to the original WordPress menu). [#33707]
- Change links for 'Appearance > Themes' on Atomic sites with wpcom_admin_interface option set to wp-admin to point to WP.com Marketplace. [#33772]
- Jetpack: Add UsagePanel story. [#33771]
- Jetpack: Improve process to extend paid blocks with upgrade banner. [#33752]
- Jetpack AI: Expose current period usage data on feature endpoint. [#33623]
- Link plugins to WP.com Marketplace on Atomic sites. [#33758]
- Metered billing: Hide usage bar when site has AI plan. [#33770]
- Register WordAds block earlier to make it more discoverable. [#33700]
- Remove Jetpack option jetpack-memberships-connected-account-id. [#32354]

### Improved compatibility
- Donations Block: Update to be compatible with the upcoming version of WordPress, 6.4. [#33778]
- General: Indicate full compatibility with the latest version of WordPress, 6.4. [#33776]
- Lazy Images: Remove the feature from the plugin. You can now rely on WordPress' own Lazy Image features on your site. [#33782]

### Bug fixes
- Carousel: Resolve warning with AMP plugin. [#33738]
- Fix block paid icon rendering error on simple sites. [#33807]
- Fix the google fonts module is not loaded after the late initialization. [#33795]
- Newsletter: If site has no plan, downgrade post access to subscribers-only. [#33750]
- Prevent issue on jetpack proxy when tier is added. [#33788]
- Require login on wpcom for paid content access without cookie or token. [#33761]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Refactor blocks registration. [#33086] [#33573] [#33604]

## 12.8-a.5 - 2023-10-24
### Enhancements
- Jetpack: Add @wordpress/wordcount dependency. [#33745]

### Bug fixes
- Do not list one-time interval payment plans as newsletter plans. [#33716]
- REST API: Fix GA settings field, wga, for settings endpoints on API version 1.3 and 1.4. [#33753]

## 12.8-a.3 - 2023-10-23
### Enhancements
- Adds new modifications for the admin menu on Atomic sites that ensures that all links go to wp-admin except those that are only available in Calypso. [#33631]
- Add support for welcome message inside WP Admin. [#33677]
- AI Assistant: Add scaffolding for the Usage Panel. [#33671]
- AI Assistant: Add strikethrough Markdown syntax to Markdown generator. [#33647]
- AI Assistant: Add UsageBar component and add a sample of it to the Usage Panel. [#33696]
- AI Assistant: Enable backend prompts for 100% of production sites. [#33632]
- AI Assistant: Enhance toolbar UX. [#33717]
- AI Assistant: Register ai-assistant-usage-panel beta extension. [#33666]
- AI Extension: Change the filter to populate the Jetpack Form block with AI components. [#33629]
- AI Extension: Do not skip React hook instances. [#33628]
- AI Extension: Enable Form extension inside query loops. [#33670]
- AI Extension: Improve info message when selected blocks don't have content to modify. [#33731]
- AI Extension: Show "no content" notice when the extended block content is empty. [#33693]
- AI Extension: Use registerBlockType filter to extend Jetpack Form / children block instances. [#33636]
- AI Extension: Use registerBlockType to connect components with AI Data and UI Handler. [#33638]
- Allow users to retrieve subscriptions on self-hosted. [#33705]
- Jetpack: Handle Proofread feature availability via jetpack_ai_enabled filter. [#33676]
- SEO Title & Description - Display the current nucount of characters, even when over the suggested limit. [#33609]
- Subscribers: Allow admins to see subscribe modal. [#33622]

### Improved compatibility
- Connection: added protection for wpcom urls stored in the database during identity crisis. [#33412]
- Make the jetpack_ai_enabled filter decide whether to register AI editor extensions. [#33618]
- Social: Remove the tweetstorm editor components. [#33723]
- Memberships: Prevent data to be retrieved from cache sites on WP.com. [#33502]

### Bug fixes
- AI Assistant: Fix issue when getting AI assistant block instance. [#33690]
- AI Extension: Fix undefined 'disabled' I18nMenuDropdown prop bug. [#33742]
- AI Extension: Improve performance bug when extending blocks with AI Assistant. [#33681]
- Block Editor: Disable some of Twitter's Thread publishing tools since the feature is no longer accessible. [#33641]
- Fixed a bug that prevent customers from downloading invoices from the my account page in WooCommerce. [#33686]
- Fix issue when email was double encoded. [#33664]
- Fix Map block not rendering. [#33606]
- Fix missing block translations. [#33546]
- Jetpack: Fix performance issues by not calling useAnalytics hook for all paragraphs. [#33725]
- REST API settings endpoint: Fix google analytics option handling for Jetpack sites. [#33730]
- Subscribe modal: Match block markup with params. [#33634]
- The Google Photos media inserter only checks for the connection status when needed. [#33674]
- VideoPress: Avoid performance issues by calling useEffect for every block on typing. [#33724]
- YouTube embeds: Avoid errors when opening YouTube in a new window from a YouTube embed. [#33601]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add additional properties to WooCommerce analytics events. [#33544]
- Add parameter to method. [#33659]
- Add support for welcome message in subscription_options. [#33639]
- Add WooCommerce to env setup for CI tests. [#32208]
- Check for post access first then do tracking action. [#33620]
- CSS fix. [#33691]
- Fix some possible undefined variable warnings. [#33668]
- General: Update Facebook color code to match newer brand colors. [#33633]
- General: Update mentions of the old Jetpack color code. [#33583]
- Google Fonts: Integrate the google fonts with the new font library. [#33203]
- Replace Calypso progress bar with one from VideoPress. [#33054]
- Social Logos: Update logos with the most recent version of the package, including bug fixes for the Threads and X logos, as well as an updated X logo to match updated X branding guidelines. [#33591]
- Subscribe modal: Simplify URL construction. [#33653]
- Updated package dependencies. [#33646] [#33687]
- WordPress.com Navigation: Ensure that the stats menu is properly registered. [#33702]

## 12.8-a.1 - 2023-10-16
### Enhancements
- AI Assistant: Enable backend prompts for 50% of production sites. [#33514]
- Sitemaps: Update the colors used on the sitemap page to match updated Jetpack branding colors. [#33582]
- Subscriptions: Do not display token in URL. [#33561]

### Bug fixes
- Blogging prompts block: Add default gravatar attribute to prevent js error. [#33572]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Convert Twitter to X. [#33574]
- Remove newsletter categories from the subscriber block. [#33579]
- Sync unit test: Fixes sync unit test to Aaccount for new post type properties. [#33553]
- Unit tests: Updated Sync related unit tests. [#33384]
- Update "social-logos" to the latest version. [#33613]
- Updated package dependencies. [#33429, #33498]

## [12.7] - 2023-10-12
### Enhancements
- Blogroll: move blogroll and blogroll-items blocks from beta to production, along with various improvements. [#33475] [#33483]
- Newsletter: launch the ability to create tiered newsletter plans. [#32710]

### Improved compatibility
- AI Chat block: fix icon color in block selector. [#33478]

### Bug fixes
- AI Assistant: do not register the editor plugin if the site is not connected to WordPress.com. [#33408]
- AI Chat block: fix text wrapping in button for Firefox. [#33519]
- Block Editor: update the Likes and Sharing copy in the Jetpack menu to address grammatical mistake. [#33509]
- Subscriptions module: fix fatal error caused by undefined constant. [#33473]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add conditional rendering for newsletter categories based on the wpcom_newsletter_categories_location filter [#33376]
- Add jetpack_memberships_product_id to the list of post meta to sync. [#33323]
- AI Excerpt: set support document link depending on site type [#33499]
- Incorrect typing for a meta field [#33515]
- Paywall: login paragraph to use theme text colour [#33532]
- Paywall block: remove "beta" from the name in block.json [#33527]
- Removed WPCOM-specific references from site settings endpoint. [#33466]
- Sharing: improve the display of the official X button. [#33474]
- Sites API: add was_hosting_trial flag to data returned for site details. [#33487]
- Updated package dependencies. [#33455]

## 12.7-a.7 - 2023-10-04
### Improved compatibility
- Notifications: temporarily disable the notifications admin bar menu on any block editor page to allow for Gutenberg 16.7 compatability. [#33458]

## 12.7-a.5 - 2023-10-03
### Enhancements
- AI Chat: Enhanced error presentation and UX improvements. [#33387] [#33401]
- AI Search Block: release the Jetpack AI Search Block. [#33432]
- Block Editor: add a new post publish panel for quick sharing. [#33244]
- Block Editor: display the SEO and Sharing editor panels in the block editor under the Jetpack side menu. [#33258] [#33226]
- Blogroll Block: Update blogroll appender styling and functionality. [#33328]
- Sharing: add X sharing button. [#33134]
- Social Menu & Social Media Icons: Add support for the X icon. [#33118]
- SSO: offer ability to force a site to use Jetpack SSO with Two-Factor Authentication for certain roles. [#33259]
- Subscription block: drop unnecessary .0 from big subscriber counts. [#33430]

### Bug fixes
- AI Excerpts: avoid errors on Custom Post Types that do not support excerpts. [#33439]
- Carousel: avoid invalid markup notices in Google Pagespeed insights. [#33413]
- External Media: do not surface the endpoint to contributors, are unable to upload media anyway. [#33451]
- Google Doc block: fix Google Doc blocks not rendering in the editor. [#33441]
- Shortcodes: improve validation of attributes dislayed with the Crowdsignal shortcode. [#33450]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: Enable backend prompts for 10% of production sites. [#33356]
- Add user content link tracking and redirection for links coming from emails. [#32832]
- Blocks: change the way Social Previews are registered, from a block to a plugin. [#33238]
- Fix block view scripts being loaded twice. [#33406]
- Fix description for jetpack_sitemap_video_skip_post. [#33379]
- Subscriptions: fix broken Paywall login link for custom domains [#33363]
- Likes: move editor plugin to the plugins' directory. [#33241]
- Plugin assets: add spanish version of our banners. [#33436]
- SEO Tools: move editor plugin to the plugins' directory, since this is not a block. [#33240]
- Standardize block description phrasing. [#33382]

## 12.7-a.3 - 2023-09-28
### Enhancements
- AI Excerpt: Add `Beta` label to sidebar panel. [#33302]
- AI Excerpt: disable `Generate` button when there's no post content. [#33304]
- AI Extension: Add keyboard shortcut to stop action on forms. [#33271]
- Blogroll: Disable blogroll appender sites that have been added to blogroll block. [#33327]
- Fix styling of multiple elements in the ai-chat block. [#33352]
- Improves the blogroll subscribe form alignment. [#33344]
- Jetpack Likes: display the Likes editor panel with an invitation to activate the feature when it is disabled. [#33298]
- Paywall: add a filter to define a custom paywall. [#33077]

### Improved compatibility
- Admin menu: Update view capabilities for Home & Stats to be independant from edit_posts. [#33255]
- Lazy Images: prepare feature for its deprecation, coming in November. You will be able to rely on Lazy loading features provided by WordPress itself. [#33208]

### Bug fixes
- Dashboard: avoid errors when dashboard is accessed by WordPress users with a custom non-admin role. [#33264]
- Dashboard: do not display Apps and Support cards to users who do not need that information. [#33264]
- Site Editor: Fix block exception error in Site Editor. [#33350]
- Subscriptions: Fix conditions for showing modal. [#33314]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Excerpt: move content-lens feature to prod. [#32969]
- AI Excerpt: update label and help of "words" control. [#33341]
- AI Excerpt: do not extend when the AI Assistant feature is not supported. [#33380]
- AI Excerpt: do not save the post before requesting the excerpt content. [#33377]
- AI Chat: delegate adding the beta suffix to filter. [#33348]
- Add an action to facilitate tracking paywalled post views by subscribers [#33290]
- Adds an action when subscription tokens are authed. [#33294]
- copy change [#33369]
- Jetpack Sync: fix unit tests to be compatible with the new WordPress Core revision saving mechanism. [#33354]
- Remove some left-over PHP 5.2 compatibility code. [#33288]
- Subscribe modal: enable for Jetpack sites. [#33235]
- Use WordPress `str_starts_with`, `str_ends_with`, and `str_contains` polyfills. [#33288]

## 12.7-a.1 - 2023-09-25
### Enhancements
- Added a new post publish panel for quick sharing. [#33231]
- AI Assistant: Modify language reminder for toolbar options. [#33211]
- AI Assistant: Start using backend to generate the prompts. [#33018]
- AI Assistant: Update block description. [#33218]
- AI Chat: Fix feedback section styles and include svg for icons. [#33187]
- AI Chat: Show guideline message. [#33180]
- AI Extension: Show AI Form extension with connection nudge for disconnected users. [#33186]
- Blogroll: Add blog appender site searching. [#33060]
- Blogroll: Fix blogroll block typography editor styling. [#33209]
- Blogroll: Update blogroll appender height, max lines of text, and container scrolling. [#33245]
- Blogroll: Update CSS styling to allow blogroll block color styling customizations. [#33214]
- Blogroll Block: Add the ability to subscribe to recommended blogs. [#33199]
- Paywall Block: Update description. [#33274]
- Sidebar: Rename the "Inbox" menu to "My Mailboxes" for domain-only sites. [#33239]
- Update Blogroll appender accessibility. [#33269]

### Improved compatibility
- Improve color handling for the newsletter categories. [#33206]

### Bug fixes
- AI Chat: Remove extra request in $search->is_active() and only load initial state in editor. [#33195]
- AI Extension: Revert PR causing stream rendering issue on Firefox. [#33223]
- Dashboard: Avoid errors when dashboard is accessed by WordPress users with a custom non-admin role. [#33263]
- Fix menu focus state without My Jetpack. [#33251]
- Fix subscribe block button not showing on newline. [#33260]
- Hide launchpad modal on first post for bloggers. [#33098]
- Skip video file addition to upload queue if it fails the space/allowance check. [#33212]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Adds legacy contact and locked mode options for 100-year plan. [#33081]
- Adjust styling in AI chat button. [#33213]
- Site Settings Endpoint: Allow for updating and retrieving of the wpcom_newsletter_categories site option via the endpoint. [#33234]
- Subscriptions Block: Do not append newsletter category exclusions to subscribe url when none categories were checked. [#33181]

## 12.6.2 - 2023-09-27
### Bug fixes
- Fix erroneous path check in Jetpack_Gutenberg class [#33318]
- Fix warning about Dashboard being unset in WooCommerce analytics class [#33343]

## 12.6.1 - 2023-09-21
### Bug Fixes
- WooCommerce Analytics: fix a fatal error that can occur with WooCommerce enabled.

## [12.6] - 2023-09-19
### Enhancements
- AI Assistant: add prompts for correct feature configuration. [#33064]
- AI Assistant: proof-of-concept for expandable messages on the backend using form generation prompt. [#32679]
- AI Assistant: proof-of-concept for server-side prompts, starting with form generation prompts. [#32495]
- AI Excerpt: add the Accept button. [#32889]
- AI Excerpt: add the Discard button to the panel. [#32890]
- AI Excerpt: ensure to save the post before asking a suggestion. [#32891]
- AI Excerpt: show upgrade banner when site achieves requests limit. [#32895]
- AI Extension: add create-with-voice beta extension. [#32742]
- AI Extension: enhance blocks parsing flickering with child blocks. [#32635]
- AI Extension: introduce Create with voice jetpack block - initial implementation. [#32750]
- AI Extension: use new AIControl component from AI package and remove local implementation. [#32682]
- AI-chat Block: add ability to chat with the site. [#32741]
- Business Hours Block: refactor block registration to avoid duplication. [#32698]
- Classic Editor Markdown: add support for double-tilde strikethrough, e.g. `~~strikethrough~~`. [#33057]
- Connection UI: use Redux state to pass the "from" property. [#32600]
- Content Lens: connect excerpt panel with AI Assistant. [#32846]
- Create with voice: connect block with useMediaRecording() hook. [#32769]
- Create with voice: introduce Done button. [#32792]
- Create with voice: set block properties by using useBlockProps() custom hook. [#32782]
- Create with voice: show audio duration when recording audio. [#32827]
- Featured Blogs: add item block. [#32746]
- Gravatar profile widget: add srcset. [#32662]
- Jetpack Assistant: add placeholder UX for the prompt input. [#33080]
- Jetpack Social: display the Social editor panel with an invitation to activate the feature when it is disabled. [#33149]
- Launchpad save modal: persist the user option when they opt to hide the modal. [#32567]
- Newsletters: add support for newsletter categories. [#32666]
- Newsletters: improve flows around access and paywall. [#32615]
- Paywall Block: add toolbar options. [#32659]
- Paywall Block: disable Paid subscribers button if plans are not set up. [#32663]
- Paywall Block: improve excerpts handling. [#32809]
- Paywall Block: improved settings panel. [#32801]
- Paywall Block: improved toolbar. [#32765]
- Paywall Block: redesign visuals for the mobile editor. [#32672]
- Paywall Block: release to WP.com and Jetpack. [#32625]
- Paywall: better content for when waiting for email validation. [#32800]
- Related Posts: make the block available even when the feature has not been activated yet. [#32930]
- Security: Blocks: avoid saving invalid block attributes that may appear to other editors on the site. [#33184]
- Sidebar: rename the "Inbox" menu to "My Mailboxes". [#32992]
- Site Editor: point the Site Editor's `<` link to the theme showcase when previewing a theme. [#32913]
- Social: add the change setting for the auto conversion feature. [#32712]
- Social: add the new auto-conversion toggle. [#32597]
- Subscribe modal: bump modal Z-index up. [#32621]
- Subscription Block: add newsletter categories to the content view. [#32756]
- Subscriptions Block: render in emails. [#32409]
- Subscriptions: add edit link for subscribe modal. [#32722]
- Subscriptions: add number formatting for subscriber count in newsletter module. [#32646]
- Subscriptions: remove newsletter flow+theme and FSE theme check for the subscribe modal. Leave WP.com check. [#32607]
- Tiled gallery module: add srcset to images. [#32598]
- WordPress.com Toolbar: add site monitoring menu and remove site logs. [#32458]

### Improved compatibility
- Carousel: add new hook allowing third-parties to customize the metadata displayed within the Carousel modal. [#32749]
- General: Jetpack now requires WordPress version 6.2. [#32762]
- General: remove WP 6.1 backwards compatibility checks. [#32772]
- Lazy Images: discourage enabling of Lazy loading images as now 90% of browser support the feature natively and this version in Jetpack can conflict with the upcoming WordPress interactivity API. [#33030]
- Shortcodes: exclude images with broken URL from galleries. [#32556]
- Subscriptions: change the text color of selected newsletter categories to be more easily readable. [#33104]
- Theme fields: only add is_block_theme to theme response when WordPress version is < 6.3 [#31660]
- WC Analytics: ensure correct values are tracked for cart/checkout block/template tracking when using WC Blocks cart and checkout templates. [#32715]

### Bug fixes
- AI Chat: fix block styles not loading. [#33090]
- AI Chat: fix styles not loading in the editor. [#33120]
- AI Extension: remove HTML fragments from AI-generated forms on site editor. [#32798]
- Admin Menu: display Newsletter settings submenu item for Jetpack connected sites. [#33065]
- Blocks: fix block icons for display on wp.org. [#32754]
- Blocks: use custom Facebook and Instagram icons in Jetpack's Facebook and Instagram blocks to avoid issues in accessibility inspector. [#32705]
- Comments: remove mention of Twitter as a log in option since it is no longer available. [#32717]
- Comments: remove the Twitter service as a login provider. [#30273]
- Cookie Consent Block: fix block positioning in the editor. [#32622]
- Donation Block: fix issue with Danish Krone. [#33072]
- Featured images fallback: fix undefined variable warnings. [#33179]
- Fixed a Global Styles UI performance issue in the Site Editor. [#32641]
- Launchpad modal: reduce API calls for modal dismiss flag. [#32751]
- Load the Jetpack block assets in the iframe directly in WP-Admin and keep the existing behavior on the front-end, for compatibility reasons. [#32706]
- My Plans: allow two year plans to show on the page. [#32904]
- Nav Unification: flips order of tags and categories submenu of posts. [#32619]
- Newsletters: allow Newsletter plans in the Premium Content and Recurring Payment blocks again. [#32850]
- Paywall block: avoid undefined variable warning. [#32578]
- Paywall block: fix autosave before redirecting the user. [#33033]
- Paywall block: fix default plan being selected in payment block. [#32640]
- Remove use of `Jetpack_Membership::get_connected_account_id()`. [#32620]
- Subscription Block: fix blog appearance. [#33144]
- Subscriptions: add subscribe modal mobile padding. [#32725]
- Subscriptions: email subscribers now receive full posts. [#32647]
- Subscriptions: hide modal if paywall block exists. [#32757]
- Subscriptions: hide modal if post is subscribers-only. [#32867]
- Subscriptions: tweak subscribe modal text/spacing. [#32724]
- VideoPress Block: Check if VideoPress module is active in order to register the VideoPress video block. [#32680]
- Widgets: fix an issue that caused the notice displayed when updating widgets to overlap the admin menu. [#32921]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin: load the Jetpack block assets in the iframe directly to the WordPress.com reader instead of opening a popout menu. [#32763]
- AI Assistant: add error handling when request is too long. [#33157]
- AI Assistant: add language reminder to action prompts. [#32814]
- AI Assistant: change conditions to show AI guidelines on input. [#33084]
- AI Assistant: register ai-assistant-backend-prompts beta extension. [#33017]
- AI Assistant: remove upgrade button when user is not administrator. [#33015]
- AI Assistant: use backend prompts for the "Generate feedback" feature. [#33052]
- AI Chat: Basic error handling and minor refactor into components. [#32989]
- AI Chat: add customizable placeholder text. [#33087]
- AI Chat: add prompt override for the chat-with-a-blog feature. [#32994]
- AI Chat: introduce WPCOM compatibility for AI-Chat. [#32972]
- AI Excerpt: add AI Settings toggle button to control. [#32970]
- AI Excerpt: add a fallback for ToggleGroupControl components. [#33115]
- AI Excerpt: add language and tone to AI setting toggle control. [#33111]
- AI Excerpt: connect UI with data layer. [#32875]
- AI Excerpt: disable Generate button on completed requests. [#32924]
- AI Excerpt: do not disable Generate button when there is a request error. [#32927]
- AI Excerpt: pick and pass raw post content to the server side. [#32939]
- AI Excerpt: re-enable AI Excerpt panel. [#32993]
- AI Excerpt: re-enable generate button when options change. [#32943]
- AI Excerpt: remove core Excerpt panel when registering the AI Excerpt one. [#32997]
- AI Excerpt: show a notice when request fails. [#32917]
- AI Excerpt: show the number of words in an excerpt. [#32881]
- AI Excerpt: stop and reset suggestions request once the panel gets hidden. [#33008]
- AI Excerpt: the extension isn't properly supported by P2 sites. Disable for now. [#32977]
- AI Extension: avoid empty form state after AI request. [#33183]
- AI Extension: extend only Jetpack Form blocks with AI Data. [#33026]
- AI Extension: import libraries from @wordpress/element package. [#33005]
- AI Extension: only show input automatically for empty forms. [#32986]
- Add META_NAME_FOR_POST_TIER_ID_SETTINGS const for later developments. [#32677]
- Add tracking to my account page in WooCommerce [#33145]
- Add wpcom_newsletter_categories_enabled site option. [#32569]
- Added a test for the WooCommerce HPOS option that is now synced. [#32530]
- Added to-test.md entries for 12.6. [#32987]
- Adding test for default whitelist option. [#32632]
- Adjust styling and UX of changing the block label. Stop triggering the search from Gutenberg. [#33178]
- Akismet: updated spelling of the Akismet product. [#32908]
- Akismet: utilize the Jetpack Admin UI package for handling the Akismet menu. [#32911]
- Blogroll: WIP block. [#32967]
- Blogroll: added a beta block under construction. [#32848]
- Blogroll: fix block icon. [#33076]
- Blogroll: rename Author Recommendations to Blogroll. [#32624]
- Calypsoify module: remove styles that conflict with WordPress.com. [#32919]
- Connected Account: update membership product type comment. [#32678]
- Content Lens: add the "ai-content-lens" beta extension. [#32847]
- Content Lens: pass post content when requesting post excerpt. [#32920]
- Content Lens: replace core post excerpt with AI Post Excerpt. [#32845]
- Dashboard: update the way we fetch the current theme's stylesheet to build site editor link. [#32744]
- Enable block registration by specifying block.json path. [#32697]
- Featured images fallback: add srcset. [#32824]
- Masterbar: removes submenu items of Reader link in the masterbar. This makes the Reader link
- Other: fix a potential bug. [#32768]
- Other: fix copy. [#32813]
- Other: fix link. [#32887]
- Other: link styles and scripts to block.json automatically. [#32720]
- Other: minor copy change. [#32797]
- Other: move block registration when plugin activated. [#33050]
- Other: move the feature of changing backlink into mu-wpcom. [#33024]
- Other: refactor experimental blocks registration. [#33073]
- Other: register beta blocks by specifying path to block.json. [#32815]
- Other: resolves an undefined key error on sites with uploaded media without file extensions. [#32961]
- Other: restore some Requests library v1 back-compat code, apparently WordPress.com Simple skipped that part of their update to WP 6.2. [#32894]
- Other: updated package dependencies. [#32605], [#32803], [#32804], [#32966], [#33001], [#33043]
- Payment Button Block: remove "Mark this payment plan as a donation" toggle. [#32529]
- Paywall: add login link. [#32849]
- Paywall: add tracks to emails. [#32713]
- Paywall: magic link to all users. [#32941]
- Paywall: register block for native mobile editor behind the dev flag. [#32553]
- Paywall: remove fill properties from block SVG icon. [#32638]
- SAL: prevent a potential undefined function error. [#32962]
- Site endpoint: added is_commercial to site options. [#32595]
- Social: fix video previews for Social Previews. [#33132]
- Stats: add sticker tests to override `is_commercial`. [#32758]
- Stats: utilize the modern Admin_UI package so the Jetpack submenu can be alpha-sorted. [#32958]
- Subscriptions: cleans up the memberships class to make it more DRY. [#32571]
- Subscriptions: nicer subscribers number. [#32651]
- Track store admin actions in WooCommerce analytics. Add a store_admin property to all WooCommerce analytics events. [#32692]
- WooCommerce: only allow administrators the ability to modify products. [#32699]

## [12.5] - 2023-08-23
### Enhancements
- AI Assistant: various backend improvements.
- AI Extension: various improvements AI Assistant, update styles, and bug fixes.
- AI Extension: launch Jetpack AI support for Form blocks.
- Dashboard: add Social Image Generator options to Jetpack Social settings. [#32475]
- Mailchimp block: allow transforming to subscribe block. [#32482]
- Paywall Block: add a notice explaining what the Paywall block does in relationship to newsletters. [#32320]
- Paywall Block: improve paywall rendering on emails. [#32340]
- Paywall block: various improvements to UX and styles.
- Social: update social connection toggles to be button switches. [#32305]
- Subscribe Modal: make subscribe modal editable. [#32522]

### Improved compatibility
- Blocks: add block.json metadata.

### Bug fixes
- Blocks: ensure the Markdown and Repeat Visitor blocks use clear contrasting colors when using a dark theme. [#32464]
- Publicize: prevent metadata updates for published posts [#32301]
- Shortcode embeds: avoid errors when a request to Flickr fails. [#32531]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add Woocommerce product post type to sitemaps if WooCommerce is present [#32570]
- AI Assistant: Specify input background color [#32527]
- AI Assistant: Update example copyright [#32491]
- AI Extension: Add extension toolbar click event [#32489]
- AI Extension: be able to show AI Assistant from children Jetpack Form blocks [#32540]
- AI Extension: Change event parameter name [#32493]
- AI Extension: check missing blocks when parsing Jetpack Form blocks in the AI generation process [#32576]
- AI Extension: clean the AI Assistant bar input once the suggestion is done [#32547]
- AI Extension: consolidate Block Toolbar button style [#32584]
- AI Extension: do not extend Jetpack Form when it's inside of a query loop [#32555]
- AI Extension: do not send request when AI assistant input is empty [#32590]
- AI Extension: fix bug when focusing on the input element when component mount [#32575]
- AI Extension: handle Jetpack Form button instances when composing via AI assistant [#32581]
- AI Extension: Move extension to production. [#32403]
- AI Extension: Start sending ai-assistant as the default feature name for the AI Assistant on the completion request [#32592]
- Blocks: add "Beta" suffix to Beta blocks' descriptions in block.json file. [#32536]
- Cookie Consent Block: avoid PHP notice [#32488]
- Created V2 edit and delete endpoints for memberships products. [#32412]
- Remove jetpack option jetpack-memberships-connected-account-id. [#32125]
- Subscribe modal: don't use template parts [#32480]
- Settings menu in WP.com: add newsletter and podcasting sections. [#32146]
- Subscribe modal: update toggle copy. [#32512]
- Supports Jetpack AI Yearly offering. [#32130]
- Update icons of Jetpack blocks. [#32568]
- Use the new method to render Connection initial state. [#32499]

## 12.5-a.11 - 2023-08-15
### Enhancements
- Subscriptions: add a Subscribers menu to the Jetpack dashboard navigation. [#31718]

### Improved compatibility
- Infinite Scroll: avoid PHP notices when using the latest version of WordPress, 6.3. [#32454]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Remove unused blocks from block index [#32426]
- Copy block.json files in Jetpack extensions build [#32431]

## 12.5-a.9 - 2023-08-14
### Enhancements
- AI Assistant: various stylistic and back-end enhancements to the Jetpack AI Assistant.
- AI Assistant: tweaks assistant bar in narrow spaces [#32416]
- AI Extension: allow AI response generation to be stopped. [#32382]
- Dashboard: make My Jetpack the default WP-Admin page for Jetpack. [#32385]
- Newsletter: move Newsletter settings to their own section. [#32302]
- Subscriptions: a membership product can be created without a prior connected account [#31749]

### Bug fixes
- AI Extension: fix visual issue of AI toolbar when editor sidebar is opened [#32395]
- Subscriptions: adds more accurate check for when to show the subscribe modal [#32356]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Extension: check the AI quota exceeded from the AI context [#32430]
- AI Extension: clean up unusable remnant code [#32402]
- AI Extension: consolidate assistant bar implementation [#32425]
- AI Extension: fcus on input after suggestions [#32400]
- AI Extension: improve show/hide assistant bar when fixed [#32414]
- AI Extension: move from popover to portal [#32419]
- AI Extension: move isFixed logic to AI Assistant bar component [#32444]
- AI Extension: move out of popover in large screens [#32376]
- AI Extension: remove unneeded AI component styles [#32396]
- AI Extension: set role and aria-label for the assistant bar [#32457]
- AI Extension: tweak styles in AI Assistant Anchor [#32421]
- AI Extension: tweak the AI assistant message text styles [#32434]
- AI Extension: update proofread with the AI Status Indicator component [#32397]
- AI Form Extension: remove error notice on new request [#32405]
- API: add backup undo feature [#32442]
- Dashboard: update link to Subscribers to always point to WordPress.com. [#32393]
- Internet Defense League Widget: remove campaign management and load images locally. [#32196]
- Make the AI Assistant input to receive focus on first render for forms variations [#32447]
- Remove extensions/blocks/contact-form directory, it is now handled by packages/forms [#32440]
- Update testing instructions [#32460]

## 12.5-a.7 - 2023-08-09
### Enhancements
- AI Extension: fix AI Assistant bar position in the Top toolbar mode. [#32374]
- AI Extension: update view of AI assistant bar on mobile. [#32377]
- SSO: enable "Match by Email" by default. [#32370]

## 12.5-a.5 - 2023-08-09
### Enhancements
- AI Assistant: change tracked event to English instead of translated value and track language and tone change [#32291]
- AI Assistant: fix grammar and typos on Proofread feature [#32321]
- AI Extension: fix visual issue in Assistant bar when switching viewport size. [#32344] [#32330]
- AI Extension: Introduce AI Assistant bar. [#32359]
- Paywall block: add transforms for "more" and "nextpage" core blocks. [#32338]

### Bug fixes
- Add subscribe button on premium content block on self-hosted [#32318]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Blocks: avoid hardcoding the version number when creating a new block via the CLI command [#32110]
- AI Control: clean up props [#32360]
- AI Extension: add UpgradePrompt if upgrade is required. [#32326]
- AI Plugin: Add upgrade path. [#32327]
- Move out of api.js [#32273]
- Updated package dependencies. [#32307]

## 12.5-a.3 - 2023-08-07
### Enhancements
- Added SIG modal ui [#31665]
- Add Inspector Panel with Newsletter visibility options to Paywall Block [#32263]
- AI Assistant: Add requirement for one button in forms [#32234]
- AI Assistant: Auto open AI control in form assistant [#32271]
- AI Assistant: Fix form popover after changing viewport [#32247]
- AI Assistant: Fix incomplete HTML tags and allow columns on forms [#32276]
- AI Assistant: Render response from the AI [#32209]
- AI Extension: Connect AI Control component on popover placement. [#32210]
- AI Extension: Connect AI Data context with components [#32197]
- AI Extension: handle AI assistant component in mobile [#32242]
- AI Extension: Improve undo action behavior by controlling the way received valid blocks are rendered. [#32277]
- AI Extension: increase the page height when AI Assistant bar is visible [#32252]
- AI Extension: relocate the Assistant component for the Jetpack From block [#32194]
- AI Extension: select Form when selecting child block [#32212]
- AI Extension: Send custom feature name for requesting form completions so they can be handled differently on the backend. [#32303]
- AI Extension: show AiStatusIndicator into the assistant bar [#32272]
- AI Extension: show a Notice when AI needs to provide feedback [#32222]
- AI Extension: stop suggestion when form block is deleted [#32241]
- AI Extension: Update placeholder copyright [#32300]
- AI Extension: use assistant to edit Jetpack Format content [#32217]
- AI Plugin: Add track for get feedback feature [#32319]
- Better Paywall Block styles [#32308]
- Fix small regression on Newsletter panels [#32270]
- Jetpack editor extensions: use shared component for the logo. [#32257]
- Make 'My Jetpack' the first sub-menu item, above 'Dashboard'. [#32240]
- Memberships: Ensure endpoint handles source param [#32071]
- Newsletters: update the appearance of "subscribers only" and "paid subscribers only" content wall [#31880]
- paywall dynamic copy [#32201]
- Subscription modal: adjust modal template markup and styles for easier modification and mobile friendliness. [#32230]

### Bug fixes
- AI Extension: Stop handling popover close event to prevent the AI Control from hiding when it loses focus. [#32246]
- Social: Fix race condition in mobile app's post request [#32287]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- minor copy change [#32261]
- Refactored subscriber count data to come from store instead of props. [#32095]

## 12.5-a.1 - 2023-08-01
### Enhancements
- AI Assistant: various backend improvements.
- AI Assistant: disable feedback button if post is empty [#32122]
- Block editor: add Google Photo integration to Gutenberg's Media Sidebar for Jetpack connected sites. [#32047]
- Dashboard: update the SEO hide page control from a checkbox to a toggle. [#32059]
- Donation block: display the default Stripe currency in the Donation block and add a "check" icon next to the selected currency in the currency dropdown [#31795]
- Dashboard: update the likes and sharing button controls in the Jetpack sidebar from checkboxes to toggles. [#32060]
- Paywall block: update the block styles. [#32101]

### Bug fixes
- Dashboard: do not allow toggling the Subscriptions feature on or off when not connected to Jetpack. [#32179]
- Donation block: fix issue where an invalid amount entered would persist when switching tabs in the block editor. [#32098]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Remove feature flag for subscriptions newsletter. [#32045]
- Add track events to monitor which media sources get inserted through the Media Inserter [#32103]
- Add Paywall block scaffold [#32093]
- Add paywall logic to newsletters [#32119]
- AI Assistant: do not pass postId to suggestions hook. It isn't required. [#32104]
- AI Assistant: Register ai-assistant-form-support beta flag to control the form extension we are working on. [#32162]
- AI Assistant: remove unused code from AI Extension [#32035]
- AI Assistant: import Icons from AI Client pkg [#32173]
- AI Assistant: show/hide assistant container for Jetpack Form block [#32189]
- AI Assistant: use AI Client suggestion hook. Clean the internal hook. [#32077]
- AI Extension: introduce UI Handler context for the Jetpack Form AI Assistant feature [#32186]
- AI Extension: start to extend Jetpack From block [#32181]
- AI Assistant: Add custom form prompt [#32165]
- AI Assistant: Add function calling feature [#32161]
- Jetpack AI: Add support for different limits of free requests and different upgrade prompts. [#32096]
- Paywall block: limit to post level, add icon [#32137]
- Performance settings: update position in wpcom menu [#32149]
- Related posts block: add srcset to thumbnails [#32026]
- Social: add upsell links in the sharing section of the Jetpack plugin. [#32032]
- Subcribe modal: add conditions for display. [#32043]
- Subscriptions: Remove subscribe modal feature flag. [#32002]
- The media inserter Google Photos service is now aware of the connection status of the service [#32058]
- Update SEO tools textarea in editor plugin container to be 100% wide [#32056]
- We hide the search input for the Google Photos Sidebar Media integration since it is not searchable [#32108]
- WooCommerce Analytics events: Introduce 'jetpack_woocommerce_analytics_event_props' filter [#32052]

## [12.4] - 2023-08-01
### Enhancements
- Added Pexels integrations to the Media Sidebar of the block editor. [#31914]
- AI Assistant: improved the upgrade prompt logic when requesting suggestions. [#31949]
- AI Assistant: introduce sidebar and proofread components. [#32001]
- AI Assistant: release the Get Feedback feature. [#32041]
- AI Assistant: update upgrade prompt message with new wording and formatting. [#32014]
- Dashboard: highlight Jetpack Newsletter in recommendations flow. [#31940]
- Dashboard: update link to configure Related Posts when you use a Block theme on your site. [#31847]
- Newsletter: Only display the "NL access" column if we have published one paid-newsletter. [#31960]

### Improved compatibility
- General: indicate full compatibility with the latest version of WordPress, 6.3. [#31910]

### Bug fixes
- Fix issue with Paid-content block on self-hosted env by enabling sub-blocks [#32180]
- Payments Block: update link to support documentation. [#31986]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added a "to test" draft for Jetpack 12.4. [#32048]
- Added things to the to-test file to amend for the latest release. [#32054]
- AI Assistant: Connect logic with get feedback sidebar. [#32018]
- AI Assistant: import and use askQuestion() from AI Client pkg. [#31964]
- AI Assistant: import and use SuggestionsEventSource() from AI Client package. [#31944]
- AI Assistant: use AI Client package to get jwt token. [#31924]
- AI Extension: remove multiple-blocks-edition obsolete implementation. [#32023]
- Blaze: add missing Advertising menu in Calypso, for self-hosted sites. [#32109]
- Comments: add filter allowing customizing the heading tag used in comment reply title. [#31930]
- Dashboard: only display Earn section in search results when appropriate. [#31937]
- Fix some `require` paths to not uselessly call `plugin_basename()`. [#31997]
- Fix typo [#31977]
- Sites API: add was_migration_trial flag to data returned for site details. [#31907]
- Transferred 'get_calypso_env()' method from Jetpack class to the Status package. [#31906]
- Updated package dependencies. [#31923] [#32040]
- Update props passed to JetpackFooter [#31627]
- Whitelist jetpack_memberships_site_subscriber post meta to allow for syncing to WordPress.com [#31956]
- Widget Visibility: add new filter to allow third-parties to add Widget Visibility support to their own blocks. [#31928]

## 12.4-a.7 - 2023-07-18
### Bug fixes
- Sharing: fix icon font display following the addition of the Threads icon. [#31932]

## 12.4-a.5 - 2023-07-17
### Enhancements
- AI Assistant: various improvements to syntax parsing, formatting, and other backend enhancements.
- AI Extension: transform block to AI Assistant when using an AI Extension suggestion. [#31603]
- Akismet: show correct logo for all Jetpack plans that include Akismet. [#31826]
- Dashboard: add a new "Earn" section to the settings. [#31696]
- Newsletters: add frontend subscriber modal. [#31393]
- Social Menu & Social Media Icons: add support for the Threads service. [#31873]
- Stats: show stats products in My Plan. [#31732]
- Subscriptions: link to new Subscription management page from the Jetpack dashboard. [#31720]

### Improved compatibility
- Customizer: make the testimonial, featured content, portfolio, and related post customizer sections be shown only if current theme is not a block theme. [#31730] [#31779] [#31754] [#31755]
- Social Links: prevent social links foom being used in block themes. [#31838]
- WordPress.com REST API: avoid PHP notice when using PHP 8.2. [#31909]

### Bug fixes
- AI Assistant: fix crash when transforming to AI Assistant. [#31813]
- API: fix PHP warning in list posts endpoint. [#31837]
- Contact Form: avoid fatal errors when exporting form data to CSV. [#31858]
- Forms: fix Forms dropdown required validation. [#31894]
- Related Posts: do not display related posts in emails and outside of WordPress context. [#31861]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Follow-up fix for Automattic/jetpack/pull/31861. [#31871]
- Updated package dependencies. [#31769]
- Top posts widget: add srcset to thumbnails. [#31869]
- AI Assistant: add Gutenberg syntax parsing. [#31766]
- AI Assistant: display upgrade prompt for Simple and Atomic sites. [#31643]
- AI Assistant: do not pre-populate inner blocks if Gutenberg syntax is not enabled. [#31822]
- AI Assistant: extend blocks when upgrade is required. [#31814]
- AI Assistant: extend list block and enhance content parsing. [#31901]
- AI Assistant: fix transform issue when content has formatted text. [#31790]
- AI Assistant: update AI Assistant request to be POST based. [#31128]
- AI Assistant: introduce `ghostwriter` into AI Assistant block prompt. [#31806]
- AI Extension: fix transform issue when Ask AI Assistant option. [#31842]
- Sync: add cache check when trying to spawn dedicated sync or update JETPACK\_\_VERSION to avoid additional requests to the DB. [#31645]

## 12.4-a.3 - 2023-07-10
### Enhancements
- AI Assistant: add dev playground panel [#31762]
- AI Assistant: Add GPT4 endpoint parameter [#31763]
- AI Assistant: Enable custom prompt if provided [#31764]
- Akismet: use Akismet logo instead of Jetpack logo in masthead [#31464]

### Improved compatibility
- Sharing: deprecate the Skype sharing button, as Skype ddoes not support those buttons anymore. [#31636]

### Bug fixes
- AI Assistant: Only append flag if no error [#31767]
- Fixed users menu item pointing to wp-admin on Atomic sites. [#31699]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: Add playground flag in initial state [#31757]

## 12.4-a.1 - 2023-07-05
### Enhancements
- AI Assistant: Keep original content when trying again after transforming a paragraph using the "Ask AI Assistant" button. [#31597]
- Contact Forms: remove the default title ("You got a new response!") added to emails sent for new feedback received. [#31667]
- Cookie Consent Block: Persist markup and ensure it is rendered in the footer. [#31511]
- Custom CSS: Display a notice to recommend the use of Global Styles when you use a Block theme on your site. [#31413]
- Subscribers page: Add subscribers page to menu. [#31567]

### Improved compatibility
- Tiled Galleries: Fix deprecation notices that may appear in logs when using PHP 8.2. [#31640]

### Bug fixes
- Dashboard: Fix Jetpack footer accessibility issues. [#31417]
- Search: when using a block theme, display a link to add a Search Block instead of a Search Widget in the Jetpack dashboard. [#31614]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add wpcom_site_setup property to /sites/{siteId} endpoint [#31664]
- Dashboard: update wording for Custom CSS section when using a Block theme. [#31634]
- Sync wpcom_site_setup site option [#31662]
- Updated package dependencies. [#31659] [#31661]
- WordPress.com Toolbar: only add Blaze Dashboard link once. [#31617]

## [12.3] - 2023-07-05
### Enhancements
- AI Assistant: extend AI features to select core blocks.
- AI Extension: add ask assistant menu option. [#31568]
- Blocks: add a new Tock block. [#31303]
- Newsletters: add an Email Preview feature. [#31021]
- Sharing Buttons: add a Nextdoor sharing button. [#31537]

### Improved compatibility
- Blocks: introduce standardized messaging system to display notices when a block is no longer supported on a site. [#31463]
- Blocks: remove retired Revue Block. [#31463]

### Bug fixes
- AI Assistant: close event stream of completions when the block gets deleted. [#31447]
- AI Assistant: fix empty content on P2. [#31561]
- AI Extension: extend the block when the edit post store is undefined (P2). [#31563]
- AI Extension: use ID on error notices to prevent stacking multiple notices. [#31584]
- Customizer: fix an issue which was preventing the Customize menu from appearing for plugins that still require it to be present. [#31452]
- Newsletters: properly gate newsletters based on the correct subscription product. [#31450]
- Sharing Buttons: remove Reddit's official iframe sharing button, it is no longer working. Use icon+text sharing button instead. [#31666]
- Social Review Prompt: fix the state so it is shown when Jetpack is also active. [#31456]
- Subscriptions: avoid fatal error when site is connected to WordPress.com, but user account is not. [#31635]
- Subscriptions: fix visibility misalignment. [#31544]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI Assistant: add a specific delimiter for content in the prompts. [#31515]
- AI Assistant: add transform from core to AI Assistant block. [#31442]
- AI Assistant: change delimiter and remove it from responses. [#31518]
- AI Assistant: disable toolbar tooltip when streaming suggestion. [#31581]
- AI Assistant: remove page content from prompt. [#31465]
- AI Assistant: replace imported store constants with strings. [#31585]
- AI Extension: disable the AI toolbar button when the block doesn't have content. [#31559]
- AI Extension: dispatch action to update extended block attributes. [#31437]
- AI Extension: do not extend block sidebar. [#31476]
- AI Extension: do not extend core blocks when the user decided to hide the AI Assistant block. [#31557]
- AI Extension: extend core list item core block. [#31496]
- AI Extension: handle errors from extended blocks actions. [#31497]
- AI Extension: handle multiple blocks editing. [#31491]
- AI Extension: improve block transform process. [#31481]
- AI Extension: improve block transform process for Heading core block type. [#31571]
- AI Extension: improve prompt when using the AI Assistant in extended blocks. [#31449]
- AI Extension: iterate over prompt to try to keep the lang of the content. [#31482]
- AI Extension: iterate over spelling and grammar prompt item. [#31509]
- AI Extension: move feature from beta to production. [#31574]
- AI Extension: populate the prompt with previous messages. [#31470]
- AI Extension: reorganize prompt items for the AI extension. [#31514]
- AI Extension: tweak the tone prompt. [#31466]
- AI Extension: winking toolbar color when requesting. [#31474]
- Blaze: introduce module, instead of automatically initializing the feature. [#31479]
- Connection: update visual used in banner. [#31440]
- Dependency update. [#31394]
- General: added a new callable to a list of default callables. [#31333]
- Newsletters: add tests for newsletter loop. [#31483]
- Newsletters: add tracks to email preview feature. [#31566]
- Tock Block: avoid PHP warning when restaurant name isn't set. [#31577]
- Updated package dependencies.
- Upudate to-test.md for 12.3 [#31586]
- Zendesk Chat Widget: add authentication to the widget. [#31339]

## 12.3-a.7 - 2023-06-19
### Enhancements
- AI Assistant: add and use ImproveToolbarDropdownMenu in block toolbar. [#31346]
- AI Assistant: add Expand option into AI Assistant dropdown menu. [#31363]
- AI Assistant: add Summarize option to the AI Assistant dropdown menu. [#31364]
- AI Assistant: add tone into AI Assistant dropdown menu. [#31359]
- AI Assistant: add translate option in extensions. [#31384]
- AI Assistant: build prompt from AI Assistant toolbar menu. [#31366]
- AI Assistant: collect, store and send prompt history. [#31416]
- AI Assistant: create function to build the post data prompt. [#31403]
- AI Assistant: extend blocks toolbar. [#31354]
- AI Assistant: extract and use block content utils. [#31409]
- AI Assistant: introduce function to create the initial system prompt. [#31398]
- AI Assistant: introduce jetpack/ai supports. [#30908]
- AI Assistant: iterate over custom hook to request suggestions. [#31389]
- AI Assistant: register ai-assistant-support beta extension. [#31335]
- AI Assistant: separate prompt text from relevant content for extensions. [#31401]
- AI Assistant: do not extend if the AI Assistant block is not registered. [#31350]
- AI Assistant: fix generating prompt when requesting suggestion. [#31387]
- AI Assistant: update block content once AI response is ready. [#31378]
- Customizer: hide the customizer submenu for block based themes. [#31353, #31376]
- Newsletters: silence creation of the default membership product in a newsletter context. [#30940]
- Newsletters: update Paid newsletter panel designs. [#31224]
- Related Posts: add srcset for the thumbnails. [#31432]
- Social Logos: update to include a Nextdoor and a Fediverse logo. [#31404]
- Subscribers: add menu item to Calypso interface. [#31170]
- Tock Block: update the block settings interface. [#31355]

### Improved compatibility
- Tiled Galleries: avoid PHP deprecation notices on sites using PHP 8.2. [#31296]
- WordPress.com Toolbar: avoid PHP warnings with PHP 8.2. [#31438]

### Bug fixes
- Newsletters: remove Newsletter column on products post type. [#31374]
- Tock Block: fix the embed rendering on WordPress.com sites. [#31385]
- WPcom: fix output of static script path on WordPress.com sites. [#31402]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Plans: switch to using the Plans package to detect feature support. [#31213]

## 12.3-a.5 - 2023-06-12
### Enhancements
- AI Assistant: add keyboard shortcuts. [#31264]
- AI Assistant: change icon on AI disclaimer message. [#31320]
- AI Assistant: move caret to end of generated content when accepting. [#31286]
- AI Assistant: show message when content generated. [#31271]
- AI Assistant: tidy some block components. [#31222]
- AI Assistant: tweak content generated message. [#31298]
- AI Assistant: remove shortcuts labels from block area. [#31278]
- Backup: add video section to Backup connect page. [#31260]
- Blocks: add new Tock block to beta blocks. [#31303]
- Blocks: load block stylesheets inline when possible for improved performance. [#31214]

### Improved compatibility
- PHP8 compatibility updates. [#31240, #31242, #31243, #31250]

### Bug fixes
- AI Assistant: block query requests when upgrade required. [#31282]
- AI Assistant: check if the block is in the block editor context before enabling accept title action. [#31255]
- AI Assistant: fix translation feature. [#31300]
- AI Assistant: request completion JWT token as the user, not the blog. [#31262]
- AI Assistant: show Jetpack AI product in the plan products list. [#31291]
- Connection: fix redirecting users who click back button before approving connection to Jetpack Dashboard. [#31212]
- Dashboard: display an external icon next to the link to the Subscribers list. [#31159]
- Memberships: correctly gate posts rendered on pages. [#31254]
- Memberships: fix an issue where Jetpack_Memberships::user_can_view_post would cache the wrong value. [#31249]
- Markdown Block: render single and double quotes as smart quotes. [#31187]
- Newsletters: do not display Newsletter plans in the Premium Content and Recurring Payment blocks. [#31200]
- Newsletters: make the subscribers reach sentence future-tense for scheduled posts. [#31215]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Blocks: update documentation. [#31206]
- Jetpack: jsdoc improvements in reducer file. [#31290]

## 12.3-a.3 - 2023-06-08
### Bug fixes
- Memberships: fix potential class not found error. [#31268]

## 12.3-a.1 - 2023-06-06
### Enhancements
- AI Assistant: improve the process of getting post content. [#31211]
- AI Assistant: replace tone button icon for clarity. [#31152]
- Stats: display the links to a post's stats in the Posts list as soon as the user has access to stats. [#31025]

### Bug fixes
- Newsletters: verify the access level should be gated before checking subscriptions. [#30807]
- Newsletters: show paid subscriber reach numbers in the past tense when the post has been already been published. [#30883]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added comments to the LaunchpadSaveModal code for future reference. [#31149]
- Remove Anchor.fm extension. [#31117]
- RNA: update connection module to have an RNA option that updates the design [#31201]
- Updated package dependencies.
- WPcom: add send email preview endpoint. [#31028]

## 12.2.1 - 2023-06-14
### Bug fixes
- Newsletters: fix sidebar panel in WordPress 6.1. [#31386]
- Newsletters: show paid Newsletter subscriber reach numbers in the past tense when the post has already been published. [#30883]

## [12.2] - 2023-06-06
### Major Enhancements
- New AI Assistant block: harness AI power directly from your editor.
- Donations, Paid Content and Payment Buttons blocks are now available with all Jetpack plans. A commission is charged for free plans.
- Social: automatically share your new posts to Mastodon.

### Enhancements
- Author Recommendations: Connected block with backend and added `remove_user_blogs` option. [#30639]
- Blocks: Rename "Premium Content" block to "Paid Content" block. [#30775]
- Contact Form: Improve spam filtering. [#30755]
- Dashboard: Add Jetpack Boost module. [#30877]
- Forms: Improve styling of response emails. [#30088]
- Forms: Introduce Multiple Choice and Single Choice style variations. [#30319]
- Forms: Update pattern modal default view to Grid. [#28906]
- Image CDN: Replace Photon implementation with the image-cdn package. [#30050]
- Maps: Add Mapkit maps. [#29098]
- Modules list: Update to current styles. Visual refresh, if you will. [#30282]
- My Plan: Display the correct plan for Jetpack Security and Backup 2-year plans. [#31013]
- My Plan: Hide the "My Plan" on My Plan page if user has a paid product and a free plan. [#30804]
- My Plan: Properly display plans with no expiration date. [#30519]
- Newsletters: Add misconfiguration warning functionality and improve design. [#30446]
- Newsletters: Add newsletter access level to the post edit page. [#30172]
- Newsletters: Add Post Publish Panel. [#30668]
- Newsletters: Enable on self-hosted environments. [#30952]
- Newsletters: Refactor and update Paid Newsletter user experience. [#30446]
- Publicize: Changed the way we skip a post from being publicized. [#30479]
- Reading Settings: Add a toggle for showing post views in the WordPress.com Reader. [#30800]
- Recommendations: Change CTA on backup recommendation card to inform about first year discount. [#30895]
- Related Posts: Add "Display author" toggle to block. [#30750]
- Related Posts: Add per-block header support. [#30897]
- Related Posts: Reorganize sidebar into layout and metadata. [#31024]
- Related Posts: Update labels for consistency with core. [#30425]
- Social: Add a notice to let users know Instagram is available. [#30777]
- Social: Use `connection_id` as the uninque identifier of the editor elements on the sidebar. [#30492]
- Social Previews: Add Instagram preview. [#30929]
- Social Previews: Add Mastodon post preview. [#30919]
- Starter: Add post-purchase flow to recommendations. [#30680]
- Subscriptions: Make free subscribers confirm email before viewing content. [#31054]
- Theme Tools: Remove jQuery dependency from responsive-videos script. [#30420]
- WordPress.com: Adds a 'Staging' badge to the wp-admin nav menu when the site is a WordPress.com staging site. [#30296]

### Improved compatibility
- ActivityPub: Allow disabling Jetpack's Image CDN in requests made for the ActivityPub plugin. [#30298]
- Bit.ly: Avoid errors when using non-official Bit.ly plugins alongside Jetpack. [#30415]
- Earn: Add "Read me" links to Stripe connection banners in blocks. [#31099]
- Filters: `jetpack_set_available_blocks` and `jetpack_set_available_plugins`, deprecated since Jetpack 7.0, have been removed. [#30875]
- Full-Site Editing: Use modern `wp_is_block_theme` instead of `gutenberg_is_fse_theme`. [#30806]
- General: PHP 8 compatibility updates.
- Internationalization: Add necessary context to the word "Trash" in the Contact Form interface. [#30507]
- Security: Ensure blocks are always fully displayed on your site, even when using a caching plugin. [#30413]
- Sharing / Likes / Related Posts: Do not display them in JSON requests available when using the ActivityPub plugin. [#29452]
- Social: Flag unsupported connections in the editor UI. [#30280]
- WooCommerce: Avoid fatal errors when other plugins make changes to WooCommerce Products or Orders. [#30712]

### Bug fixes
- API: Add a `WP_User` check in `get_author` method. [#30902]
- API: Fix race condition bug in the Plugin update endpoint. [#30770]
- API: Use default values in settings API, when set. [#31123]
- At-a-Glance: Fix styling for Stats banner. [#30403]
- Carousel: Stop auto-scrolling to top when advancing slides. [#30964]
- Dashboard: Use the correct file path for all images in the "My Plan" screen. [#30685]
- Donations Block: Ensure the tab colors are correct in all themes. [#30864]
- Donations Block: Fix crash on currency change. [#30530]
- Donations Block: Make the "Connect" link the primary color. [#30320]
- Forms: Fix Forms hash generation. [#30764]
- Identity Crisis: Fix Jetpack Dashboard for broken connection. [#31183]
- Maps: Fix zoom being reset when changing map marker color. [#30482]
- Newsletters: Return early when possible to prevent spamming the database. [#30355]
- Related Posts: Fix context for use in block editor. [#30682]
- Security: WordPress.com REST API: Ensure that files uploaded via the API are properly validated. [#31072]
- SEO Tools: Suggest a specific SEO description maximum length. [#30890]
- Settings: Add loading indicator when fetching rewind state. [#30702]
- Settings: Fixed the site preview in SEO settings. [#30973]
- Social: Add username to publicize connection test results. [#30987]
- Subscriptions: Change the "Add payments" text to "Set up a paid plan". [#30671]
- Subscriptions: Fix display of number of paid subscribers. [#31141]
- Subscriptions: Do not remove bulk-editing checkboxes from the posts list. [#30747]
- Users: Display "Super Admin" badge in edit user form. [#30496]
- VideoPress: Add tracks to attributes definition. [#30743]
- WAF: Fix IP allow list updates. [#30487]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add initial scaffold for new blogroll block. [#30363]
- Add Offline Mode flag into Site Health debugging info. [#30570]
- Add some documention to `getPaidPlanLink()` [#31027]
- Admin dashboard: Fix typo in file path. [#30401]
- Block Editor: Add current connected user's email address to the data available in the editor. [#30990]
- Blocks: Remove unused files. [#30462]
- Call `Speed_Score` identifying where the request was made from, using the new `$client` argument in the `Speed_Score` class [#31012]
- Delete implementation of `is_wpcom_staging_site()` as we are moving it to trait. [#30418]
- Fixed Social Previews modal styling. [#29803]
- Fixes a bug on WP.com Simple, which is not fully updated to 6.2 yet. [#30485]
- Forms: Use implementation from automattic/jetpack-forms package by default. [#28791]
- Image CDN: Remove unused method used to update images in Open Graph Meta tags. [#30338]
- Optimize `Jetpack_Gutenberg` initialization. [#30875]
- QR Code panel: Remove Jetpack logo. [#30139]
- Story Block: Remove custom spinner styles. [#30494]
- Tweet shortcode: Remove the special treatment for WordPress.com sites. This removes the need for Twitter API access when using this shortcode. [#30291]
- Updated icons from social-link block from @wordpress/block-library. [#29803]
- Updated package dependencies.
- Updating readme for features and new wordings. [#30845]
- Various updates around Twitter functionality changes [#30272]
- wpcom/v3/blogging-prompts endpoint: Add param to force prompt dates to be a specific year [#30255]
- Zendesk chat widget: Remove conditional rendering from component due to it being handled by an api endpoint now. [#29942]

## [12.1] - 2023-05-02
### Enhancements
- Dashboard: added Jetpack Starter bundle post-activation screen and plan header. [#30368]
- Dashboard: add link to renew expired subscription. [#30357]
- Dashboard: Remove a confusing "Click to view" link from the stats call to action screen. [#30343]
- Jetpack Visual Refresh: "At A Glance" Dashboard adjustments. [#30324]

### Improved compatibility
- Security: ensure blocks are always fully displayed on your site, even when using a caching plugin.

### Bug fixes
- Dashboard: fix a link on the stats chart. [#30341]
- Dashboard: improve contrast for the Stats chart tooltip. [#30321]
- Jetpack Social: Render Social Image Generator panel even when its default one is disabled. [#30358]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Connection banner: support existing filter to disable dismisasals. [#30334]
- Dashboard: fix CSS styles for visual refresh project. [#30293]
- Dashboard: hide Akismet 'learn more' link for Atomic sites. [#30326]
- Dashboard: link user to Calypso for atomic sites. [#30322]
- Dashboard: update styles in At A Glance cards. [#30336]
- Minor changes on the Jetpack debugger page content. [#30360]
- Minor CSS updates for visual refresh project. [#30359]

## 12.1-beta - 2023-04-25
### Enhancements
- Block editor: collapse Jetpack feature panels by default. [#30140]
- Dashboard: align Protect information display with Akismet. [#30222]
- Dashboard: improve the general appearance. [#30166]
- Dashboard: redesign the At a Glance page. [#30166]
- Dashboard: visually refresh the Debug page. [#30166]
- Markdown Block: add support for footnotes. [#30149]
- Publicize: improve page metadata by using attached media for the OpenGraph image. [#30162]
- Stats Widget: improve appearance of footer buttons. [#30173]
- Stats Widget: make frame sections balanced with long titles. [#30106]
- Stats Widget: make the new version of the widget available to general audience. [#30174]
- Subscriptions: add counts in the newsletter panel to show the newsletter reach. [#29230]

### Improved compatibility
- General: remove WordPress 6.0 backwards-compatibility code, now that Jetpack requires WordPress 6.1. [#30126]

### Bug fixes
- 3rd-party plugin support code: improve loading performance. [#30060]
- Payment Block: update the visibility setting of inner blocks on click to ensure that the inner block renders. [#30095]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add is_block_theme field to the wp/v2/themes endpoint to indicate it the theme is a block-based theme. [#30144]
- Changelog editorial. [#30133]
- Connection: update the full-screen connection banner to the new design. [#29566]
- Fix firefox not detecting the collapsed state of the sidebar properly. [#30240]
- Make sure the hook receives an array before attempting any process. [#30192]
- Remove rewriting the Site Editor to Calypso's iframed `/site-editor/SITE_SLUG` route. [#30072]
- SEO: update panel name in block editor. [#30138]
- Shows convert to audio CTA based on the value of a filter that defaults to the current sunsetting date. [#30239]

## 12.1-a.7 - 2023-04-17
### Enhancements
- Dashboard: update the links to the Mobile apps to allow opening links in the appropriate app store right away. [#30063]
- Forms: Update Forms child blocks to allow any transformation between the blocks. [#29978]

### Improved compatibility
- General: Jetpack now requires WordPress version 6.1. [#30120]

### Bug fixes
- Button Block: ensure no borders are added by default browser styles. [#24646]
- Forms: Fix Forms styles when inside Cover blocks. [#30075]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- AI: added an experimental AI chat block. [#30077]
- Blocks: update block cli structure to only use strings in descriptions. [#30079]
- Dashboard: header and navigation visual refresh. [#29980]
- In `Jetpack::configure()`, only check `is_connection_ready()` once. [#30068]
- Jetpack_debugger_enqueue_site_health_scripts(): Only load full-sync Module on site-health.php. [#30070]
- Move i18n of module tags closer to the output. [#30067]
- My Jetpack: add missing TOS in Jetpack interstitial. [#29683]
- Only shows convert to audio cta after publishing a post in blogs that are connected to Anchor.fm. [#30084]
- Site Settings API: Fixed updating `subscription_options` for non-standard cases. [#30026]
- Switches `is_wpcom_staging_site()` to our custom function instead of a blog sticker. [#30093]
- Update Jetpack code to use WPCOM trait for handling production-staging relation. [#29981]

## 12.1-a.5 - 2023-04-10
### Enhancements
- Search: implemented a "tabbed" variation for static filters, adding tabs on top of the results for each filter group. [#29811]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Adds Odyssey Widget behind odyssey_widget=1 for WP Dashboard [#29929]

## 12.1-a.3 - 2023-04-05
### Bug fixes
- Assets: avoid fatal errors with plugins that use outdated Jetpack package versions. [#29947]

## 12.1-a.1 - 2023-04-04
### Enhancements
- Dashboard: use the latest version of the Jetpack logo. [#29418]
- Newsletters: display the correct locked content text for newsletters when Stripe is disconnected. [#29880]
- Newsletters: display the correct locked content text for paid newsletters. [#29860]

### Bug fixes
- Dashboard: improve upgrade description for users with Akismet already installed and active. [#29827]
- Newsletters: properly gate the feature based on the configuration of the site. [#29860]
- Cookie Consent Block: return fresh HTML when the user revists after accepting cookies. [#29831]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin Page: simplify Akismet logic to fix display issue. [#29866]
- Akismet: use product interstitial for upgrades [#29598]
- Fix an issue where Subscribe block on homepage would return as paid if the first blog post was a paid blog (because it is looping) [#29860]
- Fix fatal error with Token_Subscription_Service [#29885]
- Stats: remove deprecated Stats functions. [#29780]
- Updated package dependencies. [#29565, #29854, #29856, #29857]

## [12.0] - 2023-04-04
### Enhancements
- Forms: display carriage returns in user response text to properly display multiline text. [#29698]
- Protect: remove account connection requirement to use the brute force protection feature. [#28401]
- Protect: share IP allow list between the Jetpack Firewall and Brute Force Protection modules. [#28401]
- Stats: update visuals for the wp-admin dashboard Stats widget. [#29600]
- Subscriptions: make the Subscribe Block available, even when the Subscriptions module is off, so Subscriptions can be easily enabled. [#29044]

### Improved compatibility
- Blocks: avoid conflicts with Better Click To Tweet plugin. [#29681]
- Image CDN: do not process Flickr-hosted images with Jetpack's Image CDN. [#29649]
- SEO Tools: add message to settings screen when The SEO Framework plugin is active. [#29728]
- WordPress 6.2 compatibility: ensure that the block editor's External Media functionality and Jetpack's Twitter features in the block editor stays compatible with the upcoming version of WordPress. [#29542]

### Bug fixes
- Dashboard: avoid errors in the Recommendations dashboard. [#29798]
- Forms: fix a PHP warning on Feedback->Response Forms when looking at old responses. [#29699]
- Stats Widget: Fix incorrect invocation of module-restricted functions [#29783]
- Subscriptions: ensure the block's settings are displayed properly, even when using a block theme. [#29631]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add Golden Ticket plan support for the My Plan page. [#29673]
- Amended the to-test.md file for non-a11n testers. [#29814]
- Blaze: add can_blaze property to application API for enhanced admin user exprience. [#29614]
- Editor: add a promotional banner into a pre-publication block. [#29641]
- Forms: add a check for array on $attributes before trying to set an item on it. [#29557]
- Forms: add all source post IDs on forms/responses endpoint. [#29428]
- Forms: add search input and styles. [#29397]
- Forms: change "message sent" tracking from Tracks to bump stat. [#29383]
- Forms: change default entries per page on responses inbox. [#29406]
- Forms: json_encode form responses instead of using print_r. [#29664]
- Forms: use Contact_Form_Plugin::init instead of requiring the old module file. [#29648]
- General: do not load the Yoast banner. [#29725]
- General: remove a deprecated Core function in favor of direct WP Query. [#29460]
- Launchpad: update modal content for newsletter flow. [#29484]
- Masterbar: remove Upgrades and Inbox menus for staging sites [#29355]
- Protect: move the brute force protection logic into the WAF package. [#28401]
- Protect: move the brute force protection transient cleanup and shared functions to dedicated namespaced classes. [#28401]
- Protect: update documentation for filter. [#29731]
- Redirect: refactor redirect URL to use a dynamic path variable. [#29422]
- SEO: add Yoast promo in SEO settings banner. [#29643]
- Social: add a toggle to enable image generator and choose a default template. [#29722]
- Social: enable Social Image Generator by default when it is available. [#29742]
- Stats: change Calypso Stats to Odyssey Stats. [#29679]
- Stats: consolidate stats widget code and improve form submission handling. [#29524]
- Updated composer.lock. [#29762]
- Updated the changelog and readme.txt [#29784]
- VideoPress: enable the video frame poster extension for all site plans. [#29692]
- VideoPress: register the v6-video-frame-poster beta extension. [#29678]
- WordPress.com Toolbar: gate Site Logs menu item behind constant [#29606]

## 12.0-a.7 - 2023-03-20
### Enhancements
- Blocks: the cookie consent block is now available to general audience. [#29462]
- Blocks: the VideoPress block is now available to general audience. [#29459]
- Blocks: the writing prompts block is now available to general audience. [#29433]
- Notifications: remove all library dependencies for improved performance and lower footprint. [#29510]
- Paid newsletter block: improve logic for showing the UI based on site configuration. [#29262]

### Improved compatibility
- Blocks: ensure the Pinterest block does not trigger errors when using WordPress 6.2. [#29505]
- Connection: improve the connection flow that happens after plugin activation. [#29526]

### Bug fixes
- Blocks: avoid warnings in the block editor because of invalid categories for some blocks. [#29513]
- Blocks: fix the VideoPress preload behavior when "none" is chosen. [#29563]
- Forms: avoid PHP notices when using a form with a dropdown field. [#29512]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Adds the `is_wpcom_staging_site` attribute in a few more contexts. [#29453]
- Blocks: update deprecated block editor selector. [#29420]
- Blocks: update deprecated component prop. [#29463]
- Firewall: add updateWafSettings method. [#29299]
- Jetpack Forms: add tracking of Google Sheets exports. [#29225]
- Paid newsletters: add the launchpad source to memberships status endpoint. [#29468]
- Send individual plugin upgrade buttons to My Jetpack insterstitial [#29138]
- Sites API: add was_ecommerce_trial flag to data returned for site details. [#29423]
- Small change to unreleased block. [#29501]
- Stats Widget: minor cleanup of Akismet section. [#29347]
- Updated package dependencies. [#29471]

## 12.0-a.5 - 2023-03-15
### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Changelog edits. [#29445]
- Updated package dependencies.

## 12.0-a.3 - 2023-03-13
### Enhancements
- Newsletter: improve UI around newsletter visibility and add a help link in the post editor sidebar. [#29042]
- Forms: redesign the Multiple Choice and Single Choice fields [#29290]

### Improved compatibility
- General: indicate full compatibility with the latest version of WordPress, 6.2. [#29341]

### Bug fixes
- Blogging Prompts: avoid PHP notices with non-existing REST query paarameters. [#29393]
- Subscribe Block: don't show "Include social followers in count" when "Show subscribers count" is off, or Publicize is disabled. [#28944]
- Slideshow Block: make slideshow block's play and pause icons visible. [#29330]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Stats: Add image to upgrade nudge in new stats view [#29273]
- Dashboard: post-purchase recommendations for customizing search now points to the search customizer instead of Jetpack Cloud [#29375]
- Add additonal valid parameter to membership status endpoint for paid newsletters [#29351]
- AI block: Use chatGPT API endpoint [#29332]
- Added tracking of Jetpack Forms exports to CSV files. [#29102]
- Adding better error handling to Writing Prompt block [#29348]
- Better handling for loading state and empty results [#29387]
- Fix writing prompt post meta not saving when post immediately published [#29349]
- Move action bar components out of inbox [#29360]
- Move BulkActionsMenu component inside Inbox, too tailored to be reused [#29386]
- Readme fixup. [#29364]
- Updated package dependencies. [#29434]
- Writing Prompt block: prevent multiple requests when fetching prompt or tags [#29373]

## 12.0-a.1 - 2023-03-08
### Enhancements
- Admin: fix submenu positioning in admin menu. [#28355]
- Blocks (beta): add a new beta Cookie Consent block to display a GDPR-compliant cookie consent widget on your site for your visitors. [#29197]
- SSO: add message to logout notice when SSO is enabled that gives a heads up to also log out of WordPress.com if they are on a shared computer. [#29235]
- Stats: updates the layout of the loading and some sections on the Stats page. [#29221]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Allow getting posts by ids in GET /posts response using include array [#29149]
- Blocks: register VideoPress video block based on the filtered extensions [#29207]
- Forms: move search into state, fix double fetch on search and paging [#29336]
- Forms: add form responses app and state into package [#29007]
- Pre-escape the ampersand in the default content of the cookie consent block [#29251]
- Adds basic ui to beta blogging-prompt block [#29189]
- Jetpack Forms: Added week/monthly props to sent message tracking [#28999]
- media summary: write to memo when no images found [#29326]
- Paid newsletters access panel would disappear on posts that have been previously published. This fixes the issue. [#29247]
- Removes unused conversation and dialogue blocks that never left beta [#29210]
- Sharing: remove unused variable [#29275]
- Shortcodes: removed jQuery dependency from Crowdsignal shortcodes [#29307]
- Temp disable Gutenberg subscribe block test until #29113 is fixed [#29280]
- Updated package dependencies. [#29216]
- VideoPress: pick and convert core/video VideoPress instances also from inner blocks [#29339]
- Writing prompts: marks prompt as answered when using a writing prompt block [#29214]

## 11.9.1 - 2023-03-14
### Bug fixes
- Forms: fix fatal error on sites using old AMP versions [#29444]
- Forms: fix issue with exported form data column and fields being incorrect [#29448]
- Sharing: ensure the sharing icons can appear when using a CDN to serve static assets on your site. [#29441]

## [11.9] - 2023-03-07
### Enhancements
- Assistant: add new card to highlight VaultPress Backup. [#28741]
- Form block: add form field style synchronization for input fields. [#28988]
- Related Posts: add support for font family in Related Posts block. [#29097]
- Sharing: add Mastodon sharing button. [#28694]
- Stats: show new Jetpack Stats dashboard design by default.

### Improved compatibility
- Sharing: add spacebar as an option to open the "More" button overlay. [#29232]
- VideoPress: add support for the `preload` or `preloadcontent` attribute to the VideoPress shortcode. [#28865]

### Bug fixes
- Connection: revise Jetpack connection agreement text to comply with our User Agreement. [#28403]
- Custom CSS: ensure the link to enable Custom CSS works in all languages. [#29202]
- Sharing: fix broken Tumblr button inside "More" button overlay. [#29231]
- Sharing: fix a JS error and adjust margin on Pinterest official button. [#29279]
- Form block: increase form fields padding based on user-defined border-radius. [#28820]
- Form block: improve multiple choice field styles for the Twenty Twenty theme. [#29325]
- Form block: move field width settings, and remove placeholder field from multiple and single choice fields. [#29292]
- Form block: remove body font normalization in contact-form module and package. [#29166]
- Form block: set defaults for Jetpack Forms CSS variables. [#29236]
- Form block: update form-styles script to run in the context of the Form block. [#29178]
- Presentation shortcode: always add presentation container. [#29073]
- Recommendations: avoid applying coupon codes from the Assistant on products with trial prices. [#29139]
- Sharing buttons: fix display issues when choosing the icon-only option. [#29090]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin Page: update link in Jetpack App card to include external link icon. [#29048]
- Admin Page: use external icons for external links in support card. [#29050]
- API: add wpcom/v2/form-responses endpoint, mapped from .com [#29043]
- API: fix a bug in list user endpoint when include_viewers is true. [#29068]
- Blocks: update scaffolding. [#29201]
- Social: add groundwork for Social Image Generator. [#28737]
- Social: show Jetpack Social Advanced products under My Plan. [#29276]
- Stats: moved new stats toggle logic to stats-admin. [#29064]
- Tests: adapted the Sync test to WordPress Core changes in post deletion mechanics. [#29154]
- Updated package dependencies. [#29117]
- VideoPress: log event when converting video block to the new VideoPress video block. [#29071]
- VideoPress: tidy registering VideoPress video block. [#29084]
- Widget Visibility: switch to shared Analytics implementation. [#29181]
- WPcom: add `is_wpcom_staging_site`, `wpcom_production_blog_id`, and `wpcom_staging_blog_ids` attributes to the site object. [#29192]
- WPcom: add wpcom/v3/blogging-prompts endpoint to support the upcoming writing prompts block. [#29182]
- WPcom: consolidate selector logic in the launchpad save modal. [#29134]
- WPcom: make sure the email field in the subscribe block is required. [#28995]
- WPcom: prevent launchpad modal from rendering on top of the first post published modal. [#28989]

## 11.9-a.5 - 2023-02-20
### Enhancements
- Import: add new `automattic/jetpack-import` package. [#28824]
- Jetpack: improve design of MediaButton component. [#29027]
- Sharing: update look and feel of sharing buttons when in "official" mode. [#28961]

### Improved compatibility
- Stats: adjust margin for WordPress.com stats link in Jetpack dashboard. [#28976]
- VideoPress: extend media button for VideoPress video block. [#29032]
- VideoPress: restore v5/v6 transform for all platforms. [#28986]

### Bug fixes
- Form block: update form-styles script to prevent blurred forms on slow loading pages. [#28973]
- Story block: remove dependency on wp-components from the frontend code. [#28743]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- General: use external link icons for external links. [#28922]
- Remove `ci.targets` from package.json. Better scoping of e2e tests. [#28913]
- Writing Prompts (beta): adds initial scaffolding for block. [#29013]
- WPcom: adjust paid-newsletters UI, add regression tests. [#28690, #28966]
- WPcom: adjust prompt for AI paragraph block. [#28565]

## 11.9-a.3 - 2023-02-15
### Enhancements
- Site editor: display location-aware snackbar in edit mode. [#28810]
- Stats: adds filter to hide stats widget based on user capability. [#28833]
- Stats: added a notice with a link to a survey when the new stats interface is disabled. [#28823]
- Subscriptions: updated submit messages text for subscriptions. [#26593]
- Social: visual update to social buttons. [#28874]

### Improved compatibility
- Social: update icon font to remove support for older browsers (IE11-). [#28849]
- Themes: ensure redesigned sharing buttons look good in default themes (Twenty Nineteen, Twenty Sixteen). [#28876]

### Bug fixes
- Forms block: add filter to prevent contact-form-styles script from being concatenated. [#28905]
- Forms block: add new method to parse the form fields, fallback to old method. [#28815]
- Forms block: prevent blur effect on AMP pages. [#28926]
- Subscriptions: fix premium content block where it would only allow access to site subscribers. [#28912]
- Subscriptions: fix subscribe-block button to behave the same as in the fronted. [#28925]
- Widgets: fix GoodReads custom widget not finding the target HTML element and appending another after its script tag. [#28946]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin: make the links under the Recommendation section more apparent. [#28950]
- Jetpack: convert v6 to v5 in case it is not registered. [#28949]
- Map block: reimplemented the frontend in vanilla JS. [#28782]
- Membership: user_can_view_post: Memoize results [#28878]
- Move dialogue and conversation editor extensions back to beta, as they were not released to wordpress.com users [#28842]
- Remove `jetpack_require_lib` and `jetpack_require_lib_dir`, which has been issuing deprecation warnings since 11.6. [#28866]
- Sharing: update Social Logos with new logos (Google, Link, Mastodon, Medium, Patreon, Tiktok, WooCommerce) [#28849]
- Stats: make the Stats dashboard widget link to Odyssey stats if enabled. [#28855]
- Stats: added new stats options to store the timestamp when Odyssey is enabled and disabled [#28794]
- Subscriptions: fix a bug where comments would be open under pages [#28894]
- Update to React 18. [#28710]

## 11.8.4 - 2023-02-15
### Bug fixes
- Blaze: prevent error on frontend-loaded Gutenberg, and bail early if Jetpack is not connected. [#28955]
- WAF: fix PHP fatal when the jetpack-waf directory has been deleted from the wp-content folder. [#28760]

## 11.9-a.1 - 2023-02-08
### Enhancements
- Contact form: add a blur effect while the form is loading the styles. [#28212]
- Form block: add two new style variations. [#28212]
- Contact form: reorder export columns in 3 groups: response meta, response field values, and response extra. [#28678]
- VideoPress: add transform control from video block to videopress/video block. [#28691]

### Improved compatibility
- Donations block: remove dependencies on lodash and @wordpress/keycodes [#28667]
- Podcast player block: remove dependency on wp-components from the frontend code [#28740]
- Slideshow block: remove dependency on Lodash [#28665]
- Subscriptions: update subscribe block description. [#28742]

### Bug fixes
- Subscriptions: fix rendering of subscriber email on WPcom. [#28761]
- Custom CSS: scope Additional CSS submenus to site with a connected owner. [#28757]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin: add New badge for Odyssey Stats toggle. [#28662]
- WPcom: AI Block display backend user error. [#28617]
- API: added a new `site_source_slug` option to help resuming on copy site feature. [#28768]
- API: Fix PHP warning [#28750]
- API: Fix PHP warning [#28806]
- Contact form: put legacy contact-form blocks registration behind a flag. [#28630]
- Forms block: add "watch" entries for both composer and package .json files. [#28704]
- Forms block: add tooling for building the Jetpack Forms Dashboard. [#28689]
- Build: Check blocks' view scripts for unexpected dependencies. [#28626]
- General: update wrong return types. [#28744]
- Masterbar: Fix PHP warning [#28799]
- Protect: update wording in error message. [#28554]
- Social Logos: update dependency [#28685]
- Subscriptions: update paywall placeholder design for Subscriptions. [#28813]
- Update composer lockfile. [#28733]
- Updated package dependencies. [#28682]
- WordPress.com REST API: fix notice. [#28745]

## [11.8] - 2023-02-07
### Enhancements
- Form block: add styling of input fields. [#27837]

### Improved compatibility
- General: migrated to new Web Fonts API from Gutenberg. [#28054]
- Revue block: add a direct link to the WordPress.com subscriber import page. [#28538]

### Bug fixes
- Backup: fix Backup submenu item not visible when the site has a VaultPress Backup plan but the VaultPress Backup plugin is not active. [#28650]
- Dashboard: do not register the VaultPress and Scan submenu items without having Backups/Scan state. [#28711]
- Slideshow: fix slideshow loading excessive dependencies on every page view. [#28562]
- Twitter Timeline shortcode: remove jQuery dependency for non-admin pages, and add it for admin pages. [#28643]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Contact Form: fix a PHP warning. [#28640]
- Dashboard: remove border around counts for anti-spam/protect. [#28746]
- JSON API: fix the response format for '/sites/$site/dropdown-pages/', the endpoint is not used in production yet. [#28586]
- Masterbar: avoid PHP fatal on WoA sites due to a bad filter return. [#28622]
- Reading settings: add 'Reading' link to the menu in Calypso for self-hosted Jetpack sites. [#28616]
- Shortcodes: fix a PHP warning. [#28644]
- Subscriptions: fix warnings from the global reading of '$post'. [#28639]
- Tools: remove Webpack config for no-longer-used `build-color-schemes-wpcom` script. [#28601]
- Widgets: make sure array is passed to 'sidebars_widgets'. [#28624]

## 11.8-a.13 - 2023-01-27
### Bug fixes
- Subscriptions: add a null check to a $post reference. [#28621]

## 11.8-a.11 - 2023-01-26
### Enhancements
- Form block: update form block variation icons. [#28428]
- WAF: various updates to the WAF package. [#27726]

### Improved compatibility
- Use `flex-start` instead of `start` for better browser compatibility. [#28530]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin Menu: route to new Reading Settings page (internal ATM - behind a feature flag). [#28430]
- Common Mappings: add a mapping for `options-reading.php` based on a `calypso_use_modernized_reading_settings` feature flag. [#28549]
- E2E tests: update encryption. [#28537]
- WPcom: add support for all Launchpad flows for the on save post editor modal. [#28555]
- WPcom: make available Jetpack AI to WPcom Simple and Atomic users. [#28552]
- WPcom: various updates for the Jetpack AI blocks (beta). [#28583, #28483, #28604, #28487]

## 11.8-a.9 - 2023-01-23
### Enhancements
- Contact Form: improve file naming when exporting form responses. [#28413]
- Contact Form: update column names when exporting Contact Form responses to CSV for clarity. [#28425]
- VideoPress: show VideoPress block availability based on site plan. [#28391]

### Improved compatibility
- Use `wp_theme_has_theme_json` instead of `WP_Theme_JSON_Resolver::theme_has_support` when available for WordPress 6.2 compat. [#28434]
- VideoPress: do not add block transform to v6 when video is not a VideoPress video. [#28477]

### Bug fixes
- Dashboard: fix the price display and description for products with intro offers for the first month. [#28424]
- Dashboard: show Boost in My Plans dashboard when added to a site. [#28336]
- Infinite Scroll: fix an AMP related bug. [#28466]
- Related Posts: fix Related Posts options saving. [#28435]
- Sharing: do not include the sharing buttons in REST API responses. [#28412]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add a new endpoint 'template-loader' to resolve the correct template by its type. [#28158]
- Blocks: sunset existing methods in favor of new `JETPACK_BLOCKS_VARIATION` constant for bundling. [#28390]
- Blocks: move away from deprecated methods in multiple blocks. [#28415]
- Carousel: verify array type to avoid PHP warnings. [#28388]
- General: cleanup PHP deprecated error notices from logs. [#28508]
- General: cleanup JavaScript eslint issues. [#28441]
- General: remove handling for an error code that no longer exists. [#28436]
- Jetpack: add dependency 'automattic/jetpack-forms'. [#28416]
- SAL: remove SAL user error writing. [#28442]
- Settings API: allow to unassign 'page_for_posts' and 'page_on_front' options. [#28379]
- Status: start using utilities from Status package to detect whether a site is private or "coming-soon" (unlaunched). [#28328]
- VideoPress: add test for generated embed code. [#28358]
- Widgets: add missing Jetpack config external for widgets visibility. [#28402]
- WPcom: add an 'include_viewer' parameter to the '/sites/$site_id/users' endpoint. [#28317]
- WPcom: add 'default_option_subscription_options' filter for Reading Settings. [#28320]
- WPcom: introduce Paid Newsletter functionality. [#28170]
- WPcom: remove placeholder writing prompt and setting. [#28387]
- WPcom: various changes for AI Image block (beta). [#28380, #28351, #28488]

## 11.8-a.7 - 2023-01-17
### Changed
- Updated package dependencies.

## 11.8-a.5 - 2023-01-16
### Improved compatibility
- Blaze: update logic for showing the Advertising menu on Jetpack sites. [#28088]
- Connection: add support for 'connection_disabled' error code. [#28334]

### Bug fixes
- VideoPress: fix the fullscreen control when using VideoPress shortcodes. [#28342]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin: make URL acceptance more liberal in admin menus. [#28301]
- Docs: mention `jetpack_blocks_variation` filter in Beta Extensions doc. [#28382]
- E2E tests: add test for Subscribe block. [#28289]
- JSON Endpoint: introduce new '/sites/%s/dropdown-pages/' endpoint. [#28132]
- Masterbar: update Blaze conditions to rely on the existing method from the package. [#28340]
- Site Settings API: expose Jetpack's related posts 'show_date' and 'show_context' options. [#28305]
- Tests: add user stories for Earn features for ease of testing. [#28283]
- Updated package dependencies.
- WPcom: add groundwork for AI Image block (beta). [#28339, #28338, #28321]

## 11.8-a.3 - 2023-01-12
### Bug fixes
- Reverts PR #27958 as it conflicts with the way WooCommerce updates submenus. [#28312]

## 11.8-a.1 - 2023-01-11
### Enhancements
- Contact form: UI improvements for the dropdown field. [#28010]
- Form block: add relevant keywords to the 'Newsletter Sign-up' block variation. [#28204]
- Widgets: add Mastodon to Social Icons Widget and Social Menu. [#28175]

### Improved compatibility
- oEmbeds: add new URL scheme for iCloud Keynote embeds. [#28067]

### Bug fixes
- Modules: allow for deactivating multiple plugins when activating a module. [#28181]
- Widgets: avoid errors with the Top Posts Widget when activating Offline mode on a site. [#28169]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add subscription_options to the site settings endpoint. [#28036]
- Blaze: remove extension from extension list. [#28174]
- Calendar library: various bug fixes. [#28274]
- General: switch to shared method for getting a WordPress.com blog ID. [#28208]
- Add groundwork for AI-powered blocks for WordPress.com customers. [#28043]
- VideoPress: do not register video chapters block. [#28206]
- Publicize: prepare for validation of videos. [#27840]
- Remove Jetpack Blocks section on At a Glance page. [#28153]
- Site Settings API: expose `page_for_posts` option. [#28096]
- Social Menu Theme Tool: allow specifying a regex instead of a simple host name for services that have logos. [#28172]
- Updated package dependencies.
- Update Playwright version. [#28094]
- WoA: disabled Odyssey Stats for Atomic sites. [#28180]

## 11.7.1 - 2023-01-16
### Bug fixes
- VideoPress: fix the fullscreen control when using VideoPress shortcodes. [#28342]

## [11.7] - 2023-01-10
### Enhancements
- Contact form: update the description on the response data export modal under CSV section, on the Feedback page. [#28214]
- Contact form: add a polling function to ensure a successful Google Drive connection, resulting in a usable 'Export' button on the Feedback page. [#28177]
- Stats: make the toggle for enabling Odyssey Stats visible for all users. [#28105]
- VideoPress: fix cover attribute on player and add muted attribute on video shortcode. [#28083]

### Bug fixes
- Form block: fix extra colon for form fields without label. [#28230]
- Dashboard: fix icon allignment on at a glance page. [#28222]
- Contact form: fix redirect for "Connect Google Drive" export modal's link on the Feedback page, leading directly to the site's marketing/connections page. [#28147]
- Contact form: use separate nonce names for export options to ensure modal buttons work as expected.[#28152]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Calendar Library: cosmetic changes and functional cleanup
- Tonesque: cosmetic changes and functional cleanup
- Updating testing instructions for 11.7 [#28098]

## 11.7-a.11 - 2022-12-29
### Bug fixes
- Premium subscriptions / paid newsletters: Reverting previously merged changes which caused fatal errors in production. [#28102]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Updating changelog entries for the Jetpack plugin [#28089]

## 11.7-a.9 - 2022-12-27
### Major Enhancements
- Blocks: add launchpad on save modal. [#27976]
- Revue block: remove functionality due to Revue shutting down, add placeholder messaging instead. [#27961]

### Enhancements
- Contact form: move responses export to a modal triggered by a single "Export" button. [#27821]
- Dashboard: use minimized CSS for the stats widget. [#27788]
- Global Styles: add new fonts for better i18n. [#27854]
- Form block: adjust Form placeholder icon and link colors for better consistency. [#28044]
- Form block: update Form child blocks icons. [#28047]
- Slideshow block: reduce bullet size and change the CSS justify-content to flex-start. [#28002]
- Slideshow block: replace pencil icon with edit text. [#28004]
- Subscription / Premium Content block: restrict posts to either paid subscribers or email subscribers (available with a Beta filter only), and add option for subscribers to pay while subscribing via the Subscription block, if the site owner creates one or more "newsletter" paid plans. [#26417]
- VideoPress: do not convert core/embed to videopress/video on-the-fly (WordPress.com sites). [#27942]

### Improved compatibility
- VideoPress: make sure the Videopress shortcode is not registered if standalone VideoPress plugin already registered it. [#27842]

### Bug fixes
- Form block: adjust Form placeholder footer links style to prevent theme clashes. [#28008]
- Internationalization: fix context for translated product name. [#28035]
- Payment block: fix the upgrade nudge for Payment blocks in the Site Editor on WordPress.com sites. [#27909]
- Premium Content block: fix bug in JWT library encode() method. [#26417]
- Shortcodes: update the Mixcloud oEmbed API Endpoint to the new version. [#28061]
- Subscription block: ensure custom button spacing is correct when the button is on its own line. [#28057]
- Writing Prompts: do not display within mobile app. [#28023]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Blaze: changing Promote Post package reference to new name: Blaze. [#28073]
- Blaze: move out of the plugin, and into a package. [#28062]
- Blaze: update the look of the Blaze button on the post-publish button. [#27960]
- Blocks: switch to using the new, shared and extracted version of Tracks. [#27940]
- Gift subscription: update wpcom_gifting_subscription default value based on plan expiration. [#27987]
- Reading Settings API: expose `show_on_front` and `page_on_front` options. [#28042]
- Scripts: support git merge strategy for changelog. [#27881]
- Updating changelog entries. [#28006]
- WAF: move WoA checks for the WAF to the WAF package. [#27939]

## 11.7-a.7 - 2022-12-19
### Enhancements
- Assistant: update Akismet and Backup names. [#27844]
- Block editor: add a new panel that gives the ability to promote posts after publishing them. [#27928]
- Dashboard: hide agencies module on Jetpack dashboard if site is WoA. [#27966]
- Dashboard: update Backup, Anti-spam, and VideoPress logos. [#27847]
- Form block: allow the required field text to be changed. [#27913]
- Form block: update the default labels logic to allow fields without any label. [#27628]
- Form block: update block placeholder styles and update form fields styles to comply with WYSIWYG. [#27855, #27967]
- Google fonts: add new fonts to Global Style options. [#27441]
- Slideshow block: implement pagination styles when a gallery has more than five images. [#27936]
- Slideshow block: update block description. [#27899]
- Writing prompts: add context to blogging prompt placeholder. [#27895]

### Improved compatibility
- Launchpad: Sync Launchpad-related options: `launchpad_screen` and `launchpad_checklist_tasks_statuses`. [#27843]
- Styling: Replaced custom maybe_inline_style() with wp_maybe_inline_styles() which is available in WP core since 5.8.0. [#27965, #27983]
- Writing prompts: hide placeholder prompts by default. [#27919]

### Bug fixes
- Dashboard: add translation context to Security product name. [#27920]
- Form block: fix email formatting for contact form submissions. [#27929]
- General: Fix deprecation warnings when running with PHP 8.2. [#27968]
- Hovercards: fix minor Hovercards & AMP compatibility bug [#27828]
- Subscription block: fix PHP Warning. [#27884]
- WAF: fix the initialization of the firewall. [#27846]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin page: avoid blank connection screen. [#28001]
- Blocks: add missing Jetpack config external, and enqueue connection data in post editor, to be used by blocks. [#27978, #27937]
- Contact form: add export to Google Drive feature on form responses table. [#27690]
- E2E tests: add a new tests for Form block. [#27933]
- Extensions: use isCurrentUserConnected from package instead of from internally shared function. [#27924]
- Options: Update featured_image_email_enabled option name to wpcom_featured_image_in_email. [#27955]
- Options: Added new site option of 'wpcom-subscription-emails-use-excerpt'. [#27908]
- PayPal block: improve stability of Pay with Paypal test. [#27951]
- Slideshow block: change the labels for Image Size and Transition Effect options. [#27898]
- Slideshow block: change the arrow's style to match the gallery current style. [#27907]
- Stats: fix stats chart in masterbar when new experience is turned on. [#27825]
- Stats Admin: update dependencies. [#27948]
- Tools: remove dead static-site-generator-webpack-plugin dep, copy a cleaned-up version into the repo. [#27889]
- Updated package dependencies. [#27874, #27887, #27916]
- Updating changelog entries. [#27886, #28000]

## 11.7-a.5 - 2022-12-19
### Enhancements
- Assistant: update Akismet and Backup names. [#27844]
- Block editor: add a new panel that gives the ability to promote posts after publishing them. [#27928]
- Dashboard: activate license key dropdown selector in the main Jetpack dashboard licenses activation page. [#27974]
- Dashboard: hide agencies module on Jetpack dashboard if site is WoA. [#27966]
- Dashboard: update Backup, Anti-spam, and VideoPress logos. [#27847]
- Form block: allow the required field text to be changed. [#27913]
- Form block: update the default labels logic to allow fields without any label. [#27628]
- Form block: update block placeholder styles and update form fields styles to comply with WYSIWYG. [#27855, #27967]
- Google fonts: add new fonts to Global Style options. [#27441]
- Slideshow block: implement pagination styles when a gallery has more than five images. [#27936]
- Slideshow block: update block description. [#27899]
- Writing prompts: add context to blogging prompt placeholder. [#27895]

### Improved compatibility
- Launchpad: Sync Launchpad-related options: `launchpad_screen` and `launchpad_checklist_tasks_statuses`. [#27843]
- Styling: Replaced custom maybe_inline_style() with wp_maybe_inline_styles() which is available in WP core since 5.8.0. [#27965, #27983]
- Writing prompts: hide placeholder prompts by default. [#27919]

### Bug fixes
- Dashboard: add translation context to Security product name. [#27920]
- Form block: fix email formatting for contact form submissions. [#27929]
- General: Fix deprecation warnings when running with PHP 8.2. [#27968]
- Hovercards: fix minor Hovercards & AMP compatibility bug [#27828]
- Subscription block: fix PHP Warning. [#27884]
- WAF: fix the initialization of the firewall. [#27846]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Blocks: add missing Jetpack config external, and enqueue connection data in post editor, to be used by blocks. [#27978, #27937]
- Contact form: add export to Google Drive feature on form responses table. [#27690]
- E2E tests: add a new tests for Form block. [#27933]
- Extensions: use isCurrentUserConnected from package instead of from internally shared function. [#27924]
- Options: Update featured_image_email_enabled option name to wpcom_featured_image_in_email. [#27955]
- Options: Added new site option of 'wpcom-subscription-emails-use-excerpt'. [#27908]
- PayPal block: improve stability of Pay with Paypal test. [#27951]
- Slideshow block: change the labels for Image Size and Transition Effect options. [#27898]
- Slideshow block: change the arrow's style to match the gallery current style. [#27907]
- Stats: fix stats chart in masterbar when new experience is turned on. [#27825]
- Stats Admin: update dependencies. [#27948]
- Tools: remove dead static-site-generator-webpack-plugin dep, copy a cleaned-up version into the repo. [#27889]
- Updated package dependencies. [#27874, #27887, #27916]
- Updating changelog entries. [#27886]

## 11.7-a.3 - 2022-12-12
### Enhancements
- Form block: update Form blocks descriptions. [#27819]
- Form block: simplify Form block sidebar to make the UI easier to use. [#27820]
- Subscriptions block: change the label "email subscribers" to "subscribers" in the pre/post publish panel, as it also includes followers. [#27879]
- Writing prompts: add filter for whether prompts are enabled or not [#27778]

### Bug fixes
- Admin Page: avoid querying for WAF settings when the feature is not active. [#27777]
- VideoPress block: fix video player issue in some VideoMaker theme patterns. [#27859]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Backport changelog and readme. [#27776]
- Google fonts: Update composer with latest version of google-fonts-provider package. [#27719]
- Stats: use config package to init stats admin. [#27565]
- Updating changelog entries. [#27774]
- VideoPress block: convert on-the-fly video block instances on WordPress.com. [#27831]
- VideoPress block: convert core/embed block, videopress variation, to VideoPress video block, on the fly. Only relevant for WordPress.com sites. [#27857]
- VideoPress block: remove video block transform to/from videopress/video for WordPress.com sites. [#27834]

## 11.7-a.1 - 2022-12-06
### Enhancements
- Form block: change form placeholder background color to prevent styling issues on colored backgrounds. [#27629]
- Form block: move contact-form/salesforce-lead-form out of beta blocks and into production. Add beta badge on settings. [#27613]
- Subscription block: add a checkbox to include/exclude social followers. [#27443]
- Writing prompts: add a writing setting to disable showing prompts when starting a new post. [#27746]

### Improved compatibility
- Site Editor: dashboard link points to wordpress.com. [#27601]

### Bug fixes
- Form block: add line breaks back to plain text email submissions. [#27723]
- Form block: fix patterns modal scrollbar behavior. [#27692]
- Form block: fix contact form view responses URL. [#27707]
- Form block: update form patterns modal filter query. [#27703]
- WAF: fix WPA click tracking in Agencies card. [#27503]
- WAF: fix Jetpack Settings WAF module plan check. [#27600]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- PHPCS: decode single-quote HTML entities in various places, and use a Unicode Replacement Character rather than empty string for invalid characters. [#27753]
- Remove references to obsolete $include_publicized_followers. [#27749]
- Search: change Search menu in Calypso menu link to Search Dashboard in WP Admin. [#27664]
- SEO: exclude posts with meta jetpack_seo_noindex set true from Jetpack news sitemap. [#27742]
- Stats: initialize the Stats Admin package. [#27604]
- Updated package dependencies. [#27340, #27688, #27696, #27698]
- WAF: update WAF package version in composer.lock [#27528]
- WordAds: fix syntax in wordards-ccpa.js causing it to be included in all merge commits. [#27667]

## [11.6] - 2022-12-06
### Enhancements
- Editor: adds an experimental editor extension that displays a placeholder blogging prompt when starting a new post. [#26680]
- Form Block: fix form placeholder background color. [#27629]
- Form Block: add a new form variation and template for a Salesforce Lead form. [#26903]
- Form Block: enable editing placeholders on form input fields. [#27514]
- Form Block: feedback export function is now integrated with the feedback table filters [#27427]
- Form Block: improve the styling and formatting of the form submission page after a form block is submitted. [#27392]
- Form Block: move the 'check for spam' buttont to below the responses table on the feedback page in WP Admin. [#27562]
- Form Block: update design for Feedback table in WP Admin. [#27368]
- Form Block: updates Form block placeholder to include pattern selection modal [#27337]
- Form Block: updates Form block to allow layout blocks [#27410]
- Form Block: updates URL validitity check [#27138]
- Pre-Publish Panel: split out the email subscribers & social followers count in the pre-publish panel. [#27436]
- SEO: add a 'noindex' checkbox for posts and pages. [#27409]
- SEO: add a per post/page HTML title option. [#27236]
- Stats: add stats option `enable_calypso_stats` to allow users to enable the new Calypso Stats experience [#27431]
- Stats: conditionally load the new Calypso Stats package [#27247]
- VideoPress: adds VideoPress feedback link to the VideoPress block. [#27450]
- VideoPress: detect if the video has a vtt chapters file [#27544]
- WordAds: add US Privacy support for additional states (Colorado, Connecticut, Utah, and Virginia). [#27045]

### Improved compatibility
- Improves compatibility with the Jetpack Protect standalone plugin. [#26069]

### Bug fixes
- Dashboard: fixes issue where default icon would be empty [#27511]
- Form block: fix form patterns modal scrollbar behavior [#27692]
- Form block: fix contact Form view responses URL [#27707]
- Form block: add line breaks back to plain text email submissions. [#27723]
- Provide a fix for WPA click tracking in Agencies card [#27503]
- SSO: fix setting toggle inconsistency. [#27481]
- Stats: stop stats loading indefinitely when a hashtag exists [#27539]
- Widget Visibility: fix error with WooCommerce Product Categories block [#27542]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Custom CSS: Removing compatibility checks and files for sites running WordPress versions < 4.7. [#27187]
- Dashboard: Fix React javascscript:void console errors. [#27052]
- Decouple the Jetpack subscription block rendering logic from Jetpack Subscription Widget shortcode [#26947]
- Init 11.6-a.6 [#27403]
- Remove CSS from main plugin file [#27594]
- Removes old save() implementation for the subscription block. Doesn't impact user experience as the block is already dynamic. [#27519]
- SEO: exclude posts with meta jetpack_seo_noindex set true from Jetpack news sitemap. [#27742]
- Stats: take off new Stats backend for security concerns [#27589]
- Sync: Add unit tests [#27606]
- Tests: Clean up wpcom-compat functions no longer needed post-de-Fusioning. [#27407]
- Updated package dependencies. [#26069]
- Update how wpcom_gifting_subscription is saved so an option value of false can be created [#27507]
- Update Form patterns modal filter query [#27703]
- Updating testing instructions [#27642]

## 11.6-a.5 - 2022-11-14
### Enhancements
- Form Block: add block alignment control for the form wrapper: center, wide and full [#27151]
- Form Block: remove connection button from the Form block toolbar [#27301]

### Improved compatibility
- Sitemaps: improve compatibility with recent Google Image Sitemap changes. [#24341]

### Bug fixes
- Dashboard: prevent scrolling to the active settings menu item on page load. [#27347]
- VideoPress: fix issue with uploading VideoPress videos in the Full Site Editor. [#27339]
- Shortcodes: fix content_width handling for various shortcodes. [#27276]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Action Bar: disable experimental feature for now until the team returns to work on it. [#27358]
- Dashboard: removing the user license activation notice. [#27329]
- Updated package dependencies. [#26930]
- Update the default value of subscription gifting option. [#27374]

## 11.6-a.3 - 2022-11-07
### Enhancements
- Form block: add support links to form type selector. [#27134]
- Form block: register Jetpack forms in the pattern inserter. [#27030]

### Improved compatibility
- Form block: update Form child blocks to show the "Manage Responses" section on the Sidebar. [#27127]
- VideoPress (beta): introduce Video Chapters beta block. [#27241]

### Bug fixes
- Customizer: make sure the menu item is shown for block themes. [#27238]
- Image Editor: fix issue where users are not able to edit/crop and restore images. [#27224]
- Related Posts Block: when 3 posts are output, increase the width closer to 100%. [#27228]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Deprecation warnings are now issued for `jetpack_require_lib()`, `jetpack_require_lib_dir()`, and the `jetpack_require_lib_dir` filter. [#27273]
- Endpoints: add a missing break statement in the site API endpoint. [#27225]
- Featured image email template toggle: add missing 'featured_image_email_enabled' option update. [#27049]
- Form block: rename child blocks names to be more meaningful. [#27131]
- JSON API: add 1.4 versions to dev in order to browse in https://developer.wordpress.com/docs/api/console/ [#27239]
- Remove include of `functions.is-mobile.php` from `class.jetpack-user-agent.php` to restore status quo. [#27217]
- Remove nonexistent site editor styles entry point. [#27263]
- Updated package dependencies.
- WPcom: sync endpoint file. [#27258]

## 11.6-a.1 - 2022-11-01
### Enhancements
- Form block: update contact-form icon [#27010]
- Form block: update Contact Form Sidebar to include Manage Responses section and split Form Settings section into more specific sections [#26970]
- Form block: update Contact Form Toolbar to include a form settings dropdown [#27105]
- Stats: update mentions of "Site Stats" to "Jetpack Stats" [#27069]

### Bug fixes
- SSO: properly disable "match by email" by default. [#27102]
- WordPress.com REST API: Fix fatal error in site ID endpoint. [#27059]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added wpcom_gifting_subscription for syncing [#27116]
- Dashboard: Fixed the Related Posts card link to the block editor support doc. [#27112]
- E2E tests: disabled update plugin e2e test [#27124]
- Gifting subscription: Add wpcom_gifting_subscription option to the site settings endpoint [#27137]
- Gifting subscription: Update wpcom_gifting_subscription option default value [#27204]
- Infinite Scroll: Bring in some JS fixes from wpcom. [#27065]
- Init cycle [#27053]
- Likes: Delete wpcom code paths. Things are just too different to de-Fusion. [#27062]
- Remove remaining calls to `jetpack_require_lib()`, mainly for non-Fusioned stuff. [#27094]
- Sync endpoint with wpcom [#27097]
- Sync sites endpoints from wpcom. [#27059]
- Updated package dependencies. [#27089]

## [11.5] - 2022-11-01
### Enhancements
- Dashboard: add connection widget for unconnected sites. [#26596]
- Dashboard: add Jetpack Search Free and Jetpack Social to My Products. [#27007, #26990]
- Form block: add Contact Form child blocks to the Block Library. [#26937]
- Form block: add default spacing attributes on all form variations. [#26916]
- Form block: change layout flex styles. [#26914]
- Form block: move Contact Form child blocks to a new category and remove some Core blocks from the child blocks list. [#26896]
- Form block: remove duplicated contact form settings from the Contact Form block's toolbar in favor of the sidebar. [#26911]
- Jetpack Social: display broken connections to user in editor. [#25803]
- Subscription block: revert the subscription block subscriber count change. [#27082]

### Bug fixes
- Form block: include spacing between Contact Form blocks to allow the block inserter to be shown on mouse hover. [#26818]
- Form block: prevent contact form from escaping valid URL characters in the redirect URL [#27141]
- Publicize Components: Fix the panel component refactor [#27095]
- Social: Ensure we have a user connection when loading the module [#27061]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add post-purchase onboardings to Recommendation flows [#26484]
- Bring media-v1-1-endpoint in sync with wpcom [#27004]
- Comment: Added featured_image_email_enabled for syncing [#27009]
- Compatibility: WordPress 6.1 compatibility [#27084]
- CSSTidy: adding margin-block as valid CSS properties [#26961]
- Fix broken `@covers` in tests, and reconfigure coverage directives to not scan ridiculous numbers of files. [#26931]
- Fix visual issues of the Product Price component in the Jetpack plugin [#27032]
- Log and readme cleanup for 11.5-beta [#27055]
- Search: updated documentation as Search now supports 38 languages [#27025]
- Search: use search dashboard CTA instead of product page which wasn't detecting if free plan is active correctly. [#27016]
- Social: Refactored the resharing UI and moved some additional components to publicize-components [#25993]
- Updated package dependencies. [#25993, #26705, #26980]
- Update `jetpack_is_mobile()` and `Jetpack_User_Agent_Info` for sync to wpcom. [#26971]

## 11.5-a.9 - 2022-10-19
### Bug fixes
- Contact Form: display consent form field result in notification emails and feedback views. [#26878]
- Contact Form: remove overlay causing issues with the block inserter hover behavior. [#26910]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add $all_values param to contact_form_to filter [#26810]
- Copy wpcom hack from D17161 [#26891]
- Featured image: Add featured_image_email_enabled option to the site settings endpoint [#26696]
- Init 11.5-a.8 [#26879]
- Remove an obsolete hack in class.wpcom-json-api-render-endpoint.php [#26893]
- Sharing: Add caching for DB queries. [#26933]
- Updated package dependencies. [#26808]
- Update jetpack_require_lib to require_once [#26804]
- WordPress.com REST API: exposed P2 design elements in API response [#26863]

## 11.5-a.7 - 2022-10-17
### Enhancements
- Dashboard: ensure Apps card is always displayed, regardless of whether promotions are active. [#26659]
- Form block: improve parent block selection when inner block is already selected. [#26687]
- Subscription block: don't include Jetpack Social connections in subscriber count. [#26751]

### Bug fixes
- Payment Buttons block: fix payment-buttons font sizes taking precedence over the font sizes of contained button blocks. [#26839]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Manually sync site settings endpoint files with their WPCOM counterparts [#26747]
- Search: changed Search CTA link to Search upsell page of the search package [#26807]
- Updated package dependencies. [#26826, #26828, #26851]

## 11.5-a.5 - 2022-10-13
### Enhancements
- VideoPress: move videopress/video transfrom from VideoPress plugin to Jetpack plugin [#26799]

### Bug fixes
- CRM: Fix unmounted state updates in Form CRM integration [#26688]
- Get Apps card: Iterate on link to jetpack.com/apps to ensure backwards compatibility and click-tracking [#26668]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- init cycle [#26754]
- Dashboard: fix dashboard backup link for Atomic sites. [#26766]
- Replace usages of stats_get_from_restapi with corresponding methods from Stats package, WPCOM_Stats [#26719]
- Updated jetpack_require_lib to require_once for Instagram class [#26802]
- Updated package dependencies. [#26545]
- Update to Typescript to reap the benefits (such as added safety and automation) [#26644]
- Updating changelog and readme [#26755]

## 11.5-a.3 - 2022-10-11
### Enhancements
- Payment Buttons block: add typography controls. [#26580]
- Social: show pre-publish panel if the site has connections enabled. [#26663]

### Improved compatibility
- Contact Form Block: removed compatibility checks involving automatic deactivation of contact form functionality. [#26714]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Bump version to 11.5-a.2 [#26646]
- Changelog [#26647]
- Fixed versions [#26750]
- Integrate Stats package in Jetpack plugin. [#26640]
- Jetpack_PostImages::get_image now returns null, not empty array, on failure to find an image. [#26670]
- Shortcodes: fix wufoo shortcode output. [#26671]
- Updated package dependencies. [#26633, #26640, #26683, #26726]
- Update js-packages/licensing dependency version. [#25973]

## 11.5-a.1 - 2022-10-05
### Enhancements
- Dashboard: add a new illustration for WooCommerce recommendation. [#26492]
- Stats: change mentions of "Site Stats" with "Jetpack Stats". [#26566]
- VideoPress: change the toolbar text for the "Edit video" button on the VideoPress block to "Replace" to match the core video block's toolbar. [#26513]
- Payment Button block: support a wider varity of layout options. [#26134]
- Publicize: make the pre-publish panel initially closed by default. [#26512]
- Subscriptions: bold the display reader numbers in subscriptions panel instead of underlined. [#26507]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- masterbar: Remove wpcom-specific references to de-Fusioned stubs. [#26447]
- Require components lib directly instead of using deprecated `jetpack_require_lib()`. [#26321]
- Revert previously added Backup UI initialization. [#26617]
- Updated package dependencies. [#26457]
- WordPress.com REST API: Adds difm_lite_site_options key to get site API response. [#26217]
- Unit Tests: add check for removing the WAF module from sites hosted on the Atomic platform. [#26452]

## [11.4] - 2022-10-04
### Enhancements
- Editor: update icon sizing in the Jetpack sidebar for consistency. [#26281]
- Recommendations: update assistant with question for agency managed sites. [#26302]

### Bug fixes
- Admin: fix JavaScript errors related to the Jetpack disconnect option on multisite networks. [#26308]
- Backup: update initialization of UI menu. [#23532]
- Payments block: make filtering patterns used for the payments intro more robust. [#26465]
- Social: prevent the package being initialized without a user connection. [#26543]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Account Connection Card: remove magic mobile link. [#26311]
- Dashboard: update display of Jetpack app offering. [#26276]
- Disconnect Dialog: fix prop types to avoid warnings from React. [#26340]
- E2E tests: use CI build artifacts in e2e tests. [#26278]
- Masterbar: always load CSS from Jetpack, not Fusioned paths, in preparation for de-Fusioning. [#26444]
- Mock update API response in sync test. [#26389]
- Register `pcast.pocketcasts.net` for oEmbed even with WordPress 6.1, they only register `pca.st`. [#26324]
- Removed connection-ui package dependency. [#26381]
- SEO: refactor editor sidebar panel to share code. [#26288]
- Site Accelerator: update image used for site accelerator recommendation. [#26335]
- Social: align Jetpack and Social to use the connection-test-results endpoint in the block editor. [#26274]
- Social: move the share limits logic to the social package. [#26294]
- Sync changes to modules/masterbar/nudges/additional-css/ from wpcom. [#26362]
- Updated package dependencies.
- WPcom: always disable WAF on WoA sites. [#26401]
- WPcom: apply Calypso 'Add new site' styles to wp-admin. [#26290]

## 11.4-a.7 - 2022-09-22
### Improved compatibility
- WC Pay: resolves issue for WooCommerce Payments that could result in a fatal for some sites on PHP 8+. [#26304]

## 11.3.2 - 2022-09-22
### Improved compatibility
- WC Pay: resolves issue for WooCommerce Payments that could result in a fatal for some sites on PHP 8+. [#26304]

## 11.4-a.5 - 2022-09-20
### Enhancements
- Payment Blocks: add core typography settings to the buttons. [#26108]
- VideoPress Block (beta): various enhancements and fixes for styling, vtt files, and block settings. [#26266, #26182, #26201, #26269, #26286, #26270, #26264, #26225, #26260, #26238, #26209, #26285, #26283]

### Bug fixes
- Fonts: set the `Automattic\Jetpack\Fonts\Introspectors\Global_Styles::enqueue_global_styles_fonts` callback priority in the `init` hook to 22 to prevent it from causing style issues with sites that have Gutenberg > 13.5 activated. [#26193]
- Jetpack: fix a typo when selecting the VideoPress attachment info description field. [#26233]
- Subscriptions: add clearer messaging for past-published posts. [#26085]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Connection: extract Restore Connection functionality into the JS package. [#26034]
- E2E tests: removed deprecated Slack notification code. [#26215]
- General: show Jetpack icon in the post publish audio panel. [#26257]
- Publicize: add `is-healthy` endpoint to post field. [#26216]
- Updated package dependencies.
- WAF: add loading of the WAF from Jetpack to avoid use of actions.php [#24730]
- WPcom: add context-sensitive menu items to sidebar for domain-only sites. [#26102]
- WPcom: prevent upgrade nudge of paid blocks from being visible on the block list view. [#26237]

## 11.4-a.3 - 2022-09-13
### Enhancements
- VideoPress block (beta): register the video-chapters beta feature with basic controls. [#26177]

### Improved compatibility
- Jetpack: update styling for Jetpack logo shown in pre-publish panels for Jetpack and Jetpack Social plugins. [#26101, #26162]
- Pay with PayPal block: the `postLinkUrl` attribute now uses the immutable post GUID to ensure correct editor state. [#26063]
- Subscriptions: do not load Subscriptions block while using Jetpack Offline Mode. [#26179]
- VideoPress: move jetpack_videopress_guid REST custom field to VideoPress package. [#26140]

### Bug fixes
- Widgets: add source check for broken image. [#26110]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- SEO Tools: fix a couple of unique key prop warnings. [#26082]
- QR Post: update post-publish panel to show Jetpack logo. [#26163]
- Tests: fix factory method calls. [#26109]
- Updated package dependencies.
- WordPress.com REST API: expose user interactions attribute within sites API response. [#26130]

## 11.4-a.1 - 2022-09-08
### Enhancements
- Blocks: add "BETA" labels for beta extensions used in the block editor context. [#25852, #25938]
- Jetpack: brand Jetpack features in publishing flows. [#26044, #26064]
- Payment Buttons: add support for vertical dimensions controls. [#26058]
- QR Post: remove redundant buttons from the opened modal. [#25929]
- VideoPress Block (beta): allow editing of some block settings while uploading. [#24556]

### Bug fixes
- Post Images: avoid PHP notices when fetching images from posts with missing metadata. [#25829]
- Donations Block: avoid race condition when updating currency. [#26061]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added E2E tests for the Jetpack WAF. [#25643]
- Fix an undefined array key access in `WPCOM_JSON_API_List_Post_Formats_Endpoint`. [#25991]
- Jetpack: add Social Previews components to separate package. [#25931]
- Jetpack: implement a temporary solution to register VideoPress block v6 in dotcom. [#25902]
- Jetpack: remove VideoPress v6 block from Jetpack plugin. [#25873]
- Publicize Connections Post Field: fix tests. [#26084]
- Related Posts: append original user agent to API requests. [#25946]
- Remove usage of jetpack_require_lib() for class-jetpack-mapbox-helper. [#25958]
- Updated package dependencies.
- VideoPress: migrate pluging features to separate package. [#25877]
- VideoPress: moved jetpack_videopress_guid REST custom field to VideoPress package. [#26043]
- WordPress.com toolbar: allow enabling an "Advertising" menu item via a new filter. [#25874]

## 11.3.1 - 2022-09-08
### Improved compatibility
- Notifications: improve third-party cookie check to work with modsecurity rules. [#26122]

## [11.3] - 2022-09-06
### Enhancements
- General: enable the Post List package in Jetpack to display extra information alongside each post in wp-admin dashboard Posts screen. [#25301]

### Improved compatibility
- Jetpack: register VideoPress Video block from Jetpack plugin. [#25429]
- Publicize: replace Publicize with Jetpack Social. [#25787]
- VideoPress: rely on videopress package for XMLRPC initialization. [#25863]

### Bug fixes
- Carousel: ensure carousel still opens when clicking on a gallery image that has a figcaption with a link inside. [#26032]
- Subscriptions Block: fix input and submit button coupling for Safari when split style is selected. [#25805]
- Subscriptions Block: remove inline styles from subscription notification. [#25793]
- Tiled Gallery: ensure the link to the original image URL is used when linking to media files. [#25655]
- VideoPress: fix a js error when closing a non-VideoPress video modal in the Media Library. [#25834]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Added tracks to record when the new recommendations bubble is visible and when the user clicks on it [#25728]
- Compat: wp_startswith should only pass to strpos if string is passed. [#25797]
- Moved the permission check for the Tweetstorm endpoint into a helper class. [#26062]
- Update 'View Summary' button to 'View recommendations' to clear up where it goes [#25986]
- Updated copy and links in recommendations [#25967]
- Deprecated `jetpack_require_lib` and `jetpack_require_lib_dir`. No `_deprecated_function` calls yet, that will come after we've removed internal uses. [#25886]
- Enhancement: Update security plan recommendation to promote Jetpack Protect to increase installs [#25391]
- Fixed the criteria for showing VideoPress upsells in the Jetpack Dashboard [#25691]
- Fix JS error when installing boost plugin from recommendations [#25835]
- Fix some linting issues in tiled-gallery and remove files from the linter exclude list [#25784]
- Include custom post types items inside the calypso admin menu [#25670]
- Jetpack: update to the lastest changes of the VideoPress pkg API [#25844]
- Leverage placeholder attribute when rendering the shortcode in wpcom [#25923]
- Updated management of installing state for recommended features [#25451]
- Updated package dependencies.

## 11.3-a.11 - 2022-08-23
### Bug fixes
- Carousel: remove errant '<' character being displayed. [#25795]

## 11.3-a.9 - 2022-08-23
### Enhancements
- Payments block: add new container block to support using multiple inline Payment Button blocks. [#25297]
- VideoPress block (beta): add support to pause/resume video upload. [#25392]

### Improved compatibility
- Podcast Player block: set default RSS feed cache timeout for podcasts to 1 hour. [#25709]

### Bug fixes
- Carousel: ensure that clicks on rounded images in galleries will load a custom URL when it is specified. [#25410]
- Carousel: improve the logic for adding carousel data so we can handle reusable blocks correctly. [#25441]
- Dashboard Widget: do not show the stats configuration links when the feature is inactive. [#25653]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Blocks: add Pocket Casts as oEmbed provider. [#25696]
- Doc update: add information about block deprecation. [#25735]
- E2E tests: bump dependencies. [#25725]
- JITMs added to My Jetpack [#22452]
- Licenses: fix issue in the license activation notice banner that appears even after being dismissed. [#25269]
- Recommendations: add a new recommendation for backups. [#25446]
- Recommendations: add a recommendation for Jetpack Boost. [#25431]
- SAL: bring Jetpack files in sync with WordPress.com files. [#25639]
- Admin: sync class-wpcom-admin-menu file. [#25726]
- Updated package dependencies. [#25338]
- VideoPress: ensure that the player's resources are only loaded when necessary, when a video was added to the page. [#24985]
- VideoPress: fix VideoPress pkg version. [#25683]

## 11.3-a.7 - 2022-08-17
### Bug fixes
- VideoPress: remove inclusion of modules/videopress/utility-functions.php from Jetpack shortcodes module to prevent errors. [#25660]

## 11.3-a.5 - 2022-08-16
### Enhancements
- Payments block: add a new `useWidth` hook to control the width settings of a block. [#25394]
- Google Analytics: add support for the DNT sent by the browser. [#25423]
- Dashboard: add new card to highlight options available to WordPress agencies. [#25041]

### Improved compatibility
- VideoPress: minify videopress-token-bridge. [#25354]
- Notifications: do not attempt to display the Notifications panel when 3rd-party cookies are disabled in the browser. [#25448]

### Bug fixes
- Carousel: resolve a PHP warning when non-attachments are processed. [#25400]
- Dashboard: avoid displaying a blank dashboard page for editors when the site owner has an unused license. [#25395]
- Calendly block: update the embed options link. [#25442]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- P2: Hide Jetpack menu for all p2 spaces/hubs. [#25405]
- VideoPress: migrate code from the plugin to the package. [#25412]
- VideoPress: move dependencies to the package. [#25398]
- Updated package dependencies. [#25433]

## 11.3-a.3 - 2022-08-09
### Enhancements
- Payments block: use Block API v2 to simplify the overall markup. [#25384]
- Payments block: ensure the plan name field will update according to the other options selected, unless it's already been modified. [#25397]

### Improved compatibility
- Backup: add disclaimer text and link to the backup product card that links to an FAQ on the Pricing page. [#25265]

### Bug fixes
- WordPress.com REST API: add missing site owner id to single site REST API response. [#25367]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Dashboard: do not show a VideoPress upgrade banner on paid WoA sites. [#25368]
- Latest Instagram Posts Block: update Instagram gallery endpoint to use access token id as an integer. [#25337]
- Nav Unification: improve performance when fetching user information. [#25333]
- Updated package dependencies. [#24477, #25265, #25334]

## 11.3-a.1 - 2022-08-03
### Enhancements
- GSuite blocks (beta): add blocks for Google document embeds. Currently a JETPACK_BETA_BLOCKS feature. [#24628]
- Payments Block: include 'earn' patterns in the block UI. [#24914]
- VideoPress Block (beta): add support to pause/resume upload. [#25350]

### Improved compatibility
- Jetpack: register VideoPress block from its editor.js file. [#25349]
- VideoPress Block (beta): move VideoPress REST endpoint to package. [#25042]
- Podcast Player: add support for podcast player to have per-feed cache timeouts. [#24966]
- SEO Tools: avoid conflicts with SEOPress and SEOKEY plugins. [#25277]

### Bug fixes
- Subscriptions Block: fix subscriber count display when padding dimension is added. [#25262]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Contact Form Block: use a less strict comparison for Atomic compat. [#25278]
- Tooling: disable postcss deprecation notices for build. [#25296]
- E2E tests: only retry failed tests in CI. [#25273]
- Google Docs Embed Block (beta): switch to a stricter check for Google Docs URLs. [#25345]
- Masterbar: bugfix removing empty space between folded adminbar and editor [#25331]
- Admin: calipsoify the `site-editor.php` route so that it opens the Site Editor from the Gutenframe to comply with deprecations in Gutenberg 13.7. [#25281]

## [11.2] - 2022-08-02
### Enhancements
- Native Block Inserter: only display blocks under a Jetpack heading if the host app is WordPress. [#25155]
- VideoPress Block (beta): add block transforms for the VideoPress block. [#25154]

### Bug fixes
- Admin menu: display the translations for the plan name. [#25169]
- Comments: avoid PHP Notice when using Jetpack's Comment form feature when your site is no longer properly connected to WordPress.com. [#25127]
- Connection: fix Jetpack redirect after registration. [#25135]
- Masterbar: ensure that the WordPress.com Add Ons menu item doesn't display on Jetpack-connected sites. [#25085]
- Sharing: ensure that sharing buttons are not displayed for excerpts. [#24896]
- Sharing: hide button information in Blog Posts block in editor. [#25346]
- Slideshow Block: support wide and full alignment options. [#25107]
- Subscribe Block: fix support for allowed HTML tags in submit button. [#25114]
- VideoPress: avoid PHP notices when inserting videos that miss some metadata. [#25129]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add last_updated API field to the sites endpoint. [#25116]
- Cleanup old videopress player code (D75134-code). [#23384]
- E2E tests: cancel partner plan when resetting test environment. [#25264]
- Init 11.2-a.6 cycle. [#25126]
- Jetpack 11.2 changelog editorial [#25276]
- Jetpack 11.2-a.5 changelog editorial. [#25128]
- Publicize: Remove folder from modules. [#25049]
- Search: remove Calypso search page link in admin menu for simple sites. [#25149]
- Update analytics. [#25257]
- Updated package dependencies. [#24929]
- Updating composer.lock. [#25142]
- VideoPress Block (beta): under the hood improvements such as emit events to window where bridge runs. [#25148]
- WordPress.com REST API: remove default for 'dont_change_homepage' in the '/sites/%s/themes/mine' endpoint. [#25141]

## 11.2-a.5 - 2022-07-19
### Enhancements
- Blocks: enable Jetpack block collection for the native editor block inserter (on self hosted Jetpack sites). [#25092]
- Connection: make sure pre-existing settings are respected on plugin activation. [#24980]
- VideoPress: add UX improvements including fallback thumbnail replaced by loading element, and better error messaging (in Beta only). [#25088, #25064]

### Improved compatibility
- Admin UI: add h1 page headings for better screen reader navigation. [#24930]
- Custom Post Types: change Nova functions to public to re-allow hooking. [#25084]

### Bug fixes
- Form block: fix Checkbox Group option color. [#24932]
- Masterbar: fix All Posts dashboard redirect issue when switching between classic and default editor views. [#25074]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- E2E tests: remove the search package build step. [#25080]
- Rewrite to drop dependency on experimental BlockVariationPicker from Gutenberg. [#24909]
- Updated package dependencies. [#24710, #24836, #24998, #25086]
- VideoPress: under the hood improvements including using core components, migrating features to the VideoPress package, removing unused attributes and better handling of the block loading state. [#25095, #25062, #25069, #25096, #24997, #25047]
- WordPress.com REST API: allow an extra endpoint to a themed WordPress.com endpoint. [#25070]

## 11.2-a.3 - 2022-07-12
### Enhancements
- Podcast Player: add new actions to make it possible for users to set up code that runs for podcast fetches. [#25046]
- VideoPress Block: add enhancements such as an upload progress bar, improved UX, and limited preview attempts (available in Beta only). [#24953, #24891, #24963, #24897]

### Bug fixes
- Form block: preserve line breaks in form submissions. [#25040]
- Gathering Twitter Threads: ensure that only contributors can access the endpoint to unroll threads. [#25005]
- Stats: fix dashboard widget form name to allow form choices to be saved. [#25039]
- Subscriptions: format the number of subscribers displayed in the block editor's controls. [#25063]
- Fix Netowrk Admin connection status for sites that use Jetpack in MU-Plugins

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- E2E tests: fixed pretest cleanup script not running. [#25051]
- Editor: Only add `x-wp-api-fetch-from-editor` header on non-CORS requests. [#25052]
- Rename hasActiveSiteFeature -> siteHasFeature. [#25044]
- Updated package dependencies. [#24823, #25048, #25055]
- Use JS built-in `URLSearchParams` instead of `query-string` package. [#24994]
- VideoPress: under the hood improvements such as adding new components. [#24974, #25058]
- VideoPress: add videopress package as dependency. [#25045]

## 11.2-a.1 - 2022-07-06
### Enhancements
- Contact Form Block: add a lock to the contact form submit button. [#24838]
- VideoPress: add an overlay to VideoPress Block to improve the UX when selecting the video player. [#24899]
- VideoPress: allow caption style attribute to be edited and applied. [#24902]
- VideoPress: improve VideoPress block preview behavior. [#24890] [#24869]
- VideoPress: improve VideoPress block layout markup and styles. [#24939]
- VideoPress: add upload error message. [#24894]

### Bug fixes
- Contact Form Block: prevent error notice when processing submission from 404 page. [#24870]
- Product Descriptions: fix search price on Search Product Description by accounting for sale coupons and ensuring the correct JP Search tier is shown. [#24901]
- Related Posts: avoid PHP warnings when visiting AMP post views. [#24938]
- Slideshow Block: override container display to prevent a gap between slideshow and contents. [#24961]
- Stats: allow custom user role stats settings to be properly recognized and saved. [#24887]
- VideoPress: fix bug when getting the video preview of the VideoPress block. [#24936]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Admin dashboard: update text and add link to the Backup aag card. [#24919]
- At-a-glance: replace obsolete `javascript:void(0)` hrefs. [#24915]
- E2E tests: improvements to E2E and dedicated sync tests. [#24934] [#24882]
- E2E tests: regroup specs. [#24889]
- Publicize: synced changes made to Publicize package files. [#24941] [#24943]
- Tests: fix incorrect React prop type in select-dropdown/item. [#24915]
- Updated package dependencies. [#24923]
- VideoPress: under the hood improvements including moving to a VideoPressPlayer component, uploading progress handler function and saving custom sizes [#24883] [#24858] [#24893]
- VideoPress: save video player attributes of the VideoPress block. [#24888]
- VideoPress: add VideoPressUploader component. [#24920]
- VideoPress: include private videos URL in VideoPress block (v6) GUID parse. [#24918]
- WordPress.com tests: mark AMP-related tests as skipped when running in WP.com. [#24855]

## [11.1] - 2022-07-05
### Enhancements
- Dashboard: add "Getting started with Jetpack Backup" video to Assistant and "At a glance" dashboard. [#24774]
- VideoPress: introduce VideoPress block currently in beta status. [#24821, #24844, #24848]

### Improved compatibility
- Connection: update connection banner to use updated Emerald styling. [#24501]
- VideoPress: update non-iframe player to latest version for sites using the `jetpack_videopress_player_use_iframe` filter. [#24846]

### Bug fixes
- CLI: avoid PHP notice when running connection tests. [#24802]
- Contact Form: ensure the forms are always properly displayed. [#24857]
- Dashboard: fix the link to Anti-spam stats. [#24880]
- Form Block: radio, select, and multiple checkbox fields can now have option with a value of '0'. [#24926]
- Payments Block: only add PayPal email meta to Payment posts. [#24806]
- Payments Block: remove hardcoded recurring-payments button color. [#24801]
- Subscribe Block: fix double-quote breaking the Subscribe block button. [#24763]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add integration tests for Sync checksums. [#24772]
- E2E tests: improve sync tests. [#24798]
- E2E tests: retry failing tests. [#24809]
- Minor phpcs fixes to bring things in sync with dotcom. [#24608]
- Remove autounit annotation. [#24845]
- Updated package dependencies. [#24794, #24827, #24831]
- WordPress.com REST API: add new action allowing you to trigger an action right before we switch themes via the API. [#24818]
- WordPress.com REST API: add new AMP deprecation field to the site settings. [#24814]

## 11.1-a.5 - 2022-06-21
### Enhancements
- VideoPress: enable blocks with VideoPress markdown to be previewed within the mobile app. [#24548]

### Bug fixes
- Contact Form Block: display expected success message when used in FSE header or footer. [#24727]
- Photon: do not return Photonized URLs to the block editor in WordPress 6.0. [#24769]
- Search: avoid broken images in search results by preferring the \_jetpack_featured_media_url postmeta over the GUID. [#24718]
- SEO Tools: allow WooCommerce to use custom SEO description for the shop page. [#24726]
- Sharing: avoid fatal errors when email sharing process is called without clicking on the button. [#24776]
- VideoPress: fix embeds in classic editor when theme has no $content_width set. [#24756]
- VideoPress Block: fix Cancel button on block and provide better error message when video format is not supported. [#24757]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- E2E tests: bump @playwright/test and allure-playwright versions. [#24749]
- Fix a React warning in contact-info/address block. [#24700]
- Fix inconsistent Sync Delays test. [#24746]
- Renaming master to trunk. [#24661]
- Updated package dependencies.
- WPcom: make required plan for memberships conditional. [#24741]

## 11.1-a.3 - 2022-06-14
### Bug fixes
- Connection: move the connection_url_redirect action handling to the connection package. [#24529]
- Dashboard: format anti-spam stats properly, including in languages using a space as thousands separator. [#24676]
- Mailchimp Block: center spinner during loading block content. [#24694]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Modified gendered language in code comments to be inclusive. [#24716]
- Updated package dependencies. [#23871]
- WPcom: fix crashing of server-side rendered blocks. [#24720]

## 11.1-a.1 - 2022-06-08
### Enhancements
- Recipe Block (beta): introduce a new Recipe block to display an easy to read recipe anywhere on your site. Currently a JETPACK_BETA_BLOCKS feature. [#24343]
- WAF: update messaging around sites without latest firewall rules access. [#24642]
- WAF: add links to support documentation. [#24641]

### Improved compatibility
- Blocks: add Jetpack block elements to WPML configuration so they can be translated. [#24651]
- Publicize: configure Publicize only when the module is active. [#24557]

### Bug fixes
- Contact Form: support saving array of data, such as multiple checkboxes. [#24645]
- Payment Block: fix issue preventing images in payment buttons. [#24667]
- VideoPress: fix average color parameter for seekbar. [#24606]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Dashboard: update link to Protect features in disconnect modal. [#24618]
- P2: display integration tools menu item for P2 hub sites. [#24663]
- PHPCS: contact form cleanup. [#24450]
- PHPCS: remaining cleanup for class.jetpack.php file. [#24531]
- Related Posts: avoid fatal errors when calling related posts with multiple exclusions. [#24629]
- Reorder JS imports for `import/order` eslint rule. [#24601]
- Updated package dependencies. [#24510, #24576, #24596]
- VideoPress: add "allow='clipboard-write'" in iframe for embed in order to fix the Clipboard API on Chrome. [#24616]
- VideoPress: make sure "false" will be casted as false for useaveragecolor. [#24615]
- WoA: add check to prevent duplicate Custom CSS menu item on plan-less sites. [#24631]
- WPcom: add support for WordPress.com Starter plan. [#24496]
- WPcom: deprecate jetpack_api_exclude_comment_types_count filter in favor of jetpack_api_include_comment_types_count for more accurate comment counts. [#24512]

## [11.0] - 2022-05-31
### Enhancements
- Publicize: load Publicize only if the Publicize module is active. [#24557]
- Sharing: update the email sharing button to use mailto links instead of server submissions. [#24040]

### Bug fixes
- Comments: update UI to reflect that Google accounts are no longer a sign-in option. [#24528]
- VideoPress: remove strict comparison to fix average color parameter. [#24606]
- Stats: ensure the Stats column can always be displayed, even when the post type does not support comments. [#24482]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Add Jetpack Backup 1GB to several lists/components of supported products [#24541]
- Admin: update products icons. [#24559]
- Added TS check to build process [#24329]
- Changed logic to initialize Publicize classes. [#24451]
- E2E tests: fix broken Mailchimp test [#24534]
- Fix changelog and readme [#24488]
- Init 11.0-a.12 [#24487]
- Infinite scroll: update support for Google Analytics feature to track infinite scroll. [#24533]
- Nonce fix for some phpcs likes cleanup [#24490]
- Number format the number of subscribers in the subscribers panel when publishing a post [#24544]
- phpcs changes for likes [#24368]
- Publicize Components: Move the remaining components and hooks required for Jetpack Social [#24464]
- Refactor to use hasActiveSiteFeature to centralize the source of truth to WPCOM_Features. [#24152]
- Sync: Add '\_jetpack_blogging_prompt_key' to rest api public metadata via the rest_api_allowed_public_metadata filter [#24515]
- Jetpack: correct prices in product descriptions [#24461]
- Updated package dependencies. [#24432]
- Use correct `COOKIEPATH` constant. [#24516]

## 11.0-a.11 - 2022-05-24
### Bug fixes
- Assistant: fix unclickable banner dismiss button. [#24459]
- Widget Visibility: avoid PHP warnings when loading widgets in some scenarios. [#24460]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Blocks: remove PocketCasts embed block variation. [#24463]
- General: improve consistency of available modules. [#24454]
- Moved some of the Publicize editor plugin components to the publicize-components package. [#24408]
- PHPCS: cleanup SAL files. [#23787] [#24388]
- Publicize: add the post field to the Publicize package. [#24324]
- Sharing: fix all PHPCS errors. [#24412]
- Sync callables whitelist: remove 'active_modules' since Sync adds them anyway. [#24453]
- Unit Tests: fix all PHPCS errors. [#24416]
- Updated package dependencies. [#24396] [#24449] [#24453] [#24468]

## 11.0-a.9 - 2022-05-19
### Improved compatibility
- Stats: remove unnecessary type attribute from style element. [#24427]

### Bug fixes
- VideoPress: fix validation errors for core video block usage. [#24422]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Disable whitespace optimization as it can cause invalidation errors with Gutenberg blocks that use inline CSS. [#24069]
- Update changelog and readme files [#24414] [#24395] [#24419] [#24399]

## 11.0-a.7 - 2022-05-18
### Enhancements
- Email subscriptions: update the default body of the "Confirmation request" email. [#24389]
- Payments Blocks: refactor the product memberships store to reduce complexity and improve speed. [#24333]
- VideoPress: add support for automatic seekbar color. [#24330]

### Improved compatibility
- General: improve the connection sharing between Jetpack and standalone plugins. [#24309]

### Bug fixes
- WAF: add activation/deactivation hooks for WAF feature. [#24153]
- Publicize: add logic to allow sharing via ajax requests. [#24387]
- Payment Block: ensure payment block can only auto-select an existing product. [#24407]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Moved SocialServiceIcon component from Jetpack Icons.js file to js-package/components. Updated it's ref in the Jetpack plugin directory [#23795]
- Added jetpack v4 publicize end-point. [#24293]
- Admin Menu: Refactor upsell nudge to be async [#24304]
- Dashboard: adapt support message wording based on the platform where it is displayed. [#24332]
- Updated Jetpack Scan feature list. [#23863]
- Fix new PHPCS sniffs. [#24366]
- JSON API: update the theme endpoint with information concerning pending updates. [#24392]
- PHPCS: cleanup VideoPress module files, fixes for infinite scroll and tiled gallery. [#24351] [#24342] [#24352]
- Remove unused JS client components. [#24319]
- Remove search widget CTA on uneligible themes [#24386]
- Updated package dependencies.

## 11.0-a.5 - 2022-05-10
### Other changes
- Publicize: Fix namespacing. [#24317]

## 11.0-a.3 - 2022-05-10
### Enhancements
- Custom CSS: add support for CSS properties: accent-color, aspect-ratio, gap, text-underline-offset. [#24057]
- Latest Instagram Posts Block: improve performance of the block by adding lazy load for the images. [#24279]
- Payment Blocks: reset form data to default values after creating a subscription. [#24175]
- VideoPress: improve Extensibility of Privacy Setting filter by adding the embedded post id. [#23949]
- VideoPress: improve help message of VideoPress Privacy Setting at the block level. [#24184]

### Improved compatibility
- General: improve connection sharing between Jetpack and Jetpack standalone plugins. [#24272]

### Bug fixes
- Custom CSS: ensure the Additional CSS sub-menu link displays correctly. [#23670]
- Subscriptions: fix typo in confirmation message. [#24291]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Custom Content Types: fix PHPCS errors with Nova restaurant menu management. [#24212]
- Fix the changelog and readme [#24246]
- Init for 11.0-a.1 [#24245]
- PHPCS: fix linting errors in the Comic CPT file. [#24186]
- Publicize filter comment edited to move the relevant @since tag to the top [#24242]
- Remove use of `node-polyfill-webpack-plugin`. [#24233]
- Replace Akismet plan check with feature check [#24211]
- Updated package dependencies. [#24167]
- Use browser URL API instead of polyfills. [#24234]
- Added unit tests for membership product store [#23873]
- Assistant: Update illustrations [#24061]
- Updates entrypoints in to My Jetpack licensing activation [#24189]
- Removed keepPlaceholderOnFocus property from donations form and dialogue blocks since the property was removed from Gutenberg. [#24269]

## 11.0-a.1 - 2022-05-04
### Enhancements
- WAF: add settings UI for Jetpack Firewall [#23769]
- Google Fonts: add additional fonts to the list of available fonts. [#24098]
- Payment Block: refactors the donation block by unifying Stripe Nudge component. [#24177]

### Improved compatibility
- Contact Form: ensure the option to export forms to a csv file works with the upcoming version of WordPress, 6.0. [#24173]
- General: Jetpack is now fully compatible with the upcoming version of WordPress, 6.0. [#24083]
- General: Jetpack now requires a more recent version of WordPress (5.9), since a new version of WordPress (6.0) will be available soon. [#24083]
- General: remove backwards compatibility code now that Jetpack requires WordPress 5.9. [#24086]

### Bug fixes
- Custom CSS: avoid PHP notice when using the Sass preprocessor on PHP 7.4+. [#24135]
- VaultPress: fixes a bug that caused certain cards in the Dashboard to flicker in some circumstances when VaultPress is active. [#24194]

### Other changes <!-- Non-user-facing changes go here. This section will not be copied to readme.txt. -->
- Activity: Removed commented-out code [#24126]
- Add missing JavaScript dependencies. [#24096]
- Client: Removed unused planClass props [#24195]
- Custom Content Types: bring changes from WordPress.com to Jetpack to keep the files in sync. [#24150]
- Custom Content Types: fix PHPCS linting errors in CPT module files, part 2 [#24154]
- Custom Content Types: solve PHPCS errors for Portfolios. [#23848]
- Init 11.0-a.0 [#24087]
- Moved the Options class to Connection package. [#24095]
- My Plan: Use feature check for search card [#24166]
- One Click Restores: Uses feature checks to determine backup type [#24131]
- Performance-Search: Converts plan checks to feature checks [#24162]
- PHPCS: changes for endpoints, root functions [#24029]
- Recommendations: Use feature check for one-click restores [#24165]
- Remove use of `pnpx` in preparation for pnpm 7.0. [#24210]
- Renaming class file to comply with class naming rules in phpcs. [#24136]
- Replace uses of `create-react-class` with modern syntax. [#24055]
- Rewind: Remove unused sitePlan information [#24128]
- Search: Converted At a Glance search box to using feature checks. [#24127]
- Security Settings: Use feature checks for backup and scan [#24163]
- Settings: Display upsells using feature checks [#24180]
- Updated package dependencies. [#24095]
- Updating 10.9 beta changelog and readme [#24091]
- Updating to-test.md [#24088]
- Updated Backups box in At a Glance to use feature checks [#24121]
- We now lock the execution of get products in a non blocking way for the execution thread. [#24140]

## 10.9.1 - 2022-05-19
### Improved compatibility
- Contact Form: ensure the option to export forms to a CSV file works with the upcoming version of WordPress, 6.0. [#24173]
- General: Jetpack is now fully compatible with the upcoming version of WordPress, 6.0. [#24083]
- General: Jetpack now requires a more recent version of WordPress (5.9). [#24083]
- General: remove backwards compatibility code now that Jetpack requires WordPress 5.9. [#24086]

### Bug fixes
- Publicize: ensure that Publicize works when publishing posts via AJAX requests, like when using the Elementor plugin. [#24387]
- Secure Sign On: add the secure and httponly attribute to cookie used to log in. [#24418]

## [10.9] - 2022-05-03
### Enhancements
- Dashboard: update the recommendation flow to include recommendations for VideoPress as well as discounts.
- Google Fonts: update the Google Fonts module to be compatible with the most recent version of the WP_Webfonts API.
- Payments Block: add additional features to the payment management control block (ability to mark as donation, and enabling customers to pick own amount).
- Payments Block: add new property that establishes if the membership is editable by the site editor.
- VideoPress: improve upload spreed, by increasing chunk size to 10Mb for resumable uploads.

### Bug fixes
- Assistant: style and CTA changes plus introductory offer fixes.
- Payments Block: change the sidebar display when clicking 'add new subscription', as well as using an external link in the Customizer.
- Payments Block: remove the dropdown icon from the product management control subscription selector.

